define({"917":{y:0,u:"../Content/Authoring/AdministratorsGuide/Statistics/CollectingDatabaseStatistics.htm",l:-1,t:"Collecting Database Statistics",i:0.0014854442018469,a:"The Vertica cost-based query optimizer relies on data statistics to produce query plans. If statistics are incomplete or out-of-date, the optimizer is liable to use a sub-optimal plan to execute a query.  For example, you load timestamp data into a large table at regular intervals and query the ..."},"918":{y:0,u:"../Content/Authoring/AdministratorsGuide/Statistics/DatabaseStatisticsTools.htm",l:-1,t:"Database Statistics Tools",i:0.00050270554407268,a:"Statistics collection is a cluster-wide operation that accesses data using a  historical query  (at epoch latest) without any locks. After statistics are computed, they are stored in the catalog and replicated on all nodes. The storage operation requires a brief, exclusive lock on the catalog, ..."},"919":{y:0,u:"../Content/Authoring/AdministratorsGuide/Statistics/AnalyzeRowCounts.htm",l:-1,t:"Analyzing Row Counts",i:0.000120670073015984,a:"Vertica lets you obtain row counts for projections and for external tables, through  ANALYZE_ROW_COUNT and  ANALYZE_EXTERNAL_ROW_COUNT, respectively.  Projection Row Count ANALYZE_ROW_COUNT is a lightweight operation that automatically collects the number of rows in a projection every 60 seconds to ..."},"920":{y:0,u:"../Content/Authoring/AdministratorsGuide/Statistics/AnalyzeStatisticsHistogram.htm",l:-1,t:"Getting Statistics",i:0.000379142204640159,a:"ANALYZE_STATISTICS collects and aggregates data samples and storage information from all nodes that store projections associated with the specified table. You call this function as follows: ANALYZE_STATISTICS (\u0027[schema.]table\u0027 \n                     [, \u0027column[,...]\u0027] \n                     [, percent ..."},"921":{y:0,u:"../Content/Authoring/AdministratorsGuide/Statistics/HowStatisticsAreReported.htm",l:-1,t:"Reporting Statistics",i:8.18241003154818E-05,a:"Vertica supplies hints about statistics two ways:  The  EXPLAIN-generated query plan is annotated with a status. See  Reacting to Stale Statistics . The last time  ANALYZE_STATISTICS was run for a table is recorded, so that subsequent calls to the function are optimized. This is useful during the ..."},"922":{y:0,u:"../Content/Authoring/AdministratorsGuide/Statistics/DeterminingWhenStatisticsWereLastUpdated.htm",l:-1,t:"Determining When Statistics Were Last Updated",i:0.000140674042813034,a:"System table  PROJECTION_COLUMNS returns statistics about projection columns, including the type of statistics and  when they were last updated. For example, the following sample schema defines a table named trades, which groups the highly-correlated columns bid and ask and stores the stock column ..."},"923":{y:0,u:"../Content/Authoring/AdministratorsGuide/Statistics/ReactingToStaleStatistics.htm",l:-1,t:"Reacting to Stale Statistics",i:0.000143757651970307,a:"During predicate selectivity estimation, the query optimizer can identify when  histograms  are not available or are out of date. If the value in the predicate is outside the histogram\u0027s maximum range, the statistics are stale. If no histograms are available, then no statistics are available to the ..."},"924":{y:0,u:"../Content/Authoring/AdministratorsGuide/Statistics/CancelingStatisticsCollection.htm",l:-1,t:"Canceling Statistics Collection",i:8.18241003154818E-05,a:"To cancel statistics collection mid analysis, execute CTRL-C on  vsql  or call the  INTERRUPT_STATEMENT()  function. If you want to remove statistics for the specified table or type, call the  DROP_STATISTICS()  function.  After you drop statistics, it can be time consuming to regenerate them."},"925":{y:0,u:"../Content/Authoring/AdministratorsGuide/Statistics/BestPracticesForStatisticsCollection.htm",l:-1,t:"Best Practices for Statistics Collection",i:0.000209817573012633,a:"When you query a table, the query optimizer requires representative statistics on its data in order to choose the best query plan. For many applications, statistics do not need to be accurate to the latest minute. Vertica regularly calls ANALYZE ROW COUNT, which collects partial statistics and ..."},"926":{y:0,u:"../Content/Authoring/AdministratorsGuide/Diagnostics/UsingDiagnosticTools.htm",l:-1,t:"Using Diagnostic Tools",i:9.72122103409241E-05,a:"Using Diagnostic Tools Micro Focus provides several diagnostic tools. This section includes the following. Determining Your Version of Vertica Collecting Diagnostics (scrutinize Command) Exporting a Catalog Exporting Profiling Data"},"927":{y:0,u:"../Content/Authoring/AdministratorsGuide/Diagnostics/DeterminingYourVersionOfHPVertica.htm",l:-1,t:"Determining Your Version of Vertica",i:0.000102481776234925,a:"To determine which version of Vertica is installed on a host, log in to that host and type: $ rpm -qa | grep vertica The command returns the name of the installed package, which contains the version and build numbers. The following example indicates that both Vertica 7.0.x and Management Console ..."},"928":{y:0,u:"../Content/Authoring/AdministratorsGuide/Diagnostics/CollectingDiagnosticsScrutinizeCommand.htm",l:-1,t:"Collecting Diagnostics (scrutinize Command)",i:0.000102481776234925,a:"The diagnostics tool scrutinize collects a broad range of information from a  Vertica cluster. It also supports a range of options that let you control the amount and type of data that is collected. Collected data can include but is not limited to: Host diagnostics and configuration data Run-time ..."},"929":{y:0,u:"../Content/Authoring/AdministratorsGuide/Diagnostics/HowToRunScrutinize.htm",l:-1,t:"Running scrutinize",i:0.000103601564528614,a:"You can run scrutinize unqualified by any options: $ /opt/vertica/bin/scrutinize When run without options, scrutinize collects a wide range of information from all cluster nodes. It stores the results in a .tar file (VerticaScrutinizeNumericID.tar), with minimal effect on database performance. ..."},"930":{y:0,u:"../Content/Authoring/AdministratorsGuide/Diagnostics/NarrowScrutinizeScope.htm",l:-1,t:"Limiting the Scope of scrutinize Data Collection",i:0.00157077562128855,a:"scrutinize provides several options that let you narrow scope of the data collection, to reduce output size and improve performance: Limit the time span of collected data. Limit the amount of collected data. Limit collection to specific cluster nodes. Specify the type of content to collect. Exclude ..."},"931":{y:0,u:"../Content/Authoring/AdministratorsGuide/Diagnostics/ScrutinizeSecurity.htm",l:-1,t:"scrutinize Security",i:8.18241003154818E-05,a:"scrutinize supports password handling in the following ways: The --password (-P) option sets the database password as an argument to the scrutinize command. Omitting this argument on a password-protected database returns  a warning. Enclose the password with single quotes to protect passwords with ..."},"932":{y:0,u:"../Content/Authoring/AdministratorsGuide/Diagnostics/Troubleshooting_Scrutinize.htm",l:-1,t:"Troubleshooting scrutinize",i:0.000103601564528614,a:" The troubleshooting advice in this section can help you resolve common issues that you might encounter when using scrutinize.  Collection Time Is Too Slow To speed up collection time, omit system tables when running an instance of scrutinize. Be aware that collecting from fewer nodes does not ..."},"933":{y:0,u:"../Content/Authoring/AdministratorsGuide/Diagnostics/HowToUploadScrutinizeResultsToSupport.htm",l:-1,t:"Uploading scrutinize Results to Support",i:0.00014763240581742,a:"In most cases, your Customer Support contact provides arguments for you to run with the scrutinize script. These arguments include the URL that you supply with the ‑‑url or ‑‑auth‑upload options.  Before you run scrutinize with an upload option: Install the  cURL  program  installed in the path for ..."},"934":{y:0,u:"../Content/Authoring/AdministratorsGuide/Diagnostics/ExportingProfilingData.htm",l:-1,t:"Exporting Profiling Data",i:0.000102481776234925,a:"The diagnostics audit script gathers system table contents, design, and planning objects from a running database and exports the data into a file named ./diag_dump_\u003ctimestamp\u003e.tar.gz, where \u003ctimestamp\u003e denotes when you ran the script. If you run the script without parameters, you will be prompted ..."},"935":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/ProfilingDatabasePerformance.htm",l:-1,t:"Profiling Database Performance",i:0.00145075954230175,a:"You can profile database performance to evaluate how efficiently queries execute. For example, profiles can provide the following information: How much memory and how many threads each operator is allocated. How data flows through each operator at different points in time during query execution. ..."},"936":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/ProfilingDataCategories.htm",l:-1,t:"Profiling Categories",i:0.000564738654955178,a:"Vertica divides profiling data into three categories and captures this information in several system tables. You can query those tables for specific performance information, as shown in the following table: If execution engine profiling is disabled, Vertica saves no data in ..."},"937":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/EnableDisableProfiling.htm",l:-1,t:"Enabling and Disabling Profiling",i:0.000475515301323668,a:"You can enable and disable profiling for a specific category globally (for the entire database) and the current session. Use  SHOW_PROFILING_CONFIG to determine whether profiling is enabled. Output from this command shows: At what scope (global and session) profiling is enabled. For what  categories ..."},"938":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/WhatToLookForInQueryProfiles.htm",l:-1,t:"What to look for in query profiles ",i:8.18241003154818E-05,a:" Profile data can show data skew, when some nodes are processing more data than others. The rows produced counter in the system table  EXECUTION_ENGINE_PROFILES  shows how many rows have been processed by each  operator. Comparing the rows produced across all nodes for a given operator reveals if ..."},"939":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/Real-timeProfiling.htm",l:-1,t:"Real-Time Profiling",i:9.9211787639609E-05,a:"With real-time profiling, you can monitor long-running queries while they execute.   Real-time profiling counters are available for all statements while they execute, including internal operations such as  mergeout ,  recovery , and  refresh . Unless you explicitly enable profiling using the keyword ..."},"940":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/HowToProfileASingleStatement.htm",l:-1,t:"Profiling Single Statements",i:0.000220090189234667,a:"To profile a single statement, prefix it with  PROFILE. You can profile a query (SELECT) statement, or any DML statement such as  INSERT,  UPDATE,  COPY, and  MERGE. The statement returns with a profile summary:  Profile identifiers transaction_id and statement_id Initiator memory for the query ..."},"941":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/SampleViewsForCounterInformation.htm",l:-1,t:"Sample Views for Counter Information",i:8.18241003154818E-05,a:"The EXECUTION_ENGINE_PROFILES table contains the data for each profiling counter as a row within the table. For example, the execution time (us) counter is in one row, and the rows produced counter is in a second row. Since there are many different profiling counters, many rows of profiling data ..."},"942":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/ProfilingQueryPlanProfiles.htm",l:-1,t:"Profiling Query Plans",i:0.000383861133842514,a:"To monitor real-time flow of data through a query plan, query system tables  EXECUTION_ENGINE_PROFILES and  QUERY_PLAN_PROFILES. These tables provides data on how Vertica executed a query plan and its individual  paths : EXECUTION_ENGINE_PROFILES summarizes query execution runs. QUERY_PLAN_PROFILES ..."},"943":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/HowToGetQueryPlanStatusForSmallQueries.htm",l:-1,t:"Getting Query Plan Status for Small Queries",i:8.18241003154818E-05,a:"Real-time profiling counters, stored in the EXECUTION_ENGINE_PROFILES system table, are available for all currently executing statements—including internal operations, such as a  mergeout . Profiling counters are available after query execution has completed if any of the following conditions are ..."},"944":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/HowToGetQueryPlanStatusForLargeQueries.htm",l:-1,t:"Getting Query Plan Status for Large Queries",i:8.18241003154818E-05,a:"Real-time profiling is designed to monitor large (long-running) queries. Take the following steps to monitor plans for large queries: Get the statement and transaction IDs for the query plan you want to profile by querying the  CURRENT_SESSION  system table:  =\u003e SELECT transaction_id, statement_id ..."},"945":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/ImprovingReadabilityOfQUERY_PLAN_PROFILESOutput.htm",l:-1,t:"Improving Readability of QUERY_PLAN_PROFILES Output",i:8.18241003154818E-05,a:"Output from the  QUERY_PLAN_PROFILES table can be very wide because of the path_line column. To facilitate readability, query QUERY_PLAN_PROFILES using one or more of the following options: Sort output by transaction_id, statement_id, path_id, and path_line_index: =\u003e SELECT ... FROM ..."},"946":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/ManagingQueryProfilingData.htm",l:-1,t:"Managing Query Profile Data",i:8.18241003154818E-05,a:"Vertica retains data for queries until the storage quota for the table is exceeded, when it automatically purges the oldest queries to make room for new ones. You can clear profiled data by manually calling one of the following functions: CLEAR_PROFILING()  clears profiled data from memory. For ..."},"947":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/ReactingToSuboptimalQueryPlans.htm",l:-1,t:"Analyzing Suboptimal Query Plans",i:8.18241003154818E-05,a:"If profiling uncovers a suboptimal query, invoking one of the following functions might help: ANALYZE_WORKLOAD analyzes system information held in system tables and provides tuning recommendations that are based on a combination of statistics, system and  data collector  events, and ..."},"948":{y:0,u:"../Content/Authoring/AdministratorsGuide/Profiling/LabelQueries.htm",l:-1,t:"Labeling Queries",i:0.00126262252884237,a:"To quickly identify queries for profiling and debugging purposes, include the  LABEL hint.  LABEL hints are valid in the following statements: DELETE INSERT MERGE SELECT UPDATE UNION: Valid in the UNION\u0027s first SELECT statement. Vertica ignores labels in subsequent SELECT statements. For example: ..."},"949":{y:0,u:"../Content/Authoring/AdministratorsGuide/Locales/AboutLocales.htm",l:-1,t:"About Locale",i:0.000657702337982296,a:"Locale specifies the user\u0027s language, country, and any special variant preferences, such as collation. Vertica uses locale to determine the behavior of certain string functions. Locale also determines the collation for various SQL commands that require ordering and comparison, such as aggregate ..."},"950":{y:0,u:"../Content/Authoring/AdministratorsGuide/Locales/LocaleHandlingVertica.htm",l:-1,t:"Locale Handling in Vertica",i:8.18241003154818E-05,a:"The following sections describes how Vertica handles locale. Session Locale Locale is session-scoped and applies only to queries executed in that session. You cannot specify locale for individual queries. When you start a session it obtains its locale from the configuration parameter ..."},"951":{y:0,u:"../Content/Authoring/AdministratorsGuide/Locales/LongForm.htm",l:-1,t:" Specifying Locale: Long Form",i:0.00199299929034244,a:" Specifying Locale: Long Form Vertica supports long forms that specify the collation keyword. Vertica extends long-form processing to accept collation arguments. Syntax [language][_script][_country][_variant][@collation‑spec] The following syntax options apply: Locale specification strings are case ..."},"952":{y:0,u:"../Content/Authoring/AdministratorsGuide/Locales/ShortForm.htm",l:-1,t:"Specifying Locale: Short Form",i:0.000115294208781996,a:"Vertica accepts locales in short form. You can use the short form to specify the locale and keyname pair/value names. To determine the short form for a locale, type in the long form and view the last line of INFO, as follows: \\locale frINFO:  Locale: \u0027fr\u0027\nINFO:    French\nINFO:    franÃ§ais\nINFO:  ..."},"953":{y:0,u:"../Content/Authoring/AdministratorsGuide/Locales/SupportedLocales.htm",l:-1,t:"Supported Locales",i:0.000255775337086512,a:"Supported Locales The following are the supported locale strings for Vertica. Each locale can optionally have a list of key/value pairs (see   Specifying Locale: Long Form )."},"954":{y:0,u:"../Content/Authoring/AdministratorsGuide/Locales/LocaleUTF8Support.htm",l:-1,t:"Locale and UTF-8 Support",i:8.18241003154818E-05,a:"Vertica supports Unicode Transformation Format-8, or UTF8, where 8 equals 8-bit. UTF-8 is a variable-length character encoding for Unicode created by Ken Thompson and Rob Pike. UTF-8 can represent any universal character in the Unicode standard. Initial encoding of byte codes and character ..."},"955":{y:0,u:"../Content/Authoring/AdministratorsGuide/Locales/LocaleAwareStringFunctions.htm",l:-1,t:"Locale-Aware String Functions",i:8.18241003154818E-05,a:"Vertica provides string functions to support internationalization. Unless otherwise specified, these string functions can optionally specify whether VARCHAR arguments should be interpreted as octet (byte) sequences, or as (locale-aware) sequences of characters. Specify this information by adding the ..."},"956":{y:0,u:"../Content/Authoring/AdministratorsGuide/BinaryFilesAppendix/AppendixBinaryFileFormats.htm",l:-1,t:"Appendix: Binary File Formats",i:0.000113027651449922,a:"Appendix: Binary File Formats This appendix presents the binary file format details required to load files into the Vertica database with the COPY statement. Binary files must adhere to the required format. "},"957":{y:0,u:"../Content/Authoring/AdministratorsGuide/BinaryFilesAppendix/CreatingNativeBinaryFormatFiles.htm",l:-1,t:"Creating Native Binary Format Files",i:0.000146950802740873,a:"Using COPY to load data with the NATIVE parser requires that the input data files adhere to the format described below. All NATIVE files must contain: A file signature. A set of column size definitions. The rows of data.  You cannot mix Binary and ASCII source files in the same COPY statement. File ..."},"958":{y:0,u:"../Content/Authoring/AnalyzingData/AnalyzingData.htm",l:-1,t:"Analyzing Data",i:0.000105007683414318,a:"Analyzing Data Welcome to the Analyzing Data Guide! This guide explains how to query and analyze data in your Vertica database.  In This Section"},"959":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/WritingQueries.htm",l:-1,t:"Queries",i:0.00013619326870614,a:"Queries are database operations that retrieve data from one or more tables or views. In Vertica, the top-level SELECT statement is the query, and a query nested within another SQL statement is called a subquery. Vertica is designed to run the same SQL standard queries that run on other databases. ..."},"960":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/HistoricalSnapshotQueries.htm",l:-1,t:"Historical Queries",i:0.000327727446430487,a:"Vertica supports querying historical data for individual SELECT statements. Syntax Vertica can run a query from a backup of the database taken at a specific date and time or at a specific epoch. The syntax is:    AT TIME \u0027timestamp\u0027 select...    AT EPOCH epoch_number select...    AT EPOCH LATEST ..."},"961":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/TemporaryTables.htm",l:-1,t:"Temporary Tables",i:8.18241003154818E-05,a:"You can use the CREATE TEMPORARY TABLE statement to implement certain queries using multiple steps: Create one or more temporary tables. Execute queries and store the result sets in the temporary tables. Execute the main query using the temporary tables as if they were a normal part of the  logical ..."},"962":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/SQLQueries.htm",l:-1,t:"SQL Queries",i:8.18241003154818E-05,a:"All DML (Data Manipulation Language) statements can contain queries. This section introduces some of the query types in Vertica, with additional details in later sections.  Many of the examples in this chapter use the  VMart schema . For information about other Vertica-supplied queries, see the  ..."},"963":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/Subqueries.htm",l:-1,t:"Subqueries",i:0.000575952969367351,a:"A subquery is a SELECT statement embedded within another SELECT statement. The embedded subquery is often referenced as the query\u0027s inner statement, while the containing query is typically referenced as the query\u0027s statement, or outer query block. A subquery returns data that the outer query uses as ..."},"964":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/SubqueriesUsedInSearchConditions.htm",l:-1,t:"Subqueries Used in Search Conditions",i:8.18241003154818E-05,a:"Subqueries are used as search conditions in order to filter results. They specify the conditions for the rows returned from the containing query\u0027s select-list, a query expression, or the subquery itself. The operation evaluates to TRUE, FALSE, or UNKNOWN (NULL).  Syntax search‑condition {\n    [ { ..."},"965":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/LogicalOperatorsANDAndOR.htm",l:-1,t:"Logical Operators AND and OR",i:8.18241003154818E-05,a:"The AND and OR logical operators combine two conditions. AND evaluates to TRUE when both of the conditions joined by the AND keyword are matched, and OR evaluates to TRUE when either condition joined by OR is matched.    OR Subqueries (complex expressions) Vertica supports subqueries in more complex ..."},"966":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/InPlaceOfAnExpression.htm",l:-1,t:"In Place of an Expression",i:8.18241003154818E-05,a:"Subqueries that return a single value (unlike a list of values returned by IN subqueries) can be used just about anywhere an expression is allowed in SQL. It can be a column name, a constant, a function, a scalar subquery, or a combination of column names, constants, and functions connected by ..."},"967":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/ComparisonOperators.htm",l:-1,t:"Comparison Operators",i:8.18241003154818E-05,a:"Vertica supports Boolean subquery expressions in the WHERE clause with any of the following operators:  \u003e\u003c\u003e=\u003c==\u003c\u003e\u003c=\u003e WHERE clause subqueries filter results and take the following form: SELECT \u003ccolumn, ...\u003e FROM \u003ctable\u003e \nWHERE \u003ccondition\u003e (SELECT \u003ccolumn, ...\u003e FROM \u003ctable\u003e WHERE \u003ccondition\u003e);\n These ..."},"968":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/LIKEPatternMatching.htm",l:-1,t:"LIKE Pattern Matching",i:8.18241003154818E-05,a:"Vertica supports LIKE pattern-matching conditions in subqueries and take the following form: string-expression [ NOT ] { LIKE | ILIKE | LIKEB | ILIKEB } string-expression The following command searches for customers whose company name starts with \"Ev\" and returns the total count: =\u003e SELECT COUNT(*) ..."},"969":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/ANYSOMEAndALL.htm",l:-1,t:"ANY and ALL",i:0.000119650885417745,a:"You typically use comparison operators (=, \u003e, \u003c , etc.) only on subqueries that return one row. With ANY and ALL operators, you can make comparisons on subqueries that return multiple rows. These subqueries take the following form: expression comparison-operator { ANY | ALL } (subquery) ANY and ALL ..."},"970":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/EXISTSAndNOTEXISTS.htm",l:-1,t:"EXISTS and NOT EXISTS",i:0.000119650885417745,a:"The EXISTS predicate is one of the most common predicates used to build conditions that use noncorrelated and correlated subqueries. Use EXISTS to identify the existence of a relationship without regard for the quantity. For example, EXISTS returns true if the subquery returns any rows, and [NOT] ..."},"971":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/INAndNOTIN.htm",l:-1,t:"IN and NOT IN",i:0.000119650885417745,a:"While you cannot equate a single value to a set of values, you can check to see if a single value is found within that set of values. Use the IN clause for multiple-record, single-column subqueries. After the subquery returns results introduced by IN or NOT IN, the outer query uses them to return ..."},"972":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/SubqueriesInTheSELECTList.htm",l:-1,t:"Subqueries in the SELECT List",i:8.18241003154818E-05,a:"Subqueries can occur in the select list of the containing query. The results from the following statement are ordered by the first column (customer_name). You could also write ORDER BY 2 and specify that the results be ordered by the select-list subquery. =\u003e SELECT c.customer_name, (SELECT ..."},"973":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/WITHClausesInSELECT.htm",l:-1,t:"WITH Clauses in SELECT",i:0.000165213925807649,a:"WITH clauses are concomitant queries within a larger, primary query. Vertica can evaluate WITH clauses in two ways:  Inline expansion  (default): Vertica evaluates each WITH clause every time it is referenced by the primary query.  Materialization : Vertica evaluates each WITH clause once, stores ..."},"974":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/WithClauseInlineExpansion.htm",l:-1,t:"Inline Expansion of WITH Clause",i:0.000128634954361763,a:"By default, Vertica uses inline expansion to evaluate WITH clauses.  Vertica evaluates each WITH clause every time it is referenced by the primary query. Inline expansion often works best if the query does not reference the same WITH clause multiple times,  or if some local optimizations are ..."},"975":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/WithClauseMaterialization.htm",l:-1,t:"Materialization of WITH Clause",i:0.000182078439166028,a:"When materialization is enabled, Vertica evaluates each WITH clause once, stores results in a temporary table, and references this table as often as the query requires.  Vertica drops the temporary table after primary query execution completes.  If the primary query returns with an error, temporary ..."},"976":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/NoncorrelatedAndCorrelatedSubqueries.htm",l:-1,t:"Noncorrelated and Correlated Subqueries",i:0.000504780842918099,a:"Subqueries can be categorized into two types:  A noncorrelated (simple) subquery obtains its results independently of its containing (outer) statement.  A correlated subquery requires values from its outer query in order to execute.\n\t\t\t\t Noncorrelated Subqueries  A noncorrelated subquery executes ..."},"977":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/FlatteningFROMClauseSubqueriesAndViews.htm",l:-1,t:"Flattening FROM Clause Subqueries",i:8.18241003154818E-05,a:"FROM clause  subqueries are always evaluated before their containing query. In some cases, the optimizer flattens FROM clause subqueries so the query can execute more efficiently.  For example, in order to create a query plan for the following statement, the Vertica query optimizer evaluates all ..."},"978":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/SubqueriesInUPDATEAndDELETEStatements.htm",l:-1,t:"Subqueries in UPDATE and DELETE Statements",i:0.000842088886962556,a:"You can nest subqueries within  UPDATE and  DELETE statements.  UPDATE Subqueries You can update records in one table according to values in others, by nesting a subquery within an UPDATE statement. The example below illustrates this through a couple of  noncorrelated subqueries . You can reproduce ..."},"979":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/SubqueryExamples.htm",l:-1,t:"Subquery Examples",i:9.05179439775454E-05,a:"This topic illustrates some of the subqueries you can write. The examples use the  VMart  example database. Single-Row Subqueries Single-row subqueries are used with single-row comparison operators (=, \u003e=, \u003c=, \u003c\u003e, and \u003c=\u003e) and return exactly one row. For example, the following query retrieves the ..."},"980":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Subqueries/SubqueryRestrictions.htm",l:-1,t:"Subquery Restrictions",i:0.000585744086961477,a:"The following list summarizes subquery restrictions in Vertica. Subqueries are not allowed in the defining query of a  CREATE PROJECTION statement. \n                Subqueries can be used in the SELECT list, but GROUP BY or aggregate functions are not allowed in the query if the subquery is not part ..."},"981":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/Joins.htm",l:-1,t:"Joins",i:0.000154470164927478,a:"Queries can combine records from multiple tables, or multiple instances of the same table.  A query that combines records from one or more tables is called a join. Joins are allowed in SELECT statements and subqueries. Supported Join Types Vertica supports the following join types: Inner (including ..."},});