define({"982":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/JoinSyntax.htm",l:-1,t:"Join Syntax",i:0.000125074039683832,a:"Vertica supports the ANSI SQL-92 standard for joining tables, as follows: table‑reference [join-type] JOIN table-reference [ ON  join-predicate ] where join-type can be one of the following: INNER (default) LEFT [ OUTER ] RIGHT [ OUTER ] FULL [ OUTER ] NATURAL CROSS For example: =\u003e SELECT * FROM T1 ..."},"983":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/JoinConditionsVsFilterConditions.htm",l:-1,t:"Join Conditions vs. Filter Conditions",i:8.18241003154818E-05,a:"If you do not use the SQL-92 syntax, join conditions (predicates that are evaluated during the join) are difficult to distinguish from filter conditions (predicates that are evaluated after the join), and in some cases cannot be expressed at all. With SQL-92, join conditions and filter conditions ..."},"984":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/InnerJoins.htm",l:-1,t:"Inner Joins",i:0.000142792987739665,a:"An inner join combines records from two tables based on a join predicate and requires that each record in the first table has a matching record in the second table. Thus, inner joins return only records from both joined tables that satisfy the join condition. Records that contain no matches are ..."},"985":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/Equi-joinsAndNonEqui-Joins.htm",l:-1,t:"Equi-Joins and Non Equi-Joins",i:0.000133537062235723,a:"Vertica supports any arbitrary join expression with both matching and non-matching column values. For example: SELECT * FROM fact JOIN dim ON fact.x = dim.x;\nSELECT * FROM fact JOIN dim ON fact.x \u003e dim.y;\nSELECT * FROM fact JOIN dim ON fact.x \u003c= dim.y;\nSELECT * FROM fact JOIN dim ON fact.x \u003c\u003e ..."},"986":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/NaturalJoins.htm",l:-1,t:"Natural Joins",i:0.000142792987739665,a:"A natural join is just a join with an implicit join predicate. Natural joins can be inner, left outer, right outer, or full outer joins and take the following form: SELECT column‑list FROM left-join-table\nNATURAL [ INNER | LEFT OUTER | RIGHT OUTER | FULL OUTER ] JOIN right-join-table ON  ..."},"987":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/CrossJoins.htm",l:-1,t:"Cross Joins",i:0.000151486831401728,a:"Cross joins are the simplest joins to write, but they are not usually the fastest to run because they consist of all possible combinations of two tables’ records. Cross joins contain no join condition and return what is known as a Cartesian product, where the number of rows in the result set is ..."},"988":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/OuterJoins.htm",l:-1,t:"Outer Joins",i:0.000279120667898594,a:"Outer joins extend the functionality of inner joins by letting you preserve rows of one or both tables that do not have matching rows in the non-preserved table. Outer joins take the following form: SELECT column‑list FROM left-join-table\n[ LEFT | RIGHT | FULL ] OUTER JOIN right-join-table ON  ..."},"989":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/ForceInnerOuterJoinInputs.htm",l:-1,t:"Controlling Join Inputs",i:0.000317249879538199,a:"By default, the optimizer uses its own internal logic to determine whether to join one table to another as an inner or outer input. Occasionally, the optimizer might choose the larger table as the inner input to a join. Doing so can incur performance and concurrency issues.  If the configuration ..."},"990":{y:0,u:"../Content/Authoring/AnalyzingData/Queries/Joins/RangeJoins.htm",l:-1,t:"Range Joins",i:8.18241003154818E-05,a:"Vertica provides performance optimizations for \u003c, \u003c=, \u003e, \u003e=, and BETWEEN predicates in join ON clauses. These optimizations are particularly useful when a column from one table is restricted to be in a range specified by two columns of another table. Key Ranges Multiple, consecutive key values can ..."},"991":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingQueryPerformance.htm",l:-1,t:"Query Optimization",i:0.00012039579343976,a:"When you submit a query to Vertica for processing, the Vertica query optimizer automatically chooses a set of operations to compute the requested result. These operations together are called a query plan. The choice of operations can significantly affect how many resources are needed to compute ..."},"992":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/InitialProcessForImprovingQueryPerformance.htm",l:-1,t:"Initial Process for Improving Query Performance",i:0.000445390876628987,a:"To optimize query performance, begin by performing the following tasks: Run Database Designer. Check query events proactively. Review the query plan. Run Database Designer Database Designer creates a physical schema for your database that provides optimal query performance. The first time you run ..."},"993":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingEncodingToImproveQueryPerformance.htm",l:-1,t:"Column Encoding",i:8.18241003154818E-05,a:"You can potentially make queries faster by changing column encoding. Encoding reduces the on-disk size of your data so the amount of I/O required for queries is reduced, resulting in faster execution times. Make sure all columns and projections included in the query use the correct data encoding. To ..."},"994":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/ImprovingTheCompressionOfFLOATColumns.htm",l:-1,t:"Improving Column Compression",i:8.18241003154818E-05,a:"If you see slow performance or a large storage footprint with your  FLOAT  data, evaluate the data and your business needs to see if it can be contained in a  NUMERIC  column with a precision of 18 digits or less. Converting a FLOAT column to a NUMERIC column can improve data compression, reduce the ..."},"995":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/UsingRunLengthEncodingRLEToImproveQueryPerformance.htm",l:-1,t:"Using Run Length Encoding",i:8.18241003154818E-05,a:"When you run Database Designer, you can choose to optimize for loads, which minimizes database footprint. In this case, Database Designer applies encodings to columns to maximize query performance.  Encoding options  include run length encoding (RLE), which replaces sequences (runs) of identical ..."},"996":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingProjectionsForQueriesWithPredicates.htm",l:-1,t:"Projections for Queries with Predicates",i:8.18241003154818E-05,a:"If your query contains one or more predicates, you can modify the projections to improve the query\u0027s performance, as described in the following two examples. Queries That Use Date Ranges This example shows how to encode data using RLE and change the projection sort order to improve the performance ..."},"997":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingGROUPBYQueries.htm",l:-1,t:"GROUP BY Queries",i:0.000551473717993653,a:"GROUP BY Queries The following sections include several examples that show how you can design your projections to optimize the performance of your GROUP BY queries."},"998":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/AvoidingGROUPBYHASHWithProjectionDesign.htm",l:-1,t:"GROUP BY Implementation Options",i:0.00042457239820054,a:"Vertica implements a query GROUP BY clause with one of these algorithms: GROUPBY PIPELINED or GROUPBY HASH. Both algorithms return the same results. Performance of both is generally similar for queries that return a small number of distinct groups—typically a thousand per node .  You can use  ..."},"999":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/AvoidingResegmentationDuringGROUPBYOptimizationWithProjectionDesign.htm",l:-1,t:"Avoiding Resegmentation During GROUP BY Optimization with Projection Design",i:8.18241003154818E-05,a:"To compute the correct result of a query that contains a GROUP BY clause, Vertica must ensure that all rows with the same value in the GROUP BY expressions end up at the same node for final computation. If the projection design already guarantees the data is segmented by the GROUP BY columns, no ..."},"1000":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingDISTINCTInASELECTQueryList.htm",l:-1,t:"DISTINCT in a SELECT Query List",i:8.18241003154818E-05,a:"This section describes how to optimize queries that have the DISTINCT keyword in their SELECT list. The techniques for optimizing DISTINCT queries are similar to the techniques for optimizing GROUP BY queries because when processing queries that use DISTINCT, the Vertica optimizer rewrites the query ..."},"1001":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/IfTheQueryHasNoAggregatesInTheSELECTLIST.htm",l:-1,t:"Query Has No Aggregates in SELECT List",i:9.57342501747836E-05,a:"If your query has no aggregates in the SELECT list, internally, Vertica treats the query as if it uses GROUP BY instead.   For example, you can rewrite the following query: SELECT DISTINCT a, b, c FROM table1; as: SELECT a, b, c FROM table1 GROUP BY a, b, c; For fastest execution, apply the ..."},"1002":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingCOUNTDISTINCTAndOtherDISTINCTAggregates.htm",l:-1,t:"COUNT (DISTINCT) and Other DISTINCT Aggregates",i:9.57342501747836E-05,a:"Computing a DISTINCT aggregate generally requires more work than other aggregates. Also, a query that uses a single DISTINCT aggregate consumes fewer resources than a query with multiple DISTINCT aggregates.  Vertica executes queries with multiple distinct aggregates more efficiently when all ..."},"1003":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingCOUNTDISTINCTByCalculatingApproximateCounts.htm",l:-1,t:"Approximate Count Distinct Functions",i:9.57342501747836E-05,a:"Vertica provides the COUNT(DISTINCT) function to compute the exact number of distinct values in a data set. If projections are available that allow COUNT(DISTINCT) to execute using the GROUPBY PIPELINED algorithm, COUNT(DISTINCT) performs well. In some situations, however, using ..."},"1004":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/IfTheQueryHasASingleDISTINCTAggregate.htm",l:-1,t:"Single DISTINCT Aggregates",i:9.57342501747836E-05,a:"Vertica computes a DISTINCT aggregate by first removing all duplicate values of the aggregate\u0027s argument to find the distinct values. Then it computes the aggregate. For example, you can rewrite the following query: SELECT a, b, COUNT(DISTINCT c) AS dcnt FROM table1 GROUP BY a, b; as: SELECT a, b, ..."},"1005":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/IfTheQueryHasMultipleDISTINCTAggregates.htm",l:-1,t:"Multiple DISTINCT Aggregates",i:9.57342501747836E-05,a:"If your query has multiple DISTINCT aggregates, there is no straightforward SQL rewrite that can compute them. The following query cannot easily be rewritten for improved performance: SELECT a, COUNT(DISTINCT b), COUNT(DISTINCT c) AS dcnt FROM table1 GROUP BY a; For a query with multiple DISTINCT ..."},"1006":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingJOINQueries.htm",l:-1,t:"JOIN Queries",i:8.18241003154818E-05,a:"In general, you can optimize execution of queries that join multiple tables in several ways: Create projections for the joined tables that are sorted on join predicate columns . This facilitates use of the merge join algorithm, which generally joins tables more efficiently than the merge join ..."},"1007":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/HashJoinsVs.MergeJoins.htm",l:-1,t:"Hash Joins Versus Merge Joins",i:0.000247900161775554,a:"The Vertica optimizer implements a join with one of the following algorithms:  Merge join is used when projections of the joined tables are sorted on the join columns. Merge joins are faster and uses less memory than hash joins.  Hash join is used when projections of the joined tables are not ..."},"1008":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/AvoidingResegmentationDuringJoins.htm",l:-1,t:"Identical Segmentation",i:0.000381418051785222,a:"To improve query performance when you join multiple tables, create projections that are identically segmented on the join keys. Identically-segmented projections allow the joins to occur locally on each node, thereby helping to reduce data movement across the network during query processing.  To ..."},"1009":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingORDERBYQueries.htm",l:-1,t:"ORDER BY Queries",i:9.34158918648999E-05,a:"You can improve the performance of queries that contain only ORDER BY clauses if the columns in a projection\u0027s ORDER BY clause are the same as the columns in the query. If you define the projection sort order in the CREATE PROJECTION statement, the Vertica query optimizer does not have to sort ..."},"1010":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingSQL-99AnalyticFunctions.htm",l:-1,t:"Analytic Functions",i:8.18241003154818E-05,a:"Analytic Functions The following sections describe how to optimize SQL-99 analytic functions that Vertica supports."},"1011":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/AvoidingSingle-NodeExecutionByAvoidingEmptyOVERClauses.htm",l:-1,t:"Empty OVER Clauses",i:8.18241003154818E-05,a:"The OVER() clause does not require a windowing clause. If your query uses an analytic function like SUM(x) and you specify an empty OVER() clause, the analytic function is used as a reporting function, where the entire input is treated as a single partition; the aggregate returns the same aggregated ..."},"1012":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/NULLPlacementByAnalyticFunctions.htm",l:-1,t:"NULL Sort Order",i:0.000720099865165911,a:"By default, projection column values are stored in ascending order, but placement of NULL values depends on a column\u0027s data type.  NULL Placement Differences With ORDER BY Clauses  The analytic OVER( window-order-clause) and the SQL ORDER BY clause have slightly different semantics:  OVER(ORDER BY ..."},"1013":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/DesigningTablesToMinimizeRun-TimeSortingOfNULLValuesInAnalyticFunctions.htm",l:-1,t:"Runtime Sorting of NULL Values in Analytic Functions",i:0.000802683117027679,a:"By carefully writing queries or creating your design (or both), you can help the Vertica query optimizer skip sorting all columns in a table when performing an analytic function, which can improve query performance.  To minimize Vertica\u0027s need to sort projections during query execution, redefine the ..."},"1014":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingLIMITQueriesWithROW_NUMBERPredicates.htm",l:-1,t:"LIMIT Queries with ROW_NUMBER Predicates",i:8.18241003154818E-05,a:"Queries that use the  LIMIT clause  with ORDER BY or analytic function  ROW_NUMBER()  return a specific subset of rows in the query result. Vertica processes these queries efficiently using  Top-K Optimization, which is a database query ranking process. Top-K optimization avoids sorting (and ..."},"1015":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingINSERT-SELECTOperations.htm",l:-1,t:"INSERT-SELECT Operations",i:8.18241003154818E-05,a:"INSERT-SELECT Operations There are several ways to optimize an INSERT-SELECT query that has the following format: INSERT /*+direct*/ INTO destination SELECT * FROM source;"},"1016":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingINSERT-SELECTQueriesByMatchingSortOrders.htm",l:-1,t:"Matching Sort Orders",i:8.18241003154818E-05,a:"When performing INSERT-SELECT operations, to avoid the sort phase of the INSERT, make sure that the sort order for the SELECT query matches the projection sort order of the target table. For example, on a single-node database: =\u003e CREATE TABLE source (col1 INT, col2 INT, col3 INT);\n=\u003e CREATE ..."},"1017":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/AvoidingResegmentationOfINSERT-SELECTQueries.htm",l:-1,t:"Identical Segmentation",i:8.18241003154818E-05,a:"When performing an INSERT-SELECT operation from a segmented source table to a segmented destination table, segment both projections on the same column to avoid resegmenting the data, as in the following example:  CREATE TABLE source (col1 INT, col2 INT, col3 INT); \nCREATE PROJECTION source_p (col1, ..."},"1018":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingDELETEAndUPDATEQueries.htm",l:-1,t:"DELETE and UPDATE Queries",i:8.18241003154818E-05,a:"Vertica is optimized for query-intensive workloads, so DELETE and UPDATE queries might not achieve the same level of performance as other queries. A DELETE and UPDATE operation has to update all projections, so the operation is as slow as the slowest projection. For additional information, see  ..."},"1019":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingDCTableQueries.htm",l:-1,t:"Data Collector Table Queries",i:0.000103903732045621,a:"The Vertica Data Collector extends system table functionality by gathering and retaining information about your database cluster. The Data Collector makes this information available in system tables. Vertica Analytic Database stores Data Collection data in the Data Collector directory under the ..."},"1020":{y:0,u:"../Content/Authoring/AnalyzingData/Views/Views.htm",l:-1,t:"Views",i:0.000182203018987049,a:"A view is a stored query that encapsulates one or more SELECT statements. Views dynamically access and compute data from the database at execution time. A view is read-only, and can reference any combination of tables, temporary tables, and other views.  You can use views to achieve the following ..."},"1021":{y:0,u:"../Content/Authoring/AnalyzingData/Views/CreatingViews.htm",l:-1,t:"Creating Views",i:0.00018850048557103,a:"You can create two types of views: CREATE VIEW creates a view that persists across all sessions until it is explicitly dropped with  DROP VIEW CREATE LOCAL TEMPORARY VIEW creates a view that is accessible only during the current Vertica session, and only to its creator. The view is automatically ..."},"1022":{y:0,u:"../Content/Authoring/AnalyzingData/Views/UsingViews.htm",l:-1,t:"Using Views",i:0.000375718558200038,a:"Views can be used in the FROM clause of any SQL query or subquery. At execution, Vertica internally substitutes the name of the view used in the query with the actual query used in the view definition.  CREATE VIEW Example The following  CREATE VIEW statement creates the view myview, which sums all ..."},"1023":{y:0,u:"../Content/Authoring/AnalyzingData/Views/ViewExecution.htm",l:-1,t:"View Execution",i:8.18241003154818E-05,a:"When Vertica processes a query that contains a view, it treats the view as a subquery. Vertica executes the query by expanding it to include the query in the view definition. For example, Vertica expands the query on the view myview shown in  Using Views , to include the query that the view ..."},"1024":{y:0,u:"../Content/Authoring/AnalyzingData/Views/ViewManagement.htm",l:-1,t:"Managing Views",i:8.18241003154818E-05,a:"Obtaining View Information You can query system tables  VIEWS and  VIEW_COLUMNS to obtain information about existing views—for example, a view\u0027s definition and the attributes of columns that comprise that view.  Renaming a View Use  ALTER VIEW to rename a view. Dropping a View Use  DROP VIEW to drop ..."},"1025":{y:0,u:"../Content/Authoring/AnalyzingData/FlattenedTables/FlattenedTables.htm",l:-1,t:"Flattened Tables",i:0.00023248117788955,a:"Highly normalized database design often uses a star or snowflake schema model, comprising multiple large fact tables and many smaller dimension tables. Queries typically involve joins between a large fact table and multiple dimension tables. Depending on the number of tables and quantity of data ..."},"1026":{y:0,u:"../Content/Authoring/AnalyzingData/FlattenedTables/FlattenedTableBasicExample.htm",l:-1,t:"Flattened Table Example",i:9.9211787639609E-05,a:"In the following example, columns orderFact.cust_name and orderFact.cust_gender are defined as SET USING and DEFAULT columns, respectively. Both columns obtain their values by querying table custDim: =\u003e CREATE TABLE public.custDim(\n     cid int PRIMARY KEY NOT NULL,\n     name varchar(20),\n     age ..."},"1027":{y:0,u:"../Content/Authoring/AnalyzingData/FlattenedTables/FlattenedTableCreate.htm",l:-1,t:"Creating Flattened Tables",i:8.18241003154818E-05,a:"A flattened table is typically a fact table where one or more columns query other tables for their values, through DEFAULT or SET USING constraints. Like other columns, you can set these constraints when you create the flattened table, or any time thereafter by modifying the table schema: CREATE ..."},"1028":{y:0,u:"../Content/Authoring/AnalyzingData/FlattenedTables/PrivilegesRequired.htm",l:-1,t:"Required Privileges",i:8.18241003154818E-05,a:"Flattened tables require the following privileges: To view flattened table data: READ privileges. No privileges are required on queried tables. To add SET USING or DEFAULT columns that query other tables: SELECT privileges on the queried tables, CREATE privileges on the flattened table. To load ..."},"1029":{y:0,u:"../Content/Authoring/AnalyzingData/FlattenedTables/SetUsingVersusDefault.htm",l:-1,t:"SET USING versus DEFAULT",i:8.18241003154818E-05,a:"Columns in a flattened table can query other tables with constraints SET USING and DEFAULT. In both cases, changes in the queried tables are not automatically propagated to the flattened table. The two constraints differ as described below. DEFAULT Columns Vertica executes DEFAULT queries only on ..."},"1030":{y:0,u:"../Content/Authoring/AnalyzingData/FlattenedTables/ModifySetUsingColumns.htm",l:-1,t:"Modifying SET USING and DEFAULT Columns",i:0.000131226688709305,a:"You can drop SET USING and DEFAULT columns from a flattened table at any time. Doing so has no effect on the tables that these columns query. Removing SET USING and DEFAULT Constraints You remove a column\u0027s SET USING or DEFAULT constraint with  ALTER TABLE...ALTER COLUMN, as follows: ALTER TABLE ..."},"1031":{y:0,u:"../Content/Authoring/AnalyzingData/FlattenedTables/SetUsingColumnImpactLicensing.htm",l:-1,t:"Impact of SET USING Columns on License Limits",i:8.18241003154818E-05,a:"Vertica does not count the data in denormalized columns towards your raw data license limit. SET USING columns obtain their data by querying columns in other tables. You cannot modify SET USING data directly—for example, through DML operations such as INSERT and COPY. Thus, only the source data ..."},"1032":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/UsingSQLAnalytics.htm",l:-1,t:"SQL Analytics",i:0.00206387137436737,a:"Vertica analytics are SQL functions based on the ANSI 99 standard. These functions handle complex analysis and reporting tasks—for example: Rank the longest-standing customers in a particular state. Calculate the moving average of retail volume over a specified time. Find the highest score among all ..."},"1033":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/HowAnalyticFunctionsWork.htm",l:-1,t:"Invoking Analytic Functions",i:0.00116704815294851,a:"You invoke analytic functions as follows: analytic-function (arguments) OVER(\n      [  window-partition-clause ]\n      [  window-order-clause [  window-frame-clause ] ] \n)\n An analytic function\u0027s OVER clause can contain up to three sub-clauses, which specify how to partition and sort function input, ..."},"1034":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/AnalyticFunctionsVersusAggregateFunctions.htm",l:-1,t:"Analytic Functions Versus Aggregate Functions",i:8.18241003154818E-05,a:"Like aggregate functions, analytic functions return aggregate results, but analytics do not group the result set. Instead, they return the group value multiple times with each record, allowing further analysis. Analytic queries generally run faster and use fewer resources than aggregate queries. ..."},"1035":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/WindowPartitioning.htm",l:-1,t:"Window Partitioning",i:0.00403022735227101,a:"Optionally specified in an analytic function\u0027s OVER clause, a partition (PARTITION BY) clause groups input rows before the function processes them. Window partitioning is similar to an aggregate function\u0027s GROUP BY clause, except it returns exactly one result row per input row. If you omit the  ..."},"1036":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/WindowOrdering.htm",l:-1,t:"Window Ordering",i:0.000555631498018485,a:"Window ordering specifies how to sort rows that are supplied to the analytic function. You specify window ordering through an ORDER BY clause in the function\u0027s OVER clause, as shown below. If the OVER clause includes a  window partition clause , rows are sorted within each partition. An window order ..."},"1037":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/WindowFraming.htm",l:-1,t:"Window Framing",i:0.000911383212830801,a:"The window frame of an analytic function comprises a set of rows relative to the row that is currently being evaluated by the function. After the analytic function processes that row and its window frame, Vertica advances the current row and adjusts the frame boundaries accordingly. If the OVER ..."},"1038":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/WindowsWithAPhysicalOffsetROWS.htm",l:-1,t:"Windows with a Physical Offset (ROWS)",i:0.000157372900589062,a:"The keyword ROWS in a window frame clause  specifies window dimensions as the number of rows relative to the current row. The value can be INTEGER data type only. The value returned by an analytic function with a physical offset is liable to produce  nondeterministic  results unless the ordering ..."},"1039":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/WindowsWithALogicalOffsetRANGE.htm",l:-1,t:"Windows with a Logical Offset (RANGE)",i:0.000145781109039644,a:"The RANGE keyword defines an analytic window frame as a logical offset from the current row.  The value returned by an analytic function with a logical offset is always  deterministic .  For each row, an analytic function uses the  window order clause  (ORDER_BY) column or expression to calculate ..."},"1040":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/ReportingAggregates.htm",l:-1,t:"Reporting Aggregates",i:8.18241003154818E-05,a:"Some of the analytic functions that take the window-frame-clause are the reporting aggregates. These functions let you compare a partition\u0027s aggregate values with detail rows, taking the place of correlated subqueries or joins. AVG() COUNT() MAX()  and  MIN() SUM() STDDEV() ,  STDDEV_POP() , and  ..."},"1041":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/NamingWindows.htm",l:-1,t:"Named  Windows",i:0.000161742238764695,a:"An analytic function\u0027s OVER clause can reference a named window, which encapsulates one or more window clauses: a window partition (PARTITION BY) clause and (optionally) a window order (ORDER BY) clause. Named windows can be useful when you write queries that invoke multiple analytic functions with ..."},"1042":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/AnalyticQueryExamples.htm",l:-1,t:"Analytic Query Examples",i:0.000780890755855018,a:"Analytic Query Examples Calculating a Median Value Getting Price Differential for Two Stocks Calculating the Moving Average Getting Latest Bid and Ask Results"},"1043":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/CalculatingAMedianValue.htm",l:-1,t:"Calculating a Median Value",i:0.000331809553922383,a:"A median is a numerical value that separates the higher half of a sample from the lower half. For example, you can retrieve the median of a finite list of numbers by arranging all observations from lowest value to highest value and then picking the middle one. If the number of observations is even, ..."},"1044":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/GettingPriceDifferentialForTwoStocks.htm",l:-1,t:"Getting Price Differential for Two Stocks",i:0.000458375677896881,a:"The following subquery selects out two stocks of interest. The outer query uses the LAST_VALUE() and OVER() components of analytics, with IGNORE NULLS. Schema DROP TABLE Ticks CASCADE;\n\n\nCREATE TABLE Ticks (ts TIMESTAMP, Stock varchar(10), Bid float);\nINSERT INTO Ticks VALUES(\u00272011-07-12 10:23:54\u0027, ..."},"1045":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/CalculatingMovingAverage.htm",l:-1,t:"Calculating the Moving Average",i:0.00024776798215094,a:"Calculate a 40-second moving average of bids for one stock. This examples uses the  ticks table schema. Query =\u003e SELECT ts, bid, AVG(bid)\n   OVER(ORDER BY ts\n       RANGE BETWEEN INTERVAL \u002740 seconds\u0027 \n       PRECEDING AND CURRENT ROW)\nFROM ticks \nWHERE stock = \u0027abc\u0027 \nGROUP BY bid, ts \nORDER BY ts;\n ..."},"1046":{y:0,u:"../Content/Authoring/AnalyzingData/SQLAnalytics/GettingLatestBidAndAskResults.htm",l:-1,t:"Getting Latest Bid and Ask Results",i:0.00024776798215094,a:"The following query fills in missing NULL values to create a full book order showing latest bid and ask price and size, by vendor id.  Original rows have values for (typically) one price and one size, so use last_value with \"ignore nulls\" to find the most recent non-null value for the other pair ..."},});