define({"1376":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/EnableWithClauseMaterialization.htm",l:-1,t:"ENABLE_WITH_CLAUSE_MATERIALIZATION",i:9.84745892784844E-05,a:"Enables and disables  WITH clause  materialization for a specific query. Materialization is automatically cleared when the query returns. For more information about materializing WITH clauses, see  Materialization of WITH Clause  in Analyzing Data.  Syntax WITH ..."},"1377":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/GBYTYPE.htm",l:-1,t:"GBYTYPE",i:0.000293360168021504,a:"Specifies which algorithm—GROUPBY HASH or GROUPBY PIPELINED—the Vertica query optimizer should use to implement a  GROUP BY clause. If both algorithms are valid for this query, the query optimizer chooses the specified algorithm over the algorithm that the query optimizer might otherwise choose in ..."},"1378":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/IgnoreConst.htm",l:-1,t:"IGNORECONST",i:0.00152643589114638,a:"In a directed query, maps an input query constant to one or more annotated query constants. Syntax /*+ IGNORECONST(arg) */ Description IGNORECONST lets you create directed queries that support input queries with various conditions. IGNORECONST requires an integer argument. This argument matches ..."},"1379":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/JTpye.htm",l:-1,t:"JTYPE",i:0.000105429664208135,a:"Specifies the join algorithm as hash or merge. Syntax ...JOIN /*+ JTYPE(join-type) */ Arguments Description Use the JTYPE hint to specify the algorithm the optimizer uses to join table data. If specified algorithm is not feasible, the optimizer ignores the hint and throws a warning. Requirements     ..."},"1380":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/label.htm",l:-1,t:"LABEL",i:0.000923372971503672,a:"Assigns a label to a statement in order to identify it for profiling and debugging.  LABEL hints are valid in the following statements: DELETE INSERT MERGE SELECT UPDATE UNION: Valid in the UNION\u0027s first SELECT statement. Vertica ignores labels in subsequent SELECT statements. Syntax statement-name ..."},"1381":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/Projs.htm",l:-1,t:"PROJS",i:0.000129493775939603,a:"Specifies one or more projections to use for a queried table.  Syntax ...FROM table-name /*+ PROJS( [schema.]projection[,...] ) */ Arguments   Description The PROJS hint can specify multiple projections; the optimizer determines which ones are valid and uses the one that is most cost-effective for ..."},"1382":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/SkipProjs.htm",l:-1,t:"SKIP_PROJS",i:0.000105429664208135,a:"Specifies which projections to avoid using for a queried table. Syntax ...FROM table-name /*+ SKIP_PROJS( [[db‑name.]schema.]projection[,...] ) */ Arguments   Description The SKIP_PROJS specifies one or more projections that the optimizer should avoid using. If the SKIP_PROJS hint excludes all ..."},"1383":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/SyntacticJoin.htm",l:-1,t:"SYNTACTIC_JOIN",i:0.000143953280439151,a:"Enforces join order and enables other join hints. Syntax /*+ SYN[TACTIC]_JOIN */ Description In order to achieve optimal performance, the optimizer often overrides a query\u0027s specified join order. By including the SYNTACTIC_JOIN hint, you can ensure that the optimizer enforces the query\u0027s join order ..."},"1384":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/TRICKLE.htm",l:-1,t:"TRICKLE",i:0.000206994269409408,a:"Specifies to load data only into WOS. This hint overrides the table\u0027s  load method , by default set to AUTO.  The following statements support this hint: DELETE: If used with /*+TRICKLE*/, stores delete vectors in WOS. INSERT MERGE UPDATE CREATE [TEMPORARY] TABLE AS For more information about data ..."},"1385":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/UType.htm",l:-1,t:"UTYPE",i:0.000105429664208135,a:"UTYPE Specifies how to combine  UNION ALL input. Syntax ...UNION ALL /*+ UTYPE(union-type) */ Arguments   Requirements Queries that include the UTYPE hint must also include the SYNTACTIC_JOIN hint. Otherwise, the optimizer ignores the UTYPE hint and throws a warning."},"1386":{y:0,u:"../Content/Authoring/SQLReferenceManual/LanguageElements/Hints/VERBATIM.htm",l:-1,t:"VERBATIM",i:0.000180689043428508,a:"Enforces execution of an annotated query exactly as written. VERBATIM directs the optimizer to create a query plan that incorporates all hints in a annotated query. Furthermore, it directs the optimizer not to apply its own plan development processing on query plan components that pertain to those ..."},"1387":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/SQLDataTypes.htm",l:-1,t:"SQL Data Types",i:0.000685328847711383,a:"SQL Data Types The following table summarizes the data types that Vertica supports. It also shows the default placement of null values in projections. The Size column is listed as uncompressed bytes."},"1388":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/BinaryDataTypes.htm",l:-1,t:"Binary Data Types",i:0.000375229532840739,a:"Store raw-byte data, such as IP addresses, up to 65000 bytes. Syntax BINARY ( length ){ VARBINARY | BINARY VARYING | BYTEA | RAW } ( max-length )\n Parameters Notes BYTEA and RAW are synonyms for VARBINARY.  The data types BINARY and BINARY VARYING (VARBINARY) are collectively referred to as binary ..."},"1389":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/BooleanDataType.htm",l:-1,t:"Boolean Data Type",i:0.000599335787605788,a:"Vertica provides the standard SQL type BOOLEAN, which has two states: true and false. The third state in SQL boolean logic is unknown, which is represented by the NULL value.  Syntax BOOLEAN Parameters Valid literal data values for input are: \n             \n         Notes Do not confuse the BOOLEAN ..."},"1390":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/CharacterDataTypes.htm",l:-1,t:"Character Data Types",i:0.000128866677673088,a:"Stores strings of letters, numbers, and symbols.  Character data can be stored as fixed-length or variable-length strings. Fixed-length strings are right-extended with spaces on output; variable-length strings are not extended.  Syntax [ CHARACTER | CHAR ] ( octet_length )[ VARCHAR | CHARACTER ..."},"1391":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/DateTimeDataTypes.htm",l:-1,t:"Date/Time Data Types",i:0.000570490194875762,a:"Vertica supports the full set of SQL date and time data types. In most cases, a combination of DATE, DATETIME, SMALLDATETIME, TIME, TIMESTAMP WITHOUT TIME ZONE, and TIMESTAMP WITH TIME ZONE, and INTERVAL provides a complete range of date/time functionality required by any application.  In compliance ..."},"1392":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/DATE.htm",l:-1,t:"DATE",i:0.000288430780010155,a:"DATE Consists of a month, day, and year.  Syntax DATE Parameters/Limits \n            See  SET DATESTYLE  for information about ordering."},"1393":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/DATETIME.htm",l:-1,t:"DATETIME",i:8.18241003154818E-05,a:"DATETIME DATETIME is an alias for  TIMESTAMP/TIMESTAMPTZ ."},"1394":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/INTERVAL.htm",l:-1,t:"INTERVAL",i:0.000910297818115474,a:"Measures the difference between two points in time. Intervals can be positive or negative. The INTERVAL data type is divided into two major subtypes: Year-month : Span of years and months Day-time : Span of days, hours, minutes, seconds, and fractional seconds Syntax INTERVAL [ (p) ] \u0027 ..."},"1395":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/DisplayingOrOmittingIntervalUnitsInOutput.htm",l:-1,t:"Setting Interval Unit Display",i:0.000177144483873233,a:"You can control how Vertica displays interval units in a SELECT INTERVAL query, with  SET INTERVALSTYLE and  SET DATESTYLE. These statements only affect interval output format.  DATESTYLE settings supersede INTERVALSTYLE. If DATESTYLE is set to SQL, interval unit display always conforms to the ..."},"1396":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/IntervalValueInput.htm",l:-1,t:"Specifying Interval Input",i:0.000616709214424863,a:"Interval values are expressed through  interval literals . An interval literal is composed of one or more interval fields, where each field represents a span of days and time, or years and months, as follows: [-] { quantity subtype-unit }[...] [AGO] Using Subtype Units Subtype units are optional for ..."},"1397":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/IntervalQualifiers.htm",l:-1,t:"Controlling Interval Format",i:0.000185667797635447,a:"Interval qualifiers  specify a range of options that Vertica uses to interpret and format an  interval literal . The interval qualifier can also specify precision. Each interval qualifier is composed of one or two units: unit[p] [ TO unit[p] ]      where:  unit specifies a day-time or year-month  ..."},"1398":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/IntervalPrecision.htm",l:-1,t:"Specifying Interval Precision",i:0.000431713874687735,a:"In general, interval precision only applies to seconds. If no precision is explicitly specified, Vertica rounds precision to a maximum of six decimal places. For example: =\u003e SELECT INTERVAL \u00272 hours 4 minutes 3.709384766 seconds\u0027 DAY TO SECOND;\n    ?column?\n-----------------\n 02:04:03.709385\n(1 ..."},"1399":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/IntervalSecondFractions.htm",l:-1,t:"Fractional Seconds in Interval Units",i:8.18241003154818E-05,a:"Vertica supports intervals in milliseconds (hh:mm:ss:ms), where 01:02:03:25 represents 1 hour, 2 minutes, 3 seconds, and 025 milliseconds. Milliseconds are converted to fractional seconds as in the following example, which returns 1 day, 2 hours, 3 minutes, 4 seconds, and 25.5 milliseconds: =\u003e ..."},"1400":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/IntervalSignedProcessing.htm",l:-1,t:"Processing Signed Intervals",i:8.18241003154818E-05,a:"In the SQL:2008 standard, a minus sign before an interval-literal or as the first character of the interval-literal negates the entire literal, not just the first component. In Vertica, a leading minus sign negates the entire interval, not just the first component. The following commands both return ..."},"1401":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/IntervalCasting.htm",l:-1,t:"Casting with Intervals",i:8.18241003154818E-05,a:"You can use CAST to convert strings to intervals, and vice versa.  String to Interval You cast a string to an interval as follows: CAST( [ INTERVAL[(p)] ] [-] ]  interval‑literal AS INTERVAL[(p)]  interval‑qualifier ) For example: =\u003e SELECT CAST(\u00273700 sec\u0027 AS INTERVAL);\n ?column? \n----------\n ..."},"1402":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/IntervalOperations.htm",l:-1,t:"Operations with Intervals",i:8.18241003154818E-05,a:"If you divide an interval by an interval, you get a FLOAT: =\u003e SELECT INTERVAL \u002728 days 3 hours\u0027 HOUR(4) / INTERVAL \u002727 days 3 hours\u0027 HOUR(4);\n ?column?\n------------\n 1.036866359447\n An INTERVAL divided by FLOAT returns an INTERVAL: =\u003e SELECT INTERVAL \u00273\u0027 MINUTE / 1.5;\n ?column?\n------------\n 2 mins\n ..."},"1403":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/SMALLDATETIME.htm",l:-1,t:"SMALLDATETIME",i:8.18241003154818E-05,a:"SMALLDATETIME SMALLDATETIME is an alias for  TIMESTAMP/TIMESTAMPTZ ."},"1404":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/TIME.htm",l:-1,t:"TIME/TIMETZ",i:0.000191785818924453,a:"Stores the specified time of day. TIMETZ is the same as TIME WITH TIME ZONE: both data types store the UTC offset of the specified time.  Syntax TIME TIME [ (p) ] [ { WITHOUT | WITH } TIME ZONE ] \u0027input‑string\u0027 [  AT TIME ZONE zone ]  TIMETZ TIME [ (p) ] \u0027input‑string\u0027 [  AT TIME ZONE zone ]  ..."},"1405":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/TIMEATTIMEZONE.htm",l:-1,t:"TIME AT TIME ZONE",i:0.000155655777117304,a:"Converts the specified TIME to the time in another time zone.  Syntax TIME [WITH TIME ZONE] \u0027input‑string\u0027 AT TIME ZONE \u0027zone\u0027 Parameters Specifying Time Zones You can specify time zones in two ways: \n                A string literal such as America/Chicago or PST An interval  that specifies a ..."},"1406":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/TIMESTAMP.htm",l:-1,t:"TIMESTAMP/TIMESTAMPTZ",i:0.00112262725352146,a:"Stores the specified date and time. TIMESTAMPTZ is the same as TIMESTAMP WITH TIME ZONE: both data types store the UTC offset of the specified time.  TIMESTAMP is an alias for DATETIMEand SMALLDATETIME. Syntax TIMESTAMP TIMESTAMP [ (p) ] [ { WITHOUT | WITH } TIME ZONE ] \u0027input‑string\u0027 [ AT TIME ZONE ..."},"1407":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Date-Time/TIMESTAMPATTIMEZONE.htm",l:-1,t:"TIMESTAMP AT TIME ZONE",i:0.000649757835794038,a:" Converts the specified TIMESTAMP or TIMESTAMPTZ (TIMESTAMP WITH TIMEZONE) to another time zone. Vertica executes AT TIME ZONE differently, depending on whether the date input is a TIMESTAMP or TIMESTAMPTZ. See  TIMESTAMP Versus TIMESTAMPTZ Behavior  below. Syntax timestamp‑clause AT TIME ZONE ..."},"1408":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/LongDataTypes.htm",l:-1,t:"Long Data Types",i:0.000182137212262863,a:"Store data up to 32,000,000 bytes: LONG VARBINARY—Variable-length raw-byte data, such as spatial data. LONG VARBINARY values are not extended to the full width of the column. LONG VARCHAR—Variable-length strings, such as log files and unstructured data. LONG VARCHAR values are not extended to the ..."},"1409":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Numeric/NumericDataTypes.htm",l:-1,t:"Numeric Data Types",i:0.00138887142322415,a:"Numeric data types are numbers stored in database columns. These data types are typically grouped by: Exact numeric types, values where the precision and scale need to be preserved. The exact numeric types are INTEGER, BIGINT, DECIMAL, NUMERIC, NUMBER, and MONEY. Approximate numeric types, values ..."},"1410":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Numeric/DOUBLEPRECISIONFLOAT.htm",l:-1,t:"DOUBLE PRECISION (FLOAT)",i:0.00051699302896346,a:"Vertica supports the numeric data type DOUBLE PRECISION, which is the IEEE-754 8-byte floating point type, along with most of the usual floating point operations.  Syntax [ DOUBLE PRECISION | FLOAT | FLOAT(n) | FLOAT8 | REAL ] Parameters On a machine whose floating-point arithmetic does not follow ..."},"1411":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Numeric/INTEGER.htm",l:-1,t:"INTEGER",i:0.000571585715906398,a:"A signed 8-byte (64-bit) data type. Syntax [ INTEGER | INT | BIGINT | INT8 | SMALLINT | TINYINT ] Parameters INT, INTEGER, INT8, SMALLINT, TINYINT, and BIGINT are all synonyms for the same signed 64-bit integer data type. Automatic compression techniques are used to conserve disk space in cases ..."},"1412":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/Numeric/NUMERIC.htm",l:-1,t:"NUMERIC",i:0.000405809011999689,a:"Numeric data types store fixed point numeric data. For example, a money value of $123.45 can be stored in a NUMERIC(5,2) field. Syntax NUMERIC | DECIMAL | NUMBER | MONEY [ ( precision [ , scale ] ) ] Parameters Notes The maximum number of significant digits (digits to the left of the decimal point) ..."},"1413":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/NumericDataTypeOverflow.htm",l:-1,t:"Numeric Data Type Overflow",i:8.18241003154818E-05,a:"Vertica does not check for overflow (positive or negative) except in the aggregate function  SUM (). If you encounter overflow when using SUM, use  SUM_FLOAT () which converts to floating point. For a detailed discussion of how Vertica handles overflow when you use the functions SUM, SUM_FLOAT, and ..."},"1414":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/HowVerticaHandlesOverflowSUMNumeric.htm",l:-1,t:" Numeric Data Type Overflow with SUM, SUM_FLOAT, and AVG",i:0.000174558432710827,a:" Numeric Data Type Overflow with SUM, SUM_FLOAT, and AVG When you use the functions SUM, SUM_FLOAT, and AVG with a NUMERIC data type, be aware that overflow can occur and how Vertica responds  to that overflow. This discussion applies to both the aggregate and analytic functions. For queries, when ..."},"1415":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/DataTypeCoercion.htm",l:-1,t:"Data Type Coercion",i:0.00199952583447153,a:"Vertica supports two types of data type casting:  Implicit casting—Occurs when the expression automatically converts the data from one type to another. Explicit casting—Occurs when you write a SQL statement that specifies the target data type for the conversion.  The ANSI SQL-92 standard supports ..."},"1416":{y:0,u:"../Content/Authoring/SQLReferenceManual/DataTypes/DataTypeCoercionChart.htm",l:-1,t:"Data Type Coercion Chart",i:0.00229998057757066,a:"Conversion Types The following table defines all possible type conversions that Vertica supports. The data types in the first column of the table are the inputs to convert, while data types listed across the second heading row indicate the resultant assignments.  Implicit and Explicit Conversion ..."},"1417":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/SQLFunctions.htm",l:-1,t:"SQL Functions",i:0.000159686471124716,a:"Functions return information from the database.Except for  Vertica-specific functions , you can use a function anywhere an expression is allowed. This chapter describes each function that Vertica supports. The Behavior Type section of these descriptions categorizes the function\u0027s return behavior as ..."},"1418":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/AggregateFunctions.htm",l:-1,t:"Aggregate Functions",i:0.000629904273254697,a:" All functions in this section that have an  analytic  function counterpart are appended with [Aggregate] to avoid confusion between the two. Aggregate functions summarize data over groups of rows from a query result set. The groups are specified using the  GROUP BY  clause. They are allowed only in ..."},"1419":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/APPROXIMATE_COUNT_DISTINCT.htm",l:-1,t:"APPROXIMATE_COUNT_DISTINCT",i:0.000804234697200992,a:"Returns the number of distinct non-NULL values in a data set.  Behavior Type Immutable Syntax APPROXIMATE_COUNT_DISTINCT ( expression[, error-tolerance ] )  Parameters Restrictions APPROXIMATE_COUNT_DISTINCT and DISTINCT aggregates cannot be in the same query block. Error Tolerance ..."},"1420":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/APPROXIMATE_COUNT_DISTINCT_SYNOPSIS.htm",l:-1,t:"APPROXIMATE_COUNT_DISTINCT_SYNOPSIS",i:0.000724280524483345,a:"Summarizes the information of distinct non-NULL values and materializes the result set in a VARBINARY or LONG VARBINARY synopsis object. The calculated result is within a specified range of error tolerance. You save the synopsis object in a  Vertica table for use by  ..."},"1421":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/APPROXIMATE_COUNT_DISTINCT_OF_SYNOPSIS.htm",l:-1,t:"APPROXIMATE_COUNT_DISTINCT_OF_SYNOPSIS",i:0.000724280524483345,a:"Calculates the number of distinct non-NULL values from the synopsis objects created by  APPROXIMATE_COUNT_DISTINCT_SYNOPSIS. Note: If you are upgrading from a release to Vertica 8.1.1, you must drop the pre-existing synopsis object and recreate it to get the result.  Behavior Type Immutable Syntax ..."},"1422":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/APPROXIMATE_MEDIAN.htm",l:-1,t:"APPROXIMATE_MEDIAN [Aggregate]",i:9.41954992099371E-05,a:"Computes the approximate median of an expression over a group of rows. The function returns a FLOAT value.  APPROXIMATE_MEDIAN is an alias of  APPROXIMATE_PERCENTILE [Aggregate] with a parameter of 0.5.  Note: This function is best suited for large groups of data. If you have a small group of data, ..."},"1423":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/APPROXIMATE_PERCENTILE.htm",l:-1,t:"APPROXIMATE_PERCENTILE [Aggregate]",i:0.000101840722981692,a:"Computes the approximate percentile of an expression over a group of rows. This function returns a FLOAT value. Nulls are ignored. Note: This function is best suited for large groups of data. If you have a small group of data,  use the exact  PERCENTILE_CONT [Analytic]  function.  Behavior Type ..."},"1424":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/AVGAggregate.htm",l:-1,t:"AVG [Aggregate]",i:0.000390767161481084,a:"Computes the average (arithmetic mean) of an expression over a group of rows. AVG always returns a DOUBLE PRECISION value. The AVG aggregate function differs from the  AVG analytic function, which computes the average of an expression over a group of rows within a  window .  Behavior Type Immutable ..."},"1425":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/BIT_AND.htm",l:-1,t:"BIT_AND",i:0.000107420962538492,a:"Takes the bitwise AND of all non-null input values. If the input parameter is NULL, the return value is also NULL. Behavior Type Immutable Syntax BIT_AND ( expression ) Parameters Returns BIT_AND returns: The same value as the argument data type.  1 for each bit compared, if all bits are 1; ..."},"1426":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/BIT_OR.htm",l:-1,t:"BIT_OR",i:0.000107420962538492,a:"Takes the bitwise OR of all non-null input values. If the input parameter is NULL, the return value is also NULL. Behavior Type Immutable Syntax BIT_OR ( expression ) Parameters Returns BIT_OR returns: The same value as the argument data type.  1 for each bit compared, if any bit is 1; otherwise 0. ..."},"1427":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/BIT_XOR.htm",l:-1,t:"BIT_XOR",i:9.40913030248336E-05,a:"Takes the bitwise XOR of all non-null input values. If the input parameter is NULL, the return value is also NULL. Behavior Type Immutable Syntax BIT_XOR ( expression ) Parameters Returns BIT_XOR returns: The same value as the argument data type.  1 for each bit compared, if there are an odd number ..."},"1428":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/BOOLandAggregate.htm",l:-1,t:"BOOL_AND [Aggregate]",i:0.000169978646508527,a:"Processes Boolean values and returns a Boolean value result. If all input values are true, BOOL_AND returns t. Otherwise it returns f (false). Behavior Type Immutable Syntax BOOL_AND ( expression ) Parameters Examples The following example shows how to use aggregate functions BOOL_AND, BOOL_OR, and ..."},"1429":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/BOOLORAggregate.htm",l:-1,t:"BOOL_OR [Aggregate]",i:0.000169978646508527,a:"Processes Boolean values and returns a Boolean value result. If at least one input value is true, BOOL_OR returns t. Otherwise, it returns f. Behavior Type Immutable Syntax BOOL_OR ( expression ) Parameters Examples The following example shows how to use aggregate functions BOOL_AND, BOOL_OR, and ..."},"1430":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/BOOLXORAggregate.htm",l:-1,t:"BOOL_XOR [Aggregate]",i:0.000169978646508527,a:"Processes Boolean values and returns a Boolean value result. If specifically only one input value is true, BOOL_XOR returns t. Otherwise, it returns f. Behavior Type Immutable Syntax BOOL_XOR ( expression ) Parameters Examples The following example shows how to use aggregate functions BOOL_AND, ..."},"1431":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/CORR.htm",l:-1,t:"CORR",i:8.18241003154818E-05,a:"Returns the DOUBLE PRECISION coefficient of correlation of a set of expression pairs. CORR eliminates expression pairs  where either expression in the pair is NULL. If no rows remain, the function returns NULL. Syntax CORR ( expression1, expression2 ) Parameters Example =\u003e SELECT CORR ..."},"1432":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/COUNTAggregate.htm",l:-1,t:"COUNT [Aggregate]",i:0.000813325415005854,a:"Returns as a BIGINT the number of rows in each group where the expression is not NULL. If the query has no GROUP BY clause, COUNT returns the number of table rows. The COUNT aggregate function differs from the  COUNT analytic function, which returns the number over a group of rows within a  window . ..."},"1433":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/COVAR_POP.htm",l:-1,t:"COVAR_POP",i:8.18241003154818E-05,a:"Returns the population covariance for a set of expression pairs. The return value is of type DOUBLE PRECISION. COVAR_POP eliminates expression pairs  where either expression in the pair is NULL. If no rows remain, the function returns NULL. Syntax SELECT COVAR_POP ( expression1, expression2 ) ..."},"1434":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/COVAR_SAMP.htm",l:-1,t:"COVAR_SAMP",i:8.18241003154818E-05,a:"Returns the sample covariance for a set of expression pairs. The return value is of type DOUBLE PRECISION. COVAR_SAMP eliminates expression pairs  where either expression in the pair is NULL. If no rows remain, the function returns NULL. Syntax SELECT COVAR_SAMP ( expression1, expression2 ) ..."},"1435":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/GROUP_ID.htm",l:-1,t:"GROUP_ID",i:0.000434148079569063,a:"Uniquely identifies duplicate sets for GROUP BY queries that return duplicate grouping sets. This function returns one or more integers, starting with zero (0), as identifiers.  For the number of duplicates n for a particular grouping, GROUP_ID returns a range of sequential numbers, 0 to n–1. For ..."},"1436":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/GROUPING.htm",l:-1,t:"GROUPING",i:0.000516940417930566,a:"Disambiguates the use of NULL values when GROUP BY queries with multilevel aggregates generate NULL values to identify subtotals in grouping columns. Such NULL values from the original data can also occur in rows. GROUPING returns 1, if the value of expression is: NULL, representing an aggregated ..."},"1437":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/GROUPING_ID.htm",l:-1,t:"GROUPING_ID",i:0.000452319735599838,a:"Concatenates the set of Boolean values generated by the   GROUPING   function into a bit vector. GROUPING_ID treats the bit vector as a binary number and returns it as a base-10 value that identifies the grouping set combination. By using GROUPING_ID you avoid the need for multiple, individual ..."},"1438":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/MAXAggregate.htm",l:-1,t:"MAX [Aggregate]",i:0.000200810828012625,a:"Returns the greatest value of an expression over a group of rows. The return value has the same type as the expression data type.  The  MAX analytic function  function differs from the aggregate function, in that it  returns the maximum value of an expression over a group of rows within a  window .  ..."},"1439":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/MINAggregate.htm",l:-1,t:"MIN [Aggregate]",i:0.000200810828012625,a:"Returns the smallest value of an expression over a group of rows. The return value has the same type as the expression data type. The MIN  analytic function  differs from the aggregate function, in that it  returns the minimum value of an expression over a group of rows within a  window .  Aggregate ..."},"1440":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/REGR_AVGX.htm",l:-1,t:"REGR_AVGX",i:8.18241003154818E-05,a:"Returns the DOUBLE PRECISION average of the independent expression in an expression pair. REGR_AVGX eliminates expression pairs  where either expression in the pair is NULL. If no rows remain, REGR_AVGX returns NULL. Syntax SELECT REGR_AVGX ( expression1, expression2 ) Parameters Example =\u003e SELECT ..."},"1441":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/REGR_AVGY.htm",l:-1,t:"REGR_AVGY",i:8.18241003154818E-05,a:"Returns the DOUBLE PRECISION average of the dependent expression in an expression pair. The function eliminates expression pairs  where either expression in the pair is NULL.  If no rows remain, the function returns NULL. Syntax REGR_AVGY ( expression1, expression2 ) Parameters Example =\u003e SELECT ..."},"1442":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/REGR_COUNT.htm",l:-1,t:"REGR_COUNT",i:8.18241003154818E-05,a:"Returns the count of all rows in an expression pair. The function eliminates expression pairs  where either expression in the pair is NULL.  If no rows remain, the function returns 0. Syntax SELECT REGR_COUNT ( expression1, expression2 ) Parameters Example =\u003e SELECT REGR_COUNT (Annual_salary, ..."},"1443":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/REGR_INTERCEPT.htm",l:-1,t:"REGR_INTERCEPT",i:8.18241003154818E-05,a:"Returns  the y-intercept of the regression line determined by a set of expression pairs. The return value is of type DOUBLE PRECISION. REGR_INTERCEPT eliminates expression pairs where either expression in the pair is NULL. If no rows remain, REGR_INTERCEPT returns NULL. Syntax SELECT REGR_INTERCEPT ..."},});