define({"1444":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/REGR_R2.htm",l:-1,t:"REGR_R2",i:8.18241003154818E-05,a:"Returns the square of the correlation coefficient of a set of expression pairs. The return value is of type DOUBLE PRECISION. REGR_R2 eliminates expression pairs where either expression in the pair is NULL. If no rows remain, REGR_R2 returns NULL. Syntax SELECT REGR_R2 ( expression1, expression2 ) ..."},"1445":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/REGR_SLOPE.htm",l:-1,t:"REGR_SLOPE",i:8.18241003154818E-05,a:"Returns the slope of the regression line, determined by a set of expression pairs. The return value is of type DOUBLE PRECISION. REGR_SLOPE eliminates expression pairs where either expression in the pair is NULL. If no rows remain, REGR_SLOPE returns NULL. Syntax SELECT REGR_SLOPE ( expression1, ..."},"1446":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/REGR_SXX.htm",l:-1,t:"REGR_SXX",i:8.18241003154818E-05,a:"Returns the sum of squares of the difference between the independent expression (expression2) and its average. That is, REGR_SXX returns: ∑[(expression2 - average(expression2)(expression2 - average(expression2)] The return value is of type DOUBLE PRECISION. REGR_SXX eliminates expression pairs where ..."},"1447":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/REGR_SXY.htm",l:-1,t:"REGR_SXY",i:8.18241003154818E-05,a:"Returns the sum of products of the difference between the dependent expression (expression1) and its average and the difference between the independent expression (expression2) and its average. That is, REGR_SXY returns: ∑[(expression1 - average(expression1)(expression2 - average(expression2))] The ..."},"1448":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/REGR_SYY.htm",l:-1,t:"REGR_SYY",i:8.18241003154818E-05,a:"Returns the sum of squares of the difference between the dependent expression (expression1) and its average. That is, REGR_SYY returns: ∑[(expression1 - average(expression1)(expression1 - average(expression1)] The return value is of type DOUBLE PRECISION. REGR_SYY eliminates expression pairs where ..."},"1449":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/STDDEVAggregate.htm",l:-1,t:"STDDEV [Aggregate]",i:0.00012868742625731,a:"Evaluates the statistical sample standard deviation for each member of the group. The return value is the same  as the square root of  VAR_SAMP: STDDEV(expression) = SQRT(VAR_SAMP(expression)) Behavior Type Immutable Syntax STDDEV ( expression ) Parameters Related Functions Nonstandard function ..."},"1450":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/STDDEV_POPAggregate.htm",l:-1,t:"STDDEV_POP [Aggregate]",i:9.33660539018559E-05,a:"Evaluates the statistical population standard deviation for each member of the group. Behavior Type Immutable Syntax STDDEV_POP ( expression ) Parameters Related Functions This function differs from the analytic function  STDDEV_POP, which evaluates the statistical population standard deviation for ..."},"1451":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/STDDEV_SAMPAggregate.htm",l:-1,t:"STDDEV_SAMP [Aggregate]",i:0.00012868742625731,a:"Evaluates the statistical sample standard deviation for each member of the group. The return value is the same as the square root of  VAR_SAMP: STDDEV_SAMP(expression) = SQRT(VAR_SAMP(expression)) Behavior Type Immutable Syntax STDDEV_SAMP ( expression ) Parameters Related Functions STDDEV_SAMP is ..."},"1452":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/SUMAggregate.htm",l:-1,t:"SUM [Aggregate]",i:0.000726837584518814,a:"Computes the sum of an expression over a group of rows. SUM returns a DOUBLE PRECISION value for a floating-point expression. Otherwise, the return value is the same as the expression data type. The SUM aggregate function differs from the  SUM analytic function, which computes the sum of an ..."},"1453":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/SUM_FLOATAggregate.htm",l:-1,t:"SUM_FLOAT [Aggregate]",i:0.000468121423741254,a:"Computes the sum of an expression over a group of rows and returns a DOUBLE PRECISION value. Behavior Type Immutable Syntax SUM_FLOAT ( [ ALL | DISTINCT ] expression ) Parameters Overflow Handling \n        By default, Vertica allows silent numeric overflow when you call this function on numeric data ..."},"1454":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/VAR_POPAggregate.htm",l:-1,t:"VAR_POP [Aggregate]",i:0.000116909882741781,a:"Evaluates the population variance for each member of the group. This is defined as the sum of squares of the difference of  expressionfrom the mean of  expression, divided by the number of remaining rows: (SUM(expression*expression) - SUM(expression)*SUM(expression) / COUNT(expression)) / ..."},"1455":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/VAR_SAMPAggregate.htm",l:-1,t:"VAR_SAMP [Aggregate]",i:0.000205895466044651,a:"Evaluates the sample variance for each row of the group. This is defined as the sum of squares of the difference of  expression from the mean of  expression divided by the number of remaining rows minus 1: (SUM(expression*expression) - SUM(expression) *SUM(expression) / COUNT(expression)) / ..."},"1456":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Aggregate/VARIANCEAggregate.htm",l:-1,t:"VARIANCE [Aggregate]",i:0.000157197616783013,a:"Evaluates the sample variance for each row of the group. This is defined as the sum of squares of the difference of  expression from the mean of  expression divided by the number of remaining rows minus 1.  (SUM(expression*expression) - SUM(expression) *SUM(expression) /COUNT(expression)) / ..."},"1457":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/AnalyticFunctions.htm",l:-1,t:"Analytic Functions",i:0.00319751144981863,a:" All analytic functions in this section with an aggregate counterpart are appended with [Analytics] in the heading to avoid confusion between the two function types. Vertica analytics are SQL functions based on the ANSI 99 standard. These functions handle complex analysis and reporting tasks—for ..."},"1458":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/window_partition_clause.htm",l:-1,t:"Window Partition Clause",i:0.00442575420670529,a:"When specified, a window partition clause  divides the rows of the function input based on user-provided expressions. If no expression is provided, the partition clause can improve query performance by using parallelism.  Window partitioning is similar to the GROUP BY clause except that it returns ..."},"1459":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/window_order_clause.htm",l:-1,t:"Window Order Cause",i:0.00328307962149017,a:"Specifies how to sort rows that are supplied to the analytic function. If the OVER clause also includes a  window partition clause , rows are sorted within each partition.  The window order clause only specifies order within a window result set. The query can have its own  ORDER BY clause outside ..."},"1460":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/window_frame_clause.htm",l:-1,t:"Window Frame Clause",i:0.00310214022401837,a:"Specifies a window frame, which comprises a set of rows relative to the row that is currently being evaluated by the analytic function. After the function processes that row and its window, Vertica advances the current row and adjusts the window boundaries accordingly. If the OVER clause also ..."},"1461":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/window_name_clause.htm",l:-1,t:"Window Name Clause",i:0.000470099287368021,a:"Defines a named window that specifies window partition and order clauses for an analytic function. This window is specified in the function\u0027s OVER clause. Named windows can be useful when you write queries that invoke multiple analytic functions with similar OVER clauses—for example, they use the ..."},"1462":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/AVGAnalytic.htm",l:-1,t:"AVG [Analytic]",i:0.000300117805828396,a:"Computes an average of an expression in a group within a  window . AVG returns the same data type as the expression\u0027s numeric data type. The AVG analytic function differs from the  AVG aggregate function, which computes the average of an expression over a group of rows. Behavior Type Immutable ..."},"1463":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/BOOLandAnalytic.htm",l:-1,t:"BOOL_AND [Analytic]",i:0.000149771283100696,a:"Returns the Boolean value of an expression within a  window . If all input values are true, BOOL_AND returns t. Otherwise, it returns f. Behavior Type Immutable Syntax BOOL_AND ( expression ) OVER ( \n... [  window-partition-clause ] \n... [  window-order-clause ]\n... [  window-frame-clause ] )\n ..."},"1464":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/BOOLORAnalytic.htm",l:-1,t:"BOOL_OR [Analytic]",i:0.000149771283100696,a:"Returns the Boolean value of an expression within a  window . If at least one input value is true, BOOL_OR returns t. Otherwise, it returns f. Behavior Type Immutable Syntax BOOL_OR ( expression ) OVER ( \n... [  window-partition-clause ] \n... [  window-order-clause ]\n... [  window-frame-clause ] )\n ..."},"1465":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/BOOLXORAnalytic.htm",l:-1,t:"BOOL_XOR [Analytic]",i:0.000149771283100696,a:"Returns the Boolean value of an expression within a  window . If only one input value is true, BOOL_XOR returns t. Otherwise, it returns f. Behavior Type Immutable Syntax BOOL_XOR ( expression ) OVER ( \n... [  window-partition-clause ] \n... [  window-order-clause ]\n... [  window-frame-clause ] )\n ..."},"1466":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/CONDITIONAL_CHANGE_EVENTAnalytic.htm",l:-1,t:"CONDITIONAL_CHANGE_EVENT [Analytic]",i:0.000141705176292676,a:"Assigns an event window number to each row, starting from 0, and increments by 1 when the result of evaluating the argument expression on the current row differs from that on the previous row. Behavior Type Immutable Syntax CONDITIONAL_CHANGE_EVENT ( expression ) OVER ( \n... [  ..."},"1467":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/CONDITIONAL_TRUE_EVENTAnalytic.htm",l:-1,t:"CONDITIONAL_TRUE_EVENT [Analytic]",i:0.000202471473159174,a:"Assigns an event window number to each row, starting from 0, and increments the number by 1 when the result of the boolean argument expression evaluates true. For example, given a sequence of values for column a, as follows: ( 1, 2, 3, 4, 5, 6 )  CONDITIONAL_TRUE_EVENT(a \u003e 3) returns 0, 0, 0, 1, 2, ..."},"1468":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/COUNTAnalytic.htm",l:-1,t:"COUNT [Analytic]",i:0.00026254044493396,a:"Counts occurrences within a group within a  window . If you specify * or some non-null constant, COUNT() counts all rows.  Behavior Type Immutable Syntax COUNT ( expression ) OVER ( \n... [  window-partition-clause ] \n... [  window-order-clause ]\n... [  window-frame-clause ] )\n Parameters Example ..."},"1469":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/CUME_DISTAnalytic.htm",l:-1,t:"CUME_DIST [Analytic]",i:0.00015549169234569,a:"Calculates the cumulative distribution, or relative rank, of the current row with regard to other rows in the same partition within a  window . CUME_DIST() returns a number greater then 0 and less then or equal to 1, where the number represents the relative position of the specified row within a ..."},"1470":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/DENSE_RANKAnalytic.htm",l:-1,t:"DENSE_RANK [Analytic]",i:0.000212183012511304,a:"Within each window partition, ranks all rows in the query results set according to the order specified by the window\u0027s ORDER BY clause. A DENSE_RANK function returns a sequence of ranking numbers without any gaps. DENSE_RANK executes as follows:  Sorts partition rows as specified by the ORDER BY ..."},"1471":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/EXPONENTIAL_MOVING_AVERAGEAnalytic.htm",l:-1,t:"EXPONENTIAL_MOVING_AVERAGE [Analytic]",i:0.000122597525940808,a:"Calculates the exponential moving average (EMA) of expression E with smoothing factor X. An EMA differs from a simple moving average in that it provides a more stable picture of changes to data over time. The EMA is calculated by adding the previous EMA value to the current data point scaled by the ..."},"1472":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/FIRST_VALUEAnalytic.htm",l:-1,t:"FIRST_VALUE [Analytic]",i:0.000190476478862867,a:"Lets you select the first value of a table or partition (determined by the window-order-clause) without having to use a self join. This function is useful when you want to use the first value as a baseline in calculations.  Use FIRST_VALUE() with the window-order-clause to produce  deterministic  ..."},"1473":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/LAGAnalytic.htm",l:-1,t:"LAG [Analytic]",i:0.00033773687952222,a:"Returns the value of the input expression at the given offset before the current row within a  window . This function lets you access more than one row in a table at the same time. This is useful for comparing values when the relative positions of rows can be reliably known. It also lets you avoid ..."},"1474":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/LAST_VALUEAnalytic.htm",l:-1,t:"LAST_VALUE [Analytic]",i:0.000193089984942468,a:"Lets you select the last value of a table or partition (determined by the window-order-clause) without having to use a self join. LAST_VALUE takes the last record from the partition after the window order clause. The function then computes the expression against the last record, and returns the ..."},"1475":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/LEADAnalytic.htm",l:-1,t:"LEAD [Analytic]",i:0.000201930767735322,a:"Returns values from the row after the current row within a  window , letting you access more than one row in a table at the same time. This is useful for comparing values when the relative positions of rows can be reliably known. It also lets you avoid the more costly self join, which enhances query ..."},"1476":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/MAXAnalytic.htm",l:-1,t:"MAX [Analytic]",i:0.000209479604565257,a:"Returns the maximum value of an expression within a  window . The return value has the same type as the expression data type.  The analytic functions MIN() and MAX() can operate with Boolean values. The MAX() function acts upon a  Boolean Data Type  or a value that can be implicitly converted to a ..."},"1477":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/MEDIANAnalytic.htm",l:-1,t:"MEDIAN [Analytic]",i:0.000494352050894476,a:"For each row,  returns the median value of a value set within each partition. MEDIAN determines the argument with the highest numeric precedence, implicitly converts the remaining arguments to that data type, and returns that data type. MEDIAN is an alias of  PERCENTILE_CONT [Analytic] with an ..."},"1478":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/MINAnalytic.htm",l:-1,t:"MIN [Analytic]",i:0.000209479604565257,a:"Returns the minimum value of an expression within a  window . The return value has the same type as the expression data type.  The analytic functions MIN() and MAX() can operate with Boolean values. The MAX() function acts upon a  Boolean Data Type  or a value that can be implicitly converted to a ..."},"1479":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/NTILEAnalytic.htm",l:-1,t:"NTILE [Analytic]",i:0.000207895992544084,a:"Equally divides an ordered data set (partition) into a {value} number of subsets within a  window , where the subsets are numbered 1 through the value in parameter constant‑value.  For example, if constant‑value= 4 and the partition contains 20 rows, NTILE divides the partition rows into four equal ..."},"1480":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/NTH_VALUEAnalytic.htm",l:-1,t:"NTH_VALUE",i:8.18241003154818E-05,a:"[Analytic] Returns the value evaluated at the row that is the nth row of the window (counting from 1). If the specified row does not exist, NTH_VALUE returns NULL. Behavior Type Immutable Syntax NTH_VALUE ( expression, row‑number [ IGNORE NULLS ] ) OVER (\n... [  window-frame-clause ] \n... [  Window ..."},"1481":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/PERCENT_RANKAnalytic.htm",l:-1,t:"PERCENT_RANK [Analytic]",i:0.000135338856618899,a:"Calculates the relative rank of a row for a given row in a group within a  window  by dividing that row’s rank less 1 by the number of rows in the partition, also less 1. PERCENT_RANK always returns values from 0 to 1 inclusive. The first row in any set has a PERCENT_RANK of 0. The return value is ..."},"1482":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/PERCENTILE_CONTAnalytic.htm",l:-1,t:"PERCENTILE_CONT [Analytic]",i:0.000294849205602466,a:"An inverse distribution function where, for each row, PERCENTILE_CONT returns the value that would fall into the specified percentile among a set of values in each partition within a  window . For example, if the argument to the function is 0.5, the result of the function is the median of the data ..."},"1483":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/PERCENTILE_DISCAnalytic.htm",l:-1,t:"PERCENTILE_DISC [Analytic]",i:0.000135338856618899,a:"An inverse distribution function where, for each row, PERCENTILE_DISC returns the value that would fall into the specified percentile among a set of values in each partition within a  window . PERCENTILE_DISC() assumes a discrete distribution data model. NULL values are ignored. PERCENTILE_DISC ..."},"1484":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/RANKAnalytic.htm",l:-1,t:"RANK [Analytic]",i:0.000194976294205945,a:"Within each window partition, ranks all rows in the query results set according to the order specified by the window\u0027s ORDER BY clause. RANK executes as follows:  Sorts partition rows as specified by the ORDER BY clause.  Compares the ORDER BY values of the preceding row and current row and ranks ..."},"1485":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/ROW_NUMBERAnalytic.htm",l:-1,t:"ROW_NUMBER [Analytic]",i:0.000141820472623571,a:"Assigns a sequence of unique numbers, starting from 1, to each row in a  window  partition. Use the optional window partition clause to group data into partitions before operating on it. For example: SUM OVER (PARTITION BY col1, col2, ...) Notes: ROW_NUMBER() is a  Vertica extension, not part of the ..."},"1486":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/STDDEVAnalytic.htm",l:-1,t:"STDDEV [Analytic]",i:0.00016330743055108,a:"Computes the statistical sample standard deviation of the current row with respect to the group within a  window . STDDEV_SAMP returns the same value as the square root of the variance defined for the  VAR_SAMP function: STDDEV( expression ) = SQRT(VAR_SAMP( expression )) When VAR_SAMP returns NULL, ..."},"1487":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/STDDEV_POPAnalytic.htm",l:-1,t:"STDDEV_POP [Analytic]",i:9.50510096682131E-05,a:"Computes the statistical population standard deviation and returns the square root of the population variance within a  window . The STDDEV_POP() return value is the same as the square root of the VAR_POP() function: STDDEV_POP( expression ) = SQRT(VAR_POP( expression )) When VAR_POP returns null, ..."},"1488":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/STDDEV_SAMPAnalytic.htm",l:-1,t:"STDDEV_SAMP [Analytic]",i:0.000117582365190242,a:"Computes the statistical sample standard deviation of the current row with respect to the group within a  window . STDDEV_SAM\u0027s return value is the same as the square root of the variance defined for the VAR_SAMP function: STDDEV( expression ) = SQRT(VAR_SAMP( expression )) When VAR_SAMP returns ..."},"1489":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/SUMAnalytic.htm",l:-1,t:"SUM [Analytic]",i:0.000730334604164507,a:"Computes the sum of an expression over a group of rows within a  window . It returns a DOUBLE PRECISION value for a floating-point expression. Otherwise, the return value is the same as the expression data type. Behavior Type Immutable Syntax SUM ( expression ) OVER ( \n... [  window-partition-clause ..."},"1490":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/VAR_POPAnalytic.htm",l:-1,t:"VAR_POP [Analytic]",i:0.000180012361763429,a:"Returns the statistical population variance of a non-null set of numbers (nulls are ignored) in a group within a  window . Results are calculated by the sum of squares of the difference of  expression from the mean of  expression, divided by the number of rows remaining: (SUM( expression * ..."},"1491":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/VAR_SAMPAnalytic.htm",l:-1,t:"VAR_SAMP [Analytic]",i:0.000219580185805786,a:"Returns the sample variance of a non-NULL set of numbers (NULL values in the set are ignored) for each row of the group within a  window . Results are calculated as follows: (SUM( expression * expression ) - SUM( expression ) * SUM( expression ) / COUNT( expression ) ) \n/ (COUNT( expression ) - 1 ) ..."},"1492":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Analytic/VARIANCEAnalytic.htm",l:-1,t:"VARIANCE [Analytic]",i:0.000180379811108062,a:"Returns the sample variance of a non-NULL set of numbers (NULL values in the set are ignored) for each row of the group within a  window . Results are calculated as follows: ( SUM( expression * expression ) - SUM( expression ) * SUM( expression ) / COUNT( expression )) / (COUNT( expression ) - 1 ) \n ..."},"1493":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Current_Load/CurrentLoadFunction.htm",l:-1,t:"Current Load Source",i:8.18241003154818E-05,a:"Current Load Source The current load source function returns the source file name. In This Section"},"1494":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Current_Load/CURRENT_LOAD_SOURCE.htm",l:-1,t:"CURRENT_LOAD_SOURCE",i:8.18241003154818E-05,a:"Returns the file name used  during the COPY statement. Behavior Type Stable Syntax CURRENT_LOAD_SOURCE() Behavior If the  function is called outside of the context of a COPY statement, it returns NULL. If the function is called by a UDL that does not set the source, it returns the string \u003cunknown\u003e. ..."},"1495":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DateTimeFunctions-1.htm",l:-1,t:"Date/Time Functions",i:0.000347562714756329,a:"Date and time functions perform conversion, extraction, or manipulation operations on date and time data types and can return date and time information. Usage Functions that take TIME or TIMESTAMP inputs come in two variants: TIME WITH TIME ZONE or TIMESTAMP WITH TIME ZONE TIME WITHOUT TIME ZONE or ..."},"1496":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/ADD_MONTHS.htm",l:-1,t:"ADD_MONTHS",i:8.18241003154818E-05,a:"Adds the specified number of months to a date and returns the sum as a DATE. The function returns the last day of the month if one of the following conditions is true: The start‑date argument specifies the last day of the month. For example, 2015‑01‑28 +12 returns 2016‑01‑29 . The start‑date ..."},"1497":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/AGE_IN_MONTHS.htm",l:-1,t:"AGE_IN_MONTHS",i:8.18241003154818E-05,a:"Returns the difference in months between two dates, expressed as an integer. Behavior Type Immutable  if both date arguments are of data type TIMESTAMP Stable  if either date is a TIMESTAMPTZ or only one argument is supplied Syntax AGE_IN_MONTHS ( [ date1,] date2 ) Parameters Examples Get the age in ..."},"1498":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/AGE_IN_YEARS.htm",l:-1,t:"AGE_IN_YEARS",i:8.18241003154818E-05,a:"Returns the difference in years between two dates, expressed as an integer. Behavior Type Immutable  if both date arguments are of data type TIMESTAMP Stable  if either date is a TIMESTAMPTZ or only one argument is supplied Syntax AGE_IN_YEARS( [ date1,] date2 ) Parameters Examples Get the age of ..."},"1499":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/CLOCK_TIMESTAMP.htm",l:-1,t:"CLOCK_TIMESTAMP",i:0.00042818839114657,a:"Returns a value of type TIMESTAMP WITH TIMEZONE that represents the current system-clock time.  CLOCK_TIMESTAMP uses the date and time supplied by the operating system on the server to which you are connected, which should be the same across all servers.  The value changes each time you call it. ..."},"1500":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/CURRENT_DATE.htm",l:-1,t:"CURRENT_DATE",i:0.000278240562945218,a:"CURRENT_DATE Returns the date (date-type value) on which the current transaction started. Behavior Type Stable Syntax CURRENT_DATE() You can call this function without parentheses. Examples SELECT CURRENT_DATE;\n  ?column?\n------------\n 2010-09-23\n(1 row)\n"},"1501":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/CURRENT_TIME.htm",l:-1,t:"CURRENT_TIME",i:0.000139139064352201,a:"Returns a value of type TIME WITH TIMEZONE that represents the start of the current transaction. The return value does not change during the transaction. Thus, multiple calls to CURRENT_TIME within the same transaction return the same timestamp. Behavior Type Stable Syntax CURRENT_TIME  [ ( ..."},"1502":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/CURRENT_TIMESTAMP.htm",l:-1,t:"CURRENT_TIMESTAMP",i:0.000528759308616504,a:"Returns a value of type TIME WITH TIMEZONE that represents the start of the current transaction. The return value does not change during the transaction. Thus, multiple calls to CURRENT_TIMESTAMP within the same transaction return the same timestamp. Behavior Type Stable Syntax CURRENT_TIMESTAMP ( ..."},"1503":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DATE_PART.htm",l:-1,t:"DATE_PART",i:0.000142303253214275,a:"Extracts a sub-field such as year or hour from a date/time expression, equivalent to the the SQL-standard function  EXTRACT. Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or INTERVAL Stable  if the specified date is a TIMESTAMPTZ Syntax DATE_PART ( \u0027field\u0027, date ) Parameters ..."},"1504":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DATE.htm",l:-1,t:"DATE",i:8.18241003154818E-05,a:"Converts the input value to a  DATE data type. Behavior Type Immutable  if the input value is a TIMESTAMP, DATE, VARCHAR, or integer Stable  if the input value is a TIMESTAMPTZ Syntax DATE ( value ) Parameters Examples =\u003e SELECT DATE (1);\n    DATE\n------------\n 0001-01-01\n(1 row)\n\n=\u003e SELECT DATE ..."},"1505":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DATE_TRUNC.htm",l:-1,t:"DATE_TRUNC",i:0.000545339340509088,a:"Truncates date and time values to the specified precision.  The return value is of type TIME or TIMETZ. All fields that are less than the specified precision are set to 0, or to 1 for day and month. Behavior Type Stable Syntax DATE_TRUNC( precision, trunc‑target ) Parameters Precision Field Values ..."},"1506":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DATEDIFF.htm",l:-1,t:"DATEDIFF",i:0.000125679933617907,a:"Returns the time span between two dates, in the intervals specified. DATEDIFF excludes the start date in its calculation.  Behavior Type Immutable  if start and end dates are TIMESTAMPT            , DATE, TIME, or INTERVAL Stable  if start and end dates are TIMESTAMPTZ Syntax DATEDIFF ( datepart, ..."},"1507":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DAY.htm",l:-1,t:"DAY",i:8.18241003154818E-05,a:"Returns as an integer the day of the month from the input value.  Behavior Type Immutable  if the input value is a TIMESTAMP, DATE, VARCHAR, or INTEGER Stable  if the specified date is a TIMESTAMPTZ Syntax DAY ( value ) Parameters Examples =\u003e SELECT DAY (6);\n DAY\n-----\n   6\n(1 row)\n\n=\u003e SELECT ..."},"1508":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DAYOFMONTH.htm",l:-1,t:"DAYOFMONTH",i:8.18241003154818E-05,a:"Returns the day of the month as an integer. Behavior Type Immutable  if the\ntarget date is  a TIMESTAMP, DATE, or VARCHAR Stable  if the target date is aTIMESTAMPTZ Syntax DAYOFMONTH ( date ) Parameters Example =\u003e SELECT DAYOFMONTH (TIMESTAMP \u0027sep 22, 2011 12:34\u0027);\n DAYOFMONTH\n------------\n         ..."},"1509":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DAYOFWEEK.htm",l:-1,t:"DAYOFWEEK",i:8.18241003154818E-05,a:"Returns the day of the week as an integer, where Sunday is day 1.  Behavior Type Immutable  if the\ntarget date is a TIMESTAMP, DATE, or VARCHAR Stable  if the target date is aTIMESTAMPTZ Syntax DAYOFWEEK ( date ) Parameters Example =\u003e SELECT DAYOFWEEK (TIMESTAMP \u0027sep 17, 2011 12:34\u0027);\n ..."},});