define({"1510":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DAYOFWEEK_ISO.htm",l:-1,t:"DAYOFWEEK_ISO",i:0.000142303253214275,a:"Returns the ISO 8061 day of the week as an integer, where Monday is day 1.  Behavior Type Immutable  if the\ntarget date is a TIMESTAMP, DATE, or VARCHAR Stable  if the target date is aTIMESTAMPTZ Syntax DAYOFWEEK_ISO ( date ) Parameters Examples =\u003e SELECT DAYOFWEEK_ISO(TIMESTAMP \u0027Sep 22, 2011 ..."},"1511":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DAYOFYEAR.htm",l:-1,t:"DAYOFYEAR",i:8.18241003154818E-05,a:"Returns the day of the year as an integer, where January 1 is day 1.  Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or VARCHAR Stable  if the specified date is aTIMESTAMPTZ Syntax DAYOFYEAR ( date ) Parameters Example =\u003e SELECT DAYOFYEAR (TIMESTAMP \u0027SEPT 22,2011 12:34\u0027);\n ..."},"1512":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/DAYS.htm",l:-1,t:"DAYS",i:8.18241003154818E-05,a:"Returns the integer value of the specified date, where 1 AD is 1. If the date precedes 1 AD, DAYS returns a negative integer. Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or VARCHAR Stable  if the specified date is aTIMESTAMPTZ Syntax DAYS ( date ) Parameters Example =\u003e ..."},"1513":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/EXTRACT.htm",l:-1,t:"EXTRACT",i:0.000317583140436621,a:"Retrieves sub-fields such as year or hour from date/time values and returns values of type  NUMERIC. EXTRACT is intended for computational processing, rather than for formatting date/time values for display. Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or INTERVAL Stable  if ..."},"1514":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/GETDATE.htm",l:-1,t:"GETDATE",i:0.000114173349541401,a:"Returns the current statement\u0027s start date and time as a TIMESTAMP value. This function is identical to  SYSDATE. GETDATE uses the date and time supplied by the operating system on the server to which you are connected, which is the same across all servers. Internally, GETDATE converts  ..."},"1515":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/GETUTCDATE.htm",l:-1,t:"GETUTCDATE",i:8.18241003154818E-05,a:"Returns the current statement\u0027s start date and time as a TIMESTAMP value. GETUTCDATE uses the date and time supplied by the operating system on the server to which you are connected, which is the same across all servers. Internally, GETUTCDATE converts  STATEMENT_TIMESTAMP at TIME ZONE \u0027UTC\u0027. ..."},"1516":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/HOUR.htm",l:-1,t:"HOUR",i:8.18241003154818E-05,a:"Returns the hour portion of the specified date as an integer, where 0 is 00:00 to 00:59. Behavior Type Immutable  if the\nspecified date is a TIMESTAMP Stable  if the specified date is aTIMESTAMPTZ Syntax HOUR( date ) Parameters Examples =\u003e SELECT HOUR (TIMESTAMP \u0027sep 22, 2011 12:34\u0027);\n HOUR\n------\n  ..."},"1517":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/ISFINITE.htm",l:-1,t:"ISFINITE",i:8.18241003154818E-05,a:"Tests for the special TIMESTAMP constant INFINITY and returns a value of type BOOLEAN. Behavior Type Immutable Syntax ISFINITE ( timestamp ) Parameters Examples SELECT ISFINITE(TIMESTAMP \u00272009-02-16 21:28:30\u0027);\n ISFINITE\n----------\n t\n(1 row)\n SELECT ISFINITE(TIMESTAMP \u0027INFINITY\u0027);\n ..."},"1518":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/JULIAN_DAY.htm",l:-1,t:"JULIAN_DAY",i:8.18241003154818E-05,a:"Returns the integer value of the specified day according to the Julian calendar, where day 1 is the first day of the Julian period, January 1, 4713 BC (on the Gregorian calendar, November 24, 4714 BC).  Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or VARCHAR Stable  if the ..."},"1519":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/LAST_DAY.htm",l:-1,t:"LAST_DAY",i:8.18241003154818E-05,a:"Returns the last day of the month in the specified date.  Behavior Type Immutable  if the specified is a TIMESTAMP or DATE Stable  if the specified date is a TIMESTAMPTZ Syntax LAST_DAY ( date ) Parameters Examples The following example returns the last day of February as 29 because 2016 is a leap ..."},"1520":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/LOCALTIME.htm",l:-1,t:"LOCALTIME",i:0.000139139064352201,a:"Returns a value of type TIME that represents the start of the current transaction. The return value does not change during the transaction. Thus, multiple calls to LOCALTIME within the same transaction return the same timestamp. Behavior Type Stable Syntax LOCALTIME [ ( precision ) ] Parameters ..."},"1521":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/LOCALTIMESTAMP.htm",l:-1,t:"LOCALTIMESTAMP",i:0.000139139064352201,a:"Returns a value of type TIMESTAMP that represents the start of the current transaction. The return value does not change during the transaction. Thus, multiple calls to LOCALTIMESTAMP within the same transaction return the same timestamp. Behavior Type Stable Syntax LOCALTIMESTAMP [ ( precision ) ] ..."},"1522":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/MICROSECOND.htm",l:-1,t:"MICROSECOND",i:8.18241003154818E-05,a:"Returns the microsecond portion of the specified date as an integer. Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, INTERVAL, or VARCHAR Stable  if the specified date is aTIMESTAMPTZ Syntax MICROSECOND ( date ) Parameters Example =\u003e SELECT MICROSECOND (TIMESTAMP \u0027Sep 22, 2011 ..."},"1523":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/MIDNIGHT_SECONDS.htm",l:-1,t:"MIDNIGHT_SECONDS",i:8.18241003154818E-05,a:"Within the specified date, returns the number of seconds between midnight and the date\u0027s time portion. Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or VARCHAR Stable  if the specified date is aTIMESTAMPTZ Syntax MIDNIGHT_SECONDS ( date ) Parameters Examples Get the number of ..."},"1524":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/MINUTE.htm",l:-1,t:"MINUTE",i:8.18241003154818E-05,a:"Returns the minute portion of the specified date as an integer. Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, VARCHAR or INTERVAL Stable  if the specified date is aTIMESTAMPTZ Syntax MINUTE ( date ) Parameters Example =\u003e SELECT MINUTE(\u002712:34:03.456789\u0027);\n MINUTE\n--------\n     ..."},"1525":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/MONTH.htm",l:-1,t:"MONTH",i:8.18241003154818E-05,a:"Returns the month portion of the specified date as an integer. Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, VARCHAR or INTERVAL Stable  if the specified date is aTIMESTAMPTZ Syntax QUARTER ( date ) Parameters Examples =\u003e SELECT MONTH(\u00276-9\u0027);\n MONTH\n-------\n     9\n(1 row)\n=\u003e ..."},"1526":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/MONTHS_BETWEEN.htm",l:-1,t:"MONTHS_BETWEEN",i:8.18241003154818E-05,a:"Returns the number of months between two dates. MONTHS_BETWEEN can return an integer or a FLOAT8: Integer: The day portions of date1 and date2 are the same, and neither date is the last day of the month. MONTHS_BETWEEN also returns an integer if both dates in date1 and date2 are the last days of ..."},"1527":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/NEW_TIME.htm",l:-1,t:"NEW_TIME",i:8.18241003154818E-05,a:"Converts a timestamp value from one time zone to another and returns a TIMESTAMP. Behavior Type Immutable Syntax NEW_TIME( \u0027timestamp\u0027 , \u0027timezone1\u0027 , \u0027timezone2\u0027) Parameters Examples Convert the specified time from Eastern Standard Time (EST) to Pacific Standard Time (PST): =\u003e SELECT ..."},"1528":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/NEXT_DAY.htm",l:-1,t:"NEXT_DAY",i:8.18241003154818E-05,a:"Returns the date of the first instance of a particular day of the week that follows the specified date. Behavior Type Immutable  if the\nspecified date is  a TIMESTAMP, DATE, or VARCHAR Stable  if the specified date is aTIMESTAMPTZ Syntax NEXT_DAY( \u0027date\u0027, \u0027day‑string\u0027)   Parameters Examples Get the ..."},"1529":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/NOWDateTime.htm",l:-1,t:"NOW [Date/Time]",i:0.000212996599768634,a:"Returns a value of type TIMESTAMP WITH TIME ZONE representing the start of the current transaction. NOW is equivalent to  CURRENT_TIMESTAMP except that it does not accept a precision parameter. The return value does not change during the transaction. Thus, multiple calls to CURRENT_TIMESTAMP within ..."},"1530":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/OVERLAPS.htm",l:-1,t:"OVERLAPS",i:8.18241003154818E-05,a:"Evaluates two time periods and returns true when they overlap, false otherwise. Behavior Type Stable  when TIMESTAMP and TIMESTAMPTZ are both used, or when TIMESTAMPTZ is used with INTERVAL Immutable  otherwise Syntax ( start, end ) OVERLAPS ( start, end ) \n( start, interval) OVERLAPS ( start, ..."},"1531":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/QUARTER.htm",l:-1,t:"QUARTER",i:8.18241003154818E-05,a:"Returns calendar quarter of the specified date as an integer, where the January-March quarter is 1. Syntax QUARTER ( date ) Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or VARCHAR. Stable  if the specified date is aTIMESTAMPTZ Parameters Examples =\u003e SELECT QUARTER (TIMESTAMP ..."},"1532":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/ROUNDDateTime.htm",l:-1,t:"ROUND",i:0.000132562341069905,a:"Rounds the specified date or time. If you omit the precision argument, ROUND rounds to day (DD) precision. Behavior Type Immutable  if the\ntarget date is a TIMESTAMP or DATE  Stable  if the target date is aTIMESTAMPTZ Syntax ROUND(  rounding‑target[, \u0027precision\u0027] ) Parameters Examples Round to the ..."},"1533":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/SECOND.htm",l:-1,t:"SECOND",i:8.18241003154818E-05,a:"Returns the seconds portion of the specified date as an integer. Syntax SECOND ( date ) Behavior Type Immutable , except for TIMESTAMPTZ arguments where it is  stable . Parameters Examples =\u003e SELECT SECOND (\u002723:34:03.456789\u0027);\n SECOND\n--------\n      3\n(1 row)\n=\u003e SELECT SECOND (TIMESTAMP \u0027sep 22, ..."},"1534":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/STATEMENT_TIMESTAMP.htm",l:-1,t:"STATEMENT_TIMESTAMP",i:0.000497994523290173,a:"Similar to  TRANSACTION_TIMESTAMP, returns a value of type TIMESTAMP WITH TIME ZONE that represents the start of the current statement. The return value does not change during statement execution. Thus, different stages of statement execution always have the same timestamp.  Behavior Type Stable ..."},"1535":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/SYSDATE.htm",l:-1,t:"SYSDATE",i:0.000114173349541401,a:"Returns the current statement\u0027s start date and time as a TIMESTAMP value. This function is identical to  GETDATE. SYSDATE uses the date and time supplied by the operating system on the server to which you are connected, which is the same across all servers. Internally, GETDATE converts  ..."},"1536":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/TIME_SLICE.htm",l:-1,t:"TIME_SLICE",i:0.00035264608735869,a:"Aggregates data by different fixed-time intervals and returns a rounded-up input TIMESTAMP value to a value that corresponds with the start or end of the time slice interval.  Given an input TIMESTAMP value such as 2000-10-28 00:00:01, the start time of a 3-second time slice interval is 2000-10-28 ..."},"1537":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/TIMEOFDAY.htm",l:-1,t:"TIMEOFDAY",i:0.000155681635731915,a:"TIMEOFDAY Returns the wall-clock time as a text string. Function results advance during transactions.  Behavior Type Volatile Syntax TIMEOFDAY() Example =\u003e SELECT TIMEOFDAY();\n              TIMEOFDAY\n-------------------------------------\n Mon Dec 12 08:18:01.022710 2016 EST\n(1 row)\n"},"1538":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/TIMESTAMPADD.htm",l:-1,t:"TIMESTAMPADD",i:8.18241003154818E-05,a:"Adds the specified number of intervals to a TIMESTAMP or TIMESTAMPTZ value and returns  a result of the same data type. Behavior Type Immutable  if the input date is a TIMESTAMP Stable  if the input date is a TIMESTAMPTZ Syntax TIMESTAMPADD ( datepart, count, start‑date ); Parameters Examples Add ..."},"1539":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/TIMESTAMPDIFF.htm",l:-1,t:"TIMESTAMPDIFF",i:0.000103189778146468,a:"Returns the time span between two TIMESTAMP or TIMESTAMPTZ values, in the intervals specified. TIMESTAMPDIFF excludes the start date in its calculation.  Behavior Type Immutable  if start and end dates are \nTIMESTAMP Stable  if start and end dates are TIMESTAMPTZ Syntax TIMESTAMPDIFF ( datepart, ..."},"1540":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/TIMESTAMP_ROUND.htm",l:-1,t:"TIMESTAMP_ROUND",i:0.00011938359138759,a:"Rounds the specified TIMESTAMP. If you omit the precision argument, TIMESTAMP_ROUND rounds to day (DD) precision.  Behavior Type Immutable  if the\ntarget date is a TIMESTAMP Stable  if the target date is a TIMESTAMPTZ Syntax TIMESTAMP_ROUND ( rounding‑target[, \u0027precision\u0027] ) Parameters Examples ..."},"1541":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/TIMESTAMP_TRUNC.htm",l:-1,t:"TIMESTAMP_TRUNC",i:0.00011938359138759,a:"Truncates the specified TIMESTAMP. If you omit the precision argument, TIMESTAMP_TRUNC truncates to day (DD) precision.  Behavior Type Immutable  if the\ntarget date is a TIMESTAMP Stable  if the target date is a TIMESTAMPTZ Syntax TIMESTAMP_TRUNC( trunc‑target[, \u0027precision\u0027] ) Parameters Examples ..."},"1542":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/TRANSACTION_TIMESTAMP.htm",l:-1,t:"TRANSACTION_TIMESTAMP",i:0.000475456364660096,a:"Returns a value of type  TIME WITH TIMEZONE that represents the start of the current transaction. The return value does not change during the transaction. Thus, multiple calls to TRANSACTION_TIMESTAMP within the same transaction return the same timestamp. TRANSACTION_TIMESTAMP is equivalent to  ..."},"1543":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/TRUNCDateTime.htm",l:-1,t:"TRUNC",i:0.000132562341069905,a:"Truncates the specified date or time. If you omit the precision argument, TRUNC truncates to day (DD) precision.  Behavior Type Immutable  if the\ntarget date is a TIMESTAMP or DATE  Stable  if the target date is aTIMESTAMPTZ Syntax TRUNC( trunc‑target[, \u0027precision\u0027] ) Parameters Examples Truncate to ..."},"1544":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/WEEK.htm",l:-1,t:"WEEK",i:8.18241003154818E-05,a:"Returns the week of the year for the specified date as an integer, where the first week begins on the first Sunday on or preceding January 1. Syntax WEEK ( date ) Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or VARCHAR Stable  if the specified date is aTIMESTAMPTZ Parameters ..."},"1545":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/WEEK_ISO.htm",l:-1,t:"WEEK_ISO",i:0.000142303253214275,a:"Returns the week of the year for the specified date as an integer, where the first week starts on Monday and contains January 4. This function conforms with the ISO 8061 standard. Syntax WEEK_ISO ( date ) Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or VARCHAR Stable  if the ..."},"1546":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/YEAR.htm",l:-1,t:"YEAR",i:0.000236987718379262,a:"Returns an integer that represents the year portion of the specified date.  Syntax YEAR( date ) Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, VARCHAR, or INTERVAL Stable  if the specified date is aTIMESTAMPTZ Parameters Examples =\u003e SELECT YEAR(CURRENT_DATE::DATE);\n ..."},"1547":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Date-Time/YEAR_ISO.htm",l:-1,t:"YEAR_ISO",i:0.000182544443571022,a:"Returns an integer that represents the year portion of the specified date.  The return value is based on the ISO 8061 standard.  The first week of the ISO year is the week that contains January 4. Syntax YEAR_ISO ( date ) Behavior Type Immutable  if the\nspecified date is a TIMESTAMP, DATE, or ..."},"1548":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Error-handling/ErrorHandlingFunctions.htm",l:-1,t:"Error-handling Functions",i:8.18241003154818E-05,a:"Error-handling Functions Error-handling functions take a string and return the string when the query is executed. In This Section"},"1549":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Error-handling/THROW_ERROR.htm",l:-1,t:"THROW_ERROR",i:8.18241003154818E-05,a:"Returns a user-defined error message. In a multi-node cluster, race conditions  might cause the order of error messages to differ. Syntax THROW_ERROR ( message ) Parameters Examples Return an error message when a CASE statement is met: =\u003e CREATE TABLE pitcher_err (some_text varchar);\nCREATE TABLE\n=\u003e ..."},"1550":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Formatting/FormattingFunctions.htm",l:-1,t:" ",i:0.000129852849663306,a:"  Formatting Functions Formatting functions provide a powerful tool set for converting various data types (DATE/TIME, INTEGER, FLOATING POINT) to formatted strings and for converting from formatted strings to specific data types.  In This Section"},"1551":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/String/TO_BITSTRING.htm",l:-1,t:"TO_BITSTRING",i:0.00031404243566536,a:"Returns a VARCHAR that represents the given VARBINARY value in bitstring format. This function is the inverse of  BITSTRING_TO_BINARY. Behavior Type Immutable Syntax TO_BITSTRING ( expression ) Parameters Examples =\u003e SELECT TO_BITSTRING(\u0027ab\u0027::BINARY(2));\n   to_bitstring\n------------------\n ..."},"1552":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Formatting/TO_CHAR.htm",l:-1,t:"TO_CHAR",i:0.000122973500025293,a:"Converts various date/time and numeric values into text strings. Behavior Type Stable Syntax TO_CHAR ( expression [, pattern ])\t Parameters Notes TO_CHAR(any) casts any type, except BINARY/VARBINARY, to VARCHAR.  The following example returns an error if you try to cast TO_CHAR to a binary data ..."},"1553":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Formatting/TO_DATE.htm",l:-1,t:"TO_DATE",i:0.000126265319961425,a:"Converts a string value to a DATE type. Behavior Type Stable Syntax TO_DATE ( expression , pattern ) Parameters Input Value Considerations TO_DATE requires a CHAR or VARCHAR expression. For other input types, use  TO_CHAR to perform an explicit cast to a CHAR or VARCHAR before using this function.  ..."},"1554":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/String/TO_HEX.htm",l:-1,t:"TO_HEX",i:0.000366531000707612,a:"Returns a VARCHAR or VARBINARY representing the hexadecimal equivalent of a number. This function is the inverse of  HEX_TO_BINARY . Behavior Type Immutable Syntax TO_HEX ( number ) Parameters Examples =\u003e SELECT TO_HEX(123456789);\n TO_HEX\n---------\n 75bcd15\n(1 row) For VARBINARY inputs, the returned ..."},"1555":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Formatting/TO_TIMESTAMP.htm",l:-1,t:"TO_TIMESTAMP",i:9.9211787639609E-05,a:"Converts a string value or a UNIX/POSIX epoch value to a TIMESTAMP type. Behavior Type Stable Syntax TO_TIMESTAMP ( expression, pattern )TO_TIMESTAMP ( unix-epoch )\n Parameters Notes Millisecond (MS) and microsecond (US) values in a conversion from string to TIMESTAMP are used as part of the seconds ..."},"1556":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Formatting/TO_TIMESTAMP_TZ.htm",l:-1,t:"TO_TIMESTAMP_TZ",i:9.9211787639609E-05,a:"Converts a string value or a UNIX/POSIX epoch value to a TIMESTAMP WITH TIME ZONE type. Behavior Type Immutable  if single argument form,  Stable  otherwise. Syntax TO_TIMESTAMP_TZ ( expression, pattern )TO_TIMESTAMP ( unix-epoch )\n Parameters Notes Millisecond (MS) and microsecond (US) values in a ..."},"1557":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Formatting/TO_NUMBER.htm",l:-1,t:"TO_NUMBER",i:9.61419633240637E-05,a:"Converts a string value to DOUBLE PRECISION. Behavior Type Stable Syntax TO_NUMBER ( expression, [ pattern ] ) Parameters Notes To use a double quote character in the output, precede it with a double backslash. This is necessary because the backslash already has a special meaning in a string ..."},"1558":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Formatting/TemplatePatternsForDateTimeFormatting.htm",l:-1,t:"Template Patterns for Date/Time Formatting",i:0.000278852933080818,a:"In an output template string (for TO_CHAR), there are certain patterns that are recognized and replaced with appropriately-formatted data from the value to be formatted. Any text that is not a template pattern is copied verbatim. Similarly, in an input template string (for anything other than ..."},"1559":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Formatting/TemplatePatternModifiersForDateTimeFormatting.htm",l:-1,t:"Template Pattern Modifiers for Date/Time Formatting",i:0.000345904099849124,a:"Template Pattern Modifiers for Date/Time Formatting Certain modifiers can be applied to any template pattern to alter its behavior. For example, FMMonth is the Month pattern with the FM modifier."},"1560":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Formatting/TemplatePatternsForNumericFormatting.htm",l:-1,t:"Template Patterns for Numeric Formatting",i:0.000219500057920811,a:"Usage A sign formatted using SG, PL, or MI is not anchored to the number; for example: TO_CHAR(-12, \u0027S9999\u0027) produces \u0027 \n                         -12\u0027 TO_CHAR(-12, \u0027MI9999\u0027) produces \u0027- \n                         12\u0027 9 results in a value with the same number of digits as there are 9s. If a digit is ..."},"1561":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/GeospatialFunctions.htm",l:-1,t:" Geospatial Functions",i:8.18241003154818E-05,a:" Geospatial Functions The following topics describe the Vertica geospatial functions. Function-Naming Conventions The geospatial functions  use  the following naming conventions:   The ST_\u003cfunction_name\u003e functions are compliant with the latest Open Geospatial Consortium standard OGC SFA-SQL version ..."},"1562":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_AsText.htm",l:-1,t:"ST_AsText",i:0.00055363218601417,a:"Creates the Well-Known Text (WKT) representation of a spatial object. Use this function when you need to specify a spatial object in ASCII form. The  Open Geospatial Consortium (OGC)  defines the format of a WKT string in the  Simple Feature Access Part 1 - Common Architecture  specification. ..."},"1563":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Area.htm",l:-1,t:"ST_Area",i:8.18241003154818E-05,a:"Calculates the area of a spatial object. The units are: GEOMETRY objects: spatial reference system identifier (SRID) units GEOGRAPHY objects: square meters Behavior Type Immutable Syntax ST_Area( g )  Arguments Returns FLOAT  Supported Data Types Examples The following examples show how to use ..."},"1564":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_AsBinary.htm",l:-1,t:"ST_AsBinary",i:0.000351894360940938,a:"Creates the Well-Known Binary (WKB) representation of a spatial object. Use this function when you need to convert an object to binary form for porting spatial data to or from other applications. The  Open Geospatial Consortium (OGC)  defines the format of a WKB representation in the  Simple Feature ..."},"1565":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Boundary.htm",l:-1,t:"ST_Boundary",i:8.18241003154818E-05,a:"Calculates the boundary of the specified GEOMETRY object. An object\u0027s boundary is the set of points that define the limit of the object.  For a linestring, the boundary is the start and end points. For a polygon, the boundary is a linestring that begins and ends at the same point.  Behavior Type ..."},"1566":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Buffer.htm",l:-1,t:"ST_Buffer",i:8.18241003154818E-05,a:"Creates a GEOMETRY object greater than or equal to a specified distance from the boundary of a spatial object. The distance is measured in Cartesian coordinate units. ST_Buffer does not accept a distance size greater than +1e15 or less than –1e15. Behavior Type Immutable Syntax ST_Buffer( g, d ) ..."},"1567":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Centroid.htm",l:-1,t:"ST_Centroid",i:8.18241003154818E-05,a:"Calculates the geometric center—the centroid—of a spatial object. If points or linestrings or both are present in a geometry with polygons, only the polygons contribute to the calculation of the centroid. Similarly, if points are present with linestrings, the points do not contribute to the ..."},"1568":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Contains.htm",l:-1,t:"ST_Contains",i:0.000142303253214275,a:"Determines if a spatial object is entirely inside another spatial object without existing only on its boundary. Both arguments must be the same spatial data type. Either specify two GEOMETRY objects or two GEOGRAPHY objects. If an object such as a point or linestring only exists along a spatial ..."},"1569":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_ConvexHull.htm",l:-1,t:"ST_ConvexHull",i:8.18241003154818E-05,a:"Calculates the smallest convex GEOMETRY object that contains a GEOMETRY object.  Behavior Type Immutable Syntax ST_ConvexHull( g ) Arguments Returns GEOMETRY Supported Data Types Examples The following examples show how to use ST_ConvexHull. For a pair of points in a geometry collection: =\u003e SELECT ..."},"1570":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Crosses.htm",l:-1,t:"ST_Crosses",i:8.18241003154818E-05,a:"Determines if one GEOMETRY object spatially crosses another GEOMETRY object. If two objects touch only at a border, ST_Crosses returns FALSE. Two objects spatially cross when both of the following are true: The two objects have some, but not all, interior points in common. The dimension of the ..."},"1571":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Difference.htm",l:-1,t:"ST_Difference",i:8.18241003154818E-05,a:"Calculates the part of a spatial object that does not intersect with another spatial object.  Behavior Type Immutable Syntax ST_Difference( g1, g2 ) Arguments Returns GEOMETRY Supported Data Types Examples The following examples show how to use ST_Difference. Two overlapping linestrings: =\u003e SELECT ..."},"1572":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Disjoint.htm",l:-1,t:"ST_Disjoint",i:0.000758434397789387,a:"Determines if two GEOMETRY objects do not intersect or touch.  If ST_Disjoint returns TRUE for a pair of GEOMETRY objects, ST_Intersects returns FALSE for the same two objects.  GEOGRAPHY Polygons with a vertex or border on the International Date Line (IDL) or the North or South pole are not ..."},"1573":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Distance.htm",l:-1,t:"ST_Distance",i:8.18241003154818E-05,a:"Calculates the shortest distance between two spatial objects. For GEOMETRY objects, the distance is measured in Cartesian coordinate units. For GEOGRAPHY objects, the distance is measured in meters. Parameters g1 and g2 must be both GEOMETRY objects or both GEOGRAPHY objects.  Behavior Type ..."},"1574":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Envelope.htm",l:-1,t:"ST_Envelope",i:8.18241003154818E-05,a:"Calculates the minimum bounding rectangle that contains the specified GEOMETRY object. Behavior Type Immutable Syntax ST_Envelope( g ) Arguments Returns GEOMETRY Supported Data Types Example The following example shows how to use ST_Envelope. Returns the minimum bounding rectangle: =\u003e SELECT ..."},"1575":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_Equals.htm",l:-1,t:"ST_Equals",i:8.18241003154818E-05,a:"Determines if two spatial objects are spatially equivalent. The coordinates of the two objects and their WKT/WKB representations must match exactly for ST_Equals to return TRUE.  The order of the points do not matter in determining spatial equivalence: LINESTRING(1 2, 4 3) equals LINESTRING(4 3, 1 ..."},"1576":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Geospatial/ST_GeographyFromText.htm",l:-1,t:"ST_GeographyFromText",i:0.000116599474963736,a:"Converts a Well-Known Text (WKT) string into its corresponding GEOGRAPHY object. Use this function to convert a WKT string into the format expected by the Vertica Place functions. A GEOGRAPHY object is a spatial object with coordinates (longitude, latitude) defined on the surface of the earth. ..."},});