define({"1644":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/APPLY_NORMALIZE.htm",l:-1,t:"APPLY_NORMALIZE",i:0.000112824128970395,a:"Applies the normalization parameters saved in a model to a set of specified columns in the input table or view. If any column specified in the function is not contained in the model,  the data will pass through unchanged to APPLY_NORMALIZE.  Before using a machine learning function, be aware that ..."},"1645":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/BALANCE.htm",l:-1,t:"BALANCE",i:0.000217596177482337,a:"Returns a view with an equal distribution of the input data based on the dependent variable. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Behavior Type Immutable Syntax BALANCE ( \u0027output_view\u0027, \u0027input_relation\u0027, \u0027response_column\u0027, ..."},"1646":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/CONFUSION_MATRIX.htm",l:-1,t:"CONFUSION_MATRIX",i:0.000154670445672253,a:"Using an input table, returns a confusion matrix based on observed and predicted values. You cannot pass any inputs to the OVER() clause. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax CONFUSION_MATRIX ( target, predictions\n            ..."},"1647":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/DETECT_OUTLIERS.htm",l:-1,t:"DETECT_OUTLIERS",i:0.000135400046210335,a:"Returns the outliers in a data set based on the outlier threshold. The output is a view containing the outliers. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Behavior Type Immutable Syntax DETECT_OUTLIERS ( \u0027output_table\u0027, ..."},"1648":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/ERROR_RATE.htm",l:-1,t:"ERROR_RATE",i:0.000104125646126437,a:"Using an input table, returns a table which calculates the rate of incorrect classifications. You cannot pass any inputs to the OVER() clause. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax ERROR_RATE ( target, predictions\n             ..."},"1649":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/GET_MODEL_ATTRIBUTE.htm",l:-1,t:"GET_MODEL_ATTRIBUTE",i:8.44692460871776E-05,a:"Extracts either a specific attribute from a model or all attributes from a model. Use this function to view a list of attributes and row counts or view detailed information about a single attribute. The output of GET_MODEL_ATTRIBUTE is a table format where users can select particular columns or ..."},"1650":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/IMPUTE.htm",l:-1,t:"IMPUTE",i:0.000217596177482337,a:"Imputes missing values in a data set with either the mean or the mode, based on observed values for a variable. This function supports both numeric and categorical data types.  Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax IMPUTE( ..."},"1651":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/KMEANS.htm",l:-1,t:"KMEANS",i:0.000223257368984986,a:"Executes the k-means algorithm on an input table or view. The result is a model with a list of cluster centers.  Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax KMEANS ( \u0027model_name\u0027, \u0027input_relation\u0027, \u0027input_columns\u0027, num_clusters\n\t [ ..."},"1652":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/LIFT_TABLE.htm",l:-1,t:"LIFT_TABLE",i:0.0001082560753866,a:"Returns a table that compares the predictive quality of a logistic regression model. This function is also known as a lift chart. You cannot pass any inputs to the OVER() clause. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax ..."},"1653":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/LINEAR_REG.htm",l:-1,t:"LINEAR_REG",i:0.000243142760909847,a:"Executes linear regression on an input table or view. The result is a linear regression model. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax LINEAR_REG ( \u0027model_name\u0027, \u0027input_relation\u0027, \u0027response_column\u0027, \u0027predictor_columns\u0027\n\t      [ ..."},"1654":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/LOGISTIC_REG.htm",l:-1,t:"LOGISTIC_REG",i:0.000174172480777662,a:"Executes logistic regression on an input table or view. The result is a logistic regression model. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax LOGISTIC_REG ( \u0027model_name\u0027, \u0027input_relation\u0027, \u0027response_column\u0027, \u0027predictor_columns\u0027\n\t   ..."},"1655":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/MSE.htm",l:-1,t:"MSE",i:0.000105916543248668,a:"Returns a table that displays the mean squared error of the prediction and response columns in a linear regression model. You cannot pass any inputs to the OVER() clause. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax MSE ( target, ..."},"1656":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/NAIVE_BAYES.htm",l:-1,t:"NAIVE_BAYES",i:0.00045002303687664,a:"Executes the Naive Bayes algorithm on an input table or view. The result is a Naive Bayes model. The following explains how columns are treated based on their data type: FLOAT - Values are assumed to follow some Gaussian distribution. INTEGER - Values are assumed to belong to one multinomial ..."},"1657":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/NORMALIZE.htm",l:-1,t:"NORMALIZE",i:0.000213879288180504,a:"Runs a normalization algorithm on an input table or view. The output is a view with the normalized data.   Note: This function differs from NORMALIZE_FIT, which creates and stores a model rather than creating a view definition. This could lead to different performance characteristics between the two ..."},"1658":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/NORMALIZE_FIT.htm",l:-1,t:"NORMALIZE_FIT",i:0.000116436214064702,a:"Computes normalization parameters for each of the specified columns in an input table or view. The resulting model stores the normalization parameters. For example, for MinMax normalization, the minimum and maximum value of each column are stored in the model. The generated model will serve as input ..."},"1659":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/PREDICT_LINEAR_REG.htm",l:-1,t:"PREDICT_LINEAR_REG",i:0.000195687463942969,a:"Applies a linear regression model on an input table or view.  Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax PREDICT_LINEAR_REG ( col1, col2, ... coln\n                       USING PARAMETERS model_name = \u0027name_of_model\u0027\n                ..."},"1660":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/PREDICT_LOGISTIC_REG.htm",l:-1,t:"PREDICT_LOGISTIC_REG",i:0.000192247176126243,a:"Applies a logistic regression model on an input table or view.  Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax PREDICT_LOGISTIC_REG ( col1, col2, ... coln\n                         USING PARAMETERS model_name = \u0027name_of_model\u0027\n          ..."},"1661":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/PREDICT_NAIVE_BAYES.htm",l:-1,t:"PREDICT_NAIVE_BAYES",i:0.000410280370398186,a:"Applies a Naive Bayes model on an input table or view. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax PREDICT_NAIVE_BAYES ( predictor_columns\n                        USING PARAMETERS model_name = \u0027model_name\u0027\n                           ..."},"1662":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/PREDICT_NAIVE_BAYES_CLASSES.htm",l:-1,t:"PREDICT_NAIVE_BAYES_CLASSES",i:0.000410280370398186,a:"Applies a Naive Bayes model on an input table or view and returns the probabilities of classes.  Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax PREDICT_NAIVE_BAYES_CLASSES ( predictor_columns\n                                ..."},"1663":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/PREDICT_RANDOM_FOREST_CLASSES.htm",l:-1,t:"PREDICT_RF_CLASSIFIER_CLASSES",i:0.000238848348874263,a:"Applies a random forest model on an input table or view and returns the probabilities of classes. The predicted class is selected only based on the popular vote of the decision trees in the forest. Therefore, in special cases the calculated probability of the predicted class may not be the highest. ..."},"1664":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/PREDICT_RANDOM_FOREST_CLASSIFIER.htm",l:-1,t:"PREDICT_RF_CLASSIFIER",i:0.000238848348874263,a:"Applies a random forest model on an input table or view. The predicted class is selected only based on the popular vote of the decision trees in the forest. Therefore, in special cases the calculated probability of the predicted class may not be the highest. Before using a machine learning function, ..."},"1665":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/PREDICT_SVM_CLASSIFIER.htm",l:-1,t:"PREDICT_SVM_CLASSIFIER",i:0.000154063547366683,a:"Applies an SVM model on an input table or view.   Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax PREDICT_SVM_CLASSIFIER (input_columns\n\t      USING PARAMETERS model_name=\u0027model_name\u0027\n                              [, match_by_pos = ..."},"1666":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/PREDICT_SVM_REGRESSOR.htm",l:-1,t:"PREDICT_SVM_REGRESSOR",i:0.000194370243868732,a:"Applies an SVM model on an input table or view.   Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax PREDICT_SVM_REGRESSOR(input_columns\n\t      USING PARAMETERS model_name=\u0027model_name\u0027\n                              [, match_by_pos = ..."},"1667":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/REVERSE_NORMALIZE.htm",l:-1,t:"REVERSE_NORMALIZE",i:0.000112824128970395,a:"Reverses the normalization transformation on normalized data, thereby de-normalizing the normalized data. If normalized data is used as the input, the original data is returned. If you specify a column that is not in the specified model, REVERSE_NORMALIZE returns that column unchanged. Before using ..."},"1668":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/RANDOM_FOREST_CLASSIFIER.htm",l:-1,t:"RF_CLASSIFIER",i:0.00025366747741125,a:"Trains a random forest model for classification on an input table or view.  Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax RF_CLASSIFIER ( \u0027model_name\u0027, \u0027input_relation\u0027, \u0027response_column\u0027,\n              \u0027predictor_col1, ..."},"1669":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/ROC.htm",l:-1,t:"ROC",i:0.000104125646126437,a:"Returns a table that displays the points on a receiver operating characteristic curve. The ROC function tells you the accuracy of a classification model as you raise the discrimination threshold for the model. You cannot pass any inputs to the OVER() clause. Before using a machine learning function, ..."},"1670":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/RSQUARED.htm",l:-1,t:"RSQUARED",i:0.000105916543248668,a:"Returns a table with the R-squared value of the predictions in a linear regression model. Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax RSQUARED ( target, prediction )\n    OVER() You cannot pass any inputs to the OVER() clause. ..."},"1671":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/SUMMARIZE_MODEL.htm",l:-1,t:"SUMMARIZE_MODEL",i:0.000758626279921804,a:"Returns the summary information of a model. Note: If you are using Vertica 8.1.0, you must include the owner parameter. For Vertica 8.1.1 and later, the owner parameter has been deprecated.  Before using a machine learning function, be aware that all the ongoing transactions might be committed. ..."},"1672":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/SVM_CLASSIFIER.htm",l:-1,t:"SVM_CLASSIFIER",i:0.000163622272638826,a:"Trains the SVM model on an input table or view. You can view the model using  SUMMARIZE_MODEL .  Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax SVM_CLASSIFIER ( \u0027model_name\u0027, \u0027input_relation\u0027, \u0027response_column\u0027, \u0027predictor_columns\u0027\n\t   ..."},"1673":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/MachineLearning/SVM_REGRESSOR.htm",l:-1,t:"SVM_REGRESSOR",i:0.000206429765270442,a:"Trains the SVM model on an input table or view. You can view the model using  SUMMARIZE_MODEL .  Before using a machine learning function, be aware that all the ongoing transactions might be committed. Syntax SVM_REGRESSOR ( \u0027model_name\u0027, \u0027input_relation\u0027, \u0027response_column\u0027, \u0027predictor_columns\u0027\n\t    ..."},"1674":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/MathematicalFunctions.htm",l:-1,t:"Mathematical Functions",i:0.000150812216499474,a:"Some of these functions are provided in multiple forms with different argument types. Except where noted, any given form of a function returns the same data type as its argument. The functions working with  DOUBLE PRECISION  data could vary in accuracy and behavior in boundary cases depending on the ..."},"1675":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/ABS.htm",l:-1,t:"ABS",i:8.18241003154818E-05,a:"ABS Returns the absolute value of the argument. The return value has the same data type as the argument.. Behavior Type Immutable Syntax ABS ( expression ) Parameters \n             \n         Examples SELECT ABS(-28.7); \n abs  \n------\n 28.7\n(1 row)\n"},"1676":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/ACOS.htm",l:-1,t:"ACOS",i:8.18241003154818E-05,a:"ACOS Returns a DOUBLE PRECISION value representing the trigonometric inverse cosine of the argument. Behavior Type Immutable Syntax ACOS ( expression ) Parameters \n             \n         Example SELECT ACOS (1);\n acos \n------\n    0\n(1 row)\n"},"1677":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/ASIN.htm",l:-1,t:"ASIN",i:8.18241003154818E-05,a:"ASIN Returns a DOUBLE PRECISION value representing the trigonometric inverse sine of the argument. Behavior Type Immutable Syntax ASIN ( expression ) Parameters \n             \n         Example SELECT ASIN(1);\n      asin       \n-----------------\n 1.5707963267949\n(1 row)\n"},"1678":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/ATAN.htm",l:-1,t:"ATAN",i:8.18241003154818E-05,a:"ATAN Returns a DOUBLE PRECISION value representing the trigonometric inverse tangent of the argument. Behavior Type Immutable Syntax ATAN ( expression ) Parameters \n             \n         Example SELECT ATAN(1);\n       atan        \n-------------------\n 0.785398163397448\n(1 row)\n"},"1679":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/ATAN2.htm",l:-1,t:"ATAN2",i:8.18241003154818E-05,a:"ATAN2 Returns a DOUBLE PRECISION value representing the trigonometric inverse tangent of the arithmetic dividend of the arguments. Behavior Type Immutable Syntax ATAN2 ( quotient, divisor ) Parameters Example SELECT ATAN2(2,1);\n      ATAN2       \n------------------\n 1.10714871779409\n(1 row)\n"},"1680":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/CBRT.htm",l:-1,t:"CBRT",i:8.18241003154818E-05,a:"CBRT Returns the cube root of the argument. The return value has the type DOUBLE PRECISION. Behavior Type Immutable Syntax CBRT ( expression ) Parameters Examples SELECT CBRT(27.0);  cbrt \n------\n    3\n(1 row)\n"},"1681":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/CEILINGCEIL.htm",l:-1,t:"CEILING (CEIL)",i:0.000545339340509088,a:"Rounds the returned value up to the next whole number. Any expression that contains even a slight decimal is rounded up.  Behavior Type Immutable Syntax CEILING ( expression )CEIL ( expression ) Parameters Notes CEILING is the opposite of  FLOOR , which rounds the returned value down: =\u003e SELECT ..."},"1682":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/COS.htm",l:-1,t:"COS",i:8.18241003154818E-05,a:"COS Returns a DOUBLE PRECISION value tat represents the trigonometric cosine of the passed parameter. Behavior Type Immutable Syntax COS ( expression ) Parameters Example SELECT COS(-1);\n       COS        \n------------------\n 0.54030230586814\n(1 row)\n"},"1683":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/COSH.htm",l:-1,t:"COSH",i:8.18241003154818E-05,a:"COSH Returns a DOUBLE PRECISION value that represents the hyperbolic cosine of the passed parameter. Behavior Type Immutable Syntax COSH ( expression ) Parameters Example =\u003e SELECT COSH(-1);\n       COSH        \n------------------\n 1.54308063481524"},"1684":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/COT.htm",l:-1,t:"COT",i:8.18241003154818E-05,a:"COT Returns a DOUBLE PRECISION value representing the trigonometric cotangent of the argument. Behavior Type Immutable Syntax COT ( expression ) Parameters Example SELECT COT(1);\n        cot        \n-------------------\n 0.642092615934331\n(1 row)\n"},"1685":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/DEGREES.htm",l:-1,t:"DEGREES",i:0.000545339340509088,a:"Converts an expression from  RADIANS  to fractional degrees, or from degrees, minutes, and seconds to fractional degrees. The return value has the type DOUBLE PRECISION. Behavior Type Immutable Syntax 1 DEGREES (radians) Syntax 2 DEGREES (degrees, minutes, seconds) Parameters Examples SELECT ..."},"1686":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/DISTANCE.htm",l:-1,t:"DISTANCE",i:8.18241003154818E-05,a:"Returns the distance (in kilometers) between two points. You specify the latitude and longitude of both the starting point and the ending point. You can also specify the radius of curvature for greater accuracy when using an ellipsoidal model.  Behavior Type Immutable Syntax DISTANCE ( lat0, lon0, ..."},"1687":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/DISTANCEV.htm",l:-1,t:"DISTANCEV",i:8.18241003154818E-05,a:"Returns the distance (in kilometers) between two points using the Vincenty formula.  Because the Vincenty formula includes the parameters of the WGS-84 ellipsoid model, you need not specify a radius of curvature.  You specify the latitude and longitude of both the starting point and the ending ..."},"1688":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/EXP.htm",l:-1,t:"EXP",i:8.18241003154818E-05,a:"EXP Returns the exponential function, e to the power of a number. The return value has the same data type as the argument. Behavior Type Immutable Syntax EXP ( exponent ) Parameters Example SELECT EXP(1.0);\n       exp        \n------------------\n 2.71828182845905\n(1 row)\n"},"1689":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/FLOOR.htm",l:-1,t:"FLOOR",i:0.000545339340509088,a:"Rounds the returned value down to the next whole number. For example, each of these functions evaluates to 5:  floor(5.01)\nfloor(5.5)\nfloor(5.99) \n Behavior Type Immutable Syntax FLOOR ( expression ) Parameters Notes FLOOR is the opposite of  CEILING , which rounds the returned value up: =\u003e SELECT ..."},"1690":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/HASH.htm",l:-1,t:"HASH",i:0.000234877102100708,a:"Calculates a  hash  value over the function arguments, producing a value in the range 0 \u003c= x \u003c 263.  The HASH function is typically used to segment a projection over a set of cluster nodes. The function selects a specific node for each row based on the values of the row columns. The HASH function ..."},"1691":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/LN.htm",l:-1,t:"LN",i:8.18241003154818E-05,a:"LN Returns the natural logarithm of the argument. The return data type is the same as the argument. Behavior Type Immutable Syntax LN ( expression ) Parameters Example SELECT LN(2);\n        ln         \n-------------------\n 0.693147180559945\n(1 row)\n"},"1692":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/LOG.htm",l:-1,t:"LOG",i:8.18241003154818E-05,a:"Returns the logarithm to the specified base of the argument. The data type of the return value is the same data type as the passed parameter. Behavior Type Immutable Syntax LOG ( [ base, ] expression ) Parameters Examples =\u003e SELECT LOG(2.0, 64);\n LOG \n-----\n   6\n(1 row)\n SELECT LOG(100);\n LOG ..."},"1693":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/LOG10.htm",l:-1,t:"LOG10",i:8.18241003154818E-05,a:"Returns the base 10 logarithm of the argument, also known as the common logarithm. The data type of the return value is the same as the data type of the passed parameter.  Behavior Type Immutable Syntax LOG10 ( expression ) Parameters Examples =\u003e SELECT LOG10(30);\n       LOG10 \n------------------\n ..."},"1694":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/MOD.htm",l:-1,t:"MOD",i:0.000143779543306039,a:"Returns the remainder of a division operation. MOD is also called modulo. Behavior Type Immutable Syntax MOD( expression1, expression2 ) Parameters Notes When computing mod(N,M), the following rules apply: If either N or M is the null value, then the result is the null value.  If M is zero, then an ..."},"1695":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/PI.htm",l:-1,t:"PI",i:8.18241003154818E-05,a:"PI Returns the constant pi (P), the ratio of any circle\u0027s circumference to its diameter in Euclidean geometry The return type is DOUBLE PRECISION. Behavior Type Immutable Syntax PI() Examples SELECT PI();\n        pi        \n------------------\n 3.14159265358979\n(1 row)\n"},"1696":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/POWEROrPOW.htm",l:-1,t:"POWER (or POW)",i:8.18241003154818E-05,a:"Returns a DOUBLE PRECISION value representing one number raised to the power of another number. You can use either POWER or POW as the function name. Behavior Type Immutable Syntax POWER ( expression1, expression2 ) Parameters Example SELECT POWER(9.0, 3.0);\n power \n-------\n   729\n(1 row)\n"},"1697":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/RADIANS.htm",l:-1,t:"RADIANS",i:0.000545339340509088,a:"Returns a DOUBLE PRECISION value representing an angle expressed in radians. You can express the input angle in  DEGREES , and optionally include minutes and seconds.  Behavior Type Immutable Syntax RADIANS (degrees [, minutes, seconds]) Parameters Examples SELECT RADIANS(45);\n      RADIANS     ..."},"1698":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/RANDOM.htm",l:-1,t:"RANDOM",i:0.000105007683414318,a:"Returns a uniformly-distributed random number x, where 0 \u003c= x \u003c 1. Typical pseudo-random generators accept a  seed , which is set to generate a reproducible pseudo-random sequence. Vertica, however, distributes SQL processing over a cluster of nodes, where each node generates its own independent ..."},"1699":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/RANDOMINT.htm",l:-1,t:"RANDOMINT",i:8.18241003154818E-05,a:" Accepts and returns an INT8 value. RANDOMINT(n) returns one of the  n integers from 0 through n – 1. Typical pseudo-random generators accept a  seed , which is set to generate a reproducible pseudo-random sequence. Vertica, however, distributes SQL processing over a cluster of nodes, where each ..."},"1700":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/RANDOM_INT_crypto.htm",l:-1,t:"RANDOMINT_crypto",i:8.18241003154818E-05,a:"Accepts and returns an INT8 value. RANDOMINT_crypto (n) returns one of the n integers from 0 through n - 1. For this cryptographic random number generator, Vertica uses RAND_bytes to provide the random value. Behavior Type Volatile Syntax RANDOMINT_crypto ( n )  Parameters The value accepted is any ..."},"1701":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/ROUND.htm",l:-1,t:"ROUND",i:8.18241003154818E-05,a:"Rounds a value to a specified number of decimal places, retaining the original precision and scale. Fractions greater than or equal to .5 are rounded up. Fractions less than .5 are rounded down (truncated). Behavior Type Immutable Syntax ROUND ( expression [ , places ] ) Parameters Notes Using ROUND ..."},"1702":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/SIGN.htm",l:-1,t:"SIGN",i:8.18241003154818E-05,a:"SIGN Returns a DOUBLE PRECISION value of -1, 0, or 1 representing the arithmetic sign of the argument. Behavior Type Immutable Syntax SIGN ( expression ) Parameters Examples SELECT SIGN(-8.4);\n sign \n------\n   -1\n(1 row)\n"},"1703":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/SIN.htm",l:-1,t:"SIN",i:8.18241003154818E-05,a:"SIN Returns a DOUBLE PRECISION value that represents the trigonometric sine of the passed parameter. Behavior Type Immutable Syntax SIN ( expression ) Parameters Example SELECT SIN(30 * 2 * 3.14159 / 360);\n        SIN        \n-------------------\n 0.499999616987256\n(1 row)\n"},"1704":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/SINH.htm",l:-1,t:"SINH",i:8.18241003154818E-05,a:"SINH Returns a DOUBLE PRECISION value that represents the hyperbolic sine of the passed parameter. Behavior Type Immutable Syntax SINH ( expression ) Parameters Example =\u003e SELECT SINH(30 * 2 * 3.14159 / 360);\n        SINH        \n-------------------\n 0.547852969600632"},"1705":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/SQRT.htm",l:-1,t:"SQRT",i:8.18241003154818E-05,a:"SQRT Returns a DOUBLE PRECISION value representing the arithmetic square root of the argument. Behavior Type Immutable Syntax SQRT ( expression ) Parameters Examples SELECT SQRT(2);\n      sqrt       \n-----------------\n 1.4142135623731\n(1 row)\n"},"1706":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/TAN.htm",l:-1,t:"TAN",i:8.18241003154818E-05,a:"TAN Returns a DOUBLE PRECISION value that represents the trigonometric tangent of the passed parameter. Behavior Type Immutable Syntax TAN ( expression ) Parameters Example =\u003e SELECT TAN(30);\n        TAN        \n-------------------\n -6.40533119664628\n(1 row)\n"},"1707":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/TANH.htm",l:-1,t:"TANH",i:8.18241003154818E-05,a:"TANH Returns a DOUBLE PRECISION value that represents the hyperbolic tangent of the passed parameter. Behavior Type Immutable Syntax TANH ( expression ) Parameters Example =\u003e SELECT TANH(-1);\n        TANH        \n-------------------\n  -0.761594155955765"},"1708":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/TRUNC.htm",l:-1,t:"TRUNC",i:8.18241003154818E-05,a:"Returns the expression value fully truncated (toward zero). Supplying a places argument truncates the expression to the number of decimal places you indicate.  Behavior Type Immutable Syntax TRUNC ( expression [ , places ] ) Parameters Notes Using TRUNC with a NUMERIC datatype returns NUMERIC, ..."},"1709":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Mathematical/WIDTH_BUCKET.htm",l:-1,t:"WIDTH_BUCKET",i:0.000111276289799354,a:"Constructs equiwidth  histograms , in which the histogram range is divided into intervals (buckets) of identical sizes. In addition, values below the low bucket return 0, and values above the high bucket return bucket_count +1. Returns an integer value. Behavior Type Immutable Syntax WIDTH_BUCKET ( ..."},"1710":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Null/NULL-handlingFunctions.htm",l:-1,t:"NULL-handling Functions",i:0.000150362260449106,a:"NULL-handling Functions NULL-handling functions take arguments of any type, and their return type is based on their argument types. In This Section"},"1711":{y:0,u:"../Content/Authoring/SQLReferenceManual/Functions/Null/COALESCE.htm",l:-1,t:"COALESCE",i:0.000253616314337143,a:"Returns the value of the first non-null expression in the list. If all expressions evaluate to null, then COALESCE returns null. COALESCE conforms to the ANSI SQL-92 standard. Behavior Type Immutable Syntax COALESCE ( expression[,...] ); Example =\u003e SELECT product_description, COALESCE(\n     ..."},});