define({"2469":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/HandlingDifferentNumbersAndTypesOfArguments.htm",l:-1,t:"Handling Different Numbers and Types of Arguments",i:0.000128770990962419,a:"Usually, your UDxs accept a set number of arguments that are a specific data type (called its signature). You can create UDxs that handle multiple signatures, or even accept all arguments supplied to them by the user, using either of these techniques: Overloading your UDx by assigning the same SQL ..."},"2470":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/OverloadingYourUDx.htm",l:-1,t:"Overloading Your UDx",i:0.000234705559294692,a:"You may want your UDx to accept several different signatures (sets of arguments). For example, you might want your UDx to accept: One or more optional arguments. One or more arguments that can be one of several data types. Completely distinct signatures (either all INTEGER or all VARCHAR, for ..."},"2471":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/OverloadingC++.htm",l:-1,t:"C++ Example: Overloading Your UDx",i:0.000181574907551848,a:"The following example code demonstrates creating a User-Defined Scalar Function (UDSF) that adds two or three integers together. The Add2or3ints class is prepared to handle two or three arguments. The processBlock() function checks the number of arguments that have been passed to it, and adds all ..."},"2472":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/OverloadingJava.htm",l:-1,t:"Java Example: Overloading Your UDx",i:0.000181574907551848,a:"The following example code demonstrates creating a User-Defined Scalar Function (UDSF) that adds two or three integers together. The Add2or3ints class is prepared to handle two or three arguments. It checks the number of arguments that have been passed to it, and adds all two or three of them ..."},"2473":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/CreatingAPolymorphicUDF.htm",l:-1,t:"Creating a Polymorphic UDx",i:8.18241003154818E-05,a:"Polymorphic UDxs accept any number and type of argument that the user supplies. Vertica does not check the number or types of argument that the user passes to the UDx—it just passes the UDx all of the arguments supplied by the user. It is up to your polymorphic UDx\u0027s main processing function (for ..."},"2474":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/PolymorphicC++.htm",l:-1,t:"C++ Example: Polymorphic UDx",i:8.18241003154818E-05,a:"The following example shows an implementation of a ScalarFunction that adds together two or more integers. #include \"Vertica.h\"\nusing namespace Vertica;\nusing namespace std;\n// Adds two or more integers together.\nclass AddManyInts : public Vertica::ScalarFunction\n{\npublic:\n    virtual void ..."},"2475":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/PolymorphicJava.htm",l:-1,t:"Java Example: Polymorphic UDx",i:8.18241003154818E-05,a:"The following example shows an implementation of a ScalarFunctionFactory class with an inner ScalarFunction class that adds together two or more integers. // You will need to specify the full package when creating functions based on \n// the classes in your library.\npackage ..."},"2476":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/PolymorphicR.htm",l:-1,t:"R Example: Polymorphic UDx",i:8.18241003154818E-05,a:"The following example shows an implementation of a Transform Function (UDTF) that performs kmeans clustering on one or more input columns. kmeansPoly \u003c- function(v.data.frame,v.param.list) {\n  # Computes clusters using the kmeans algorithm.\n  #\n  # Input: A dataframe and a list of parameters.\n  # ..."},"2477":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/UDxParameters.htm",l:-1,t:"UDx Parameters",i:0.000213796153930303,a:"Parameters let you define arguments for your UDxs that remain constant across all of the rows processed by the SQL statement that calls your UDx. Typically, your UDxs accept arguments that come from columns in a SQL statement. For example, in the following SQL statement, the arguments a and b to the ..."},"2478":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/DefiningTheParametersYourUDFAccepts.htm",l:-1,t:"Defining the Parameters Your UDx Accepts",i:0.000105007683414318,a:"You define the parameters that your UDx accepts in its factory class (ScalarFunctionFactory, AggregateFunctionFactory, and so on) by implementing getParameterType(). This method is similar to getReturnType(): you call data-type-specific methods on a SizedColumnTypes object that is passed in as a ..."},"2479":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/GettingParameterValuesInUDFs.htm",l:-1,t:"Getting Parameter Values in UDxs",i:8.18241003154818E-05,a:"Your UDx uses the parameter values it declared in its factory class (see  Defining the Parameters Your UDx Accepts ) in its function class\u0027s processing method (for example,  processBlock() or processPartition()). It gets its parameter values from a ParamReader object, which is available from the ..."},"2480":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/CallingUDFsWithParameters.htm",l:-1,t:"Calling UDxs with Parameters",i:8.18241003154818E-05,a:"You pass parameters to a UDx by adding a USING PARAMETERS clause in the function call after the last argument.  Do not insert a  comma between the last argument and the USING PARAMETERS clause.  After the USING PARAMETERS clause, add one or more parameter definitions, in the following form: ..."},"2481":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/DeterminingStrictnessOfParameters.htm",l:-1,t:"Specifying the Behavior of Passing Unregistered Parameters",i:0.000128191266513154,a:"By default, Vertica issues a warning message when you pass a UDx an unregistered parameter. An unregistered parameter is one that you did not declare in the getParameterType() method.  You can control the behavior of your UDx when you pass it an unregistered parameter by altering the ..."},"2482":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/UDSessionParameters.htm",l:-1,t:"User-Defined Session Parameters",i:0.000221997379558027,a:"User-defined session parameters allow you to write more generalized parameters than what Vertica provides. You can configure user-defined session parameters in these ways: From the client (for example, through the ALTER SESSION command) Through the UDx itself A user-defined session parameter can be ..."},"2483":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/ParametersExampleC++.htm",l:-1,t:"C++ Example: Defining Parameters",i:0.000128191266513154,a:"The following code fragment demonstrates adding a single parameter to the C++ add2ints UDSF example. The getParameterType() function defines a single integer parameter that is named constant. class Add2intsWithConstantFactory : public ScalarFunctionFactory\n{\n    // Return an instance of Add2ints to ..."},"2484":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/SessionParametersExampleC++.htm",l:-1,t:"C++ Example: Using Session Parameters",i:0.00014472383825773,a:"The RowCount example uses a user-defined session parameter, also called RowCount. This parameter counts the total number of rows processed by the UDx each time it runs. RowCount then displays the aggregate number of rows processed for all executions. #include \u003cstring\u003e\n#include \u003csstream\u003e\n#include ..."},"2485":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/ParametersExampleJava.htm",l:-1,t:"Java Example: Defining Parameters",i:8.18241003154818E-05,a:"The following code fragment demonstrates adding a single parameter to the Java add2ints UDSF example. The getParameterType() method defines a single integer parameter that is named constant. package com.mycompany.example;\nimport com.vertica.sdk.*;\npublic class Add2intsWithConstantFactory extends ..."},"2486":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/Parameters/SessionParametersExampleJava.htm",l:-1,t:"Java Example: Using Session Parameters",i:0.00014472383825773,a:"The RowCount example uses a user-defined session parameter, also called RowCount. This parameter counts the total number of rows processed by the UDx each time it runs. RowCount then displays the aggregate number of rows processed for all executions. \npackage com.mycompany.example;\n\nimport ..."},"2487":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/DebuggingTips.htm",l:-1,t:"Debugging Tips",i:8.18241003154818E-05,a:"You must thoroughly debug your UDx before deploying it to a production environment. The following tips can help you get your UDx ready for deployment. Use a Single Node For Initial Debugging You can attach to the Vertica process using a debugger such as gdb to debug your UDx code. Doing this in a ..."},"2488":{y:0,u:"../Content/Authoring/ExtendingVertica/C++/DevelopingInC++.htm",l:-1,t:"Developing with the C++ SDK",i:9.34158918648999E-05,a:"The Vertica SDK supports writing both fenced and unfenced UDxs of all types in C++ 11. You can download, compile, and run the examples; see  Downloading and Running UDx Example Code . Running the examples is a good way to verify that your development environment has all needed libraries. If you do ..."},"2489":{y:0,u:"../Content/Authoring/ExtendingVertica/C++/C++SDK.htm",l:-1,t:"Setting Up the C++ SDK",i:0.000121082529883623,a:"The Vertica C++ Software Development Kit (SDK) is distributed as part of the server installation. It contains the source and header files you need to create your UDx library. For examples that you can compile and run, see  Downloading and Running UDx Example Code . For requirements for your ..."},"2490":{y:0,u:"../Content/Authoring/ExtendingVertica/C++/CompilingC++.htm",l:-1,t:"Compiling Your C++ Library",i:0.000163972248530999,a:"GNU g++ is the only supported compiler for compiling UDx libraries.  Always compile your UDx code on the same version of Linux that you use on your Vertica cluster. When compiling your library, you must always: Pass the -shared and -fPIC flags to the linker. The simplest method is to just pass these ..."},"2491":{y:0,u:"../Content/Authoring/ExtendingVertica/C++/AddingLibraryMetadata.htm",l:-1,t:"Adding Metadata to C++ Libraries",i:8.18241003154818E-05,a:"You can add metadata, such as author name, the version of the library, a description of your library, and so on to your library. This metadata lets you track the version of your function that is deployed on an Vertica Analytic Database cluster and lets third-party users of your function know who ..."},"2492":{y:0,u:"../Content/Authoring/ExtendingVertica/C++/C++DataTypes.htm",l:-1,t:" C++ SDK Data Types",i:8.18241003154818E-05,a:" C++ SDK Data Types The Vertica SDK has typedefs and classes for representing Vertica data types within your UDx code. Using these typedefs ensures data type compatibility between the data your UDx processes and generates and the Vertica database. The following table describes some of the typedefs ..."},"2493":{y:0,u:"../Content/Authoring/ExtendingVertica/C++/HandlingErrors.htm",l:-1,t:"Handling Errors",i:0.000646899735911991,a:"If your UDx encounters some sort of error, it can report it back to Vertica using the vt_report_error macro. When called, this macro halts the execution of the UDx and causes the statement that called the function to fail. The macro takes two parameters: an error number and an error message string. ..."},"2494":{y:0,u:"../Content/Authoring/ExtendingVertica/C++/HandlingCancelRequests.htm",l:-1,t:"Handling Cancel Requests",i:8.18241003154818E-05,a:"You can cancel a query that calls your UDx (usually, by by pressing CTRL+C in  vsql ). How Vertica handles the cancelation of the query and your UDx depends on whether your UDx is running in fenced or unfenced mode: If your UDx is running in unfenced mode, Vertica either  stops the function when it ..."},"2495":{y:0,u:"../Content/Authoring/ExtendingVertica/C++/ExitingWhenTheCallingQueryHasBeenCanceled.htm",l:-1,t:"Exiting When the Calling Query Has Been Canceled",i:8.18241003154818E-05,a:"The processPartition() function in your User-Defined Transform Function (UDTF) or Analytic Function (UDAnF)  can call Vertica::UDXObjectCancelable.isCancled() to determine if the user has canceled the query that called it. If isCanceled() returns true, the query has been canceled and your ..."},"2496":{y:0,u:"../Content/Authoring/ExtendingVertica/C++/ImplementingTheCancelCallbackFunction.htm",l:-1,t:"Implementing the Cancel Callback Function",i:8.18241003154818E-05,a:"Your User-Defined Transform Function (UDTF) or Analytic Function (UDAnF) can implement a cancel() callback function that Vertica calls if the query that called the function has been canceled. You usually  implement this function to perform an orderly shutdown of any additional processing that your ..."},"2497":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ResourceUse.htm",l:-1,t:"Resource Use for C++ UDxs",i:0.000186150224260245,a:"Your UDxs consume at least a small amount of memory by instantiating classes and creating local variables. This basic memory usage by UDxs is small enough that you do not need to be concerned about it.  If your UDx needs to allocate more than one or two megabytes of memory for data structures, or ..."},"2498":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AllocatingResources.htm",l:-1,t:"Allocating Resources for UDxs",i:0.000710934520508375,a:"You have two options for allocating memory and file handles for your User-Defined Extensions (UDxs): Use Vertica SDK macros to allocate resources. This is the best method, since it uses Vertica\u0027s own resource manager, and guarantees that resources used by your UDx are reclaimed. See  Allocating ..."},"2499":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AllocatingResourcesWithTheSDKMacros.htm",l:-1,t:"Allocating Resources with the SDK Macros",i:0.000383972777123587,a:"The Vertica SDK provides three macros to allocate memory: vt_alloc allocates a block of memory to fit a specific data type (vint, struct, etc.). vt_allocArray allocates a block of memory to hold an array of a specific data type. vt_allocSize allocates an arbitrarily-sized block of memory. All of ..."},"2500":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/InformingVerticaOfResourceRequirements.htm",l:-1,t:"Informing Vertica of Resource Requirements",i:0.000121954521305757,a:"When you run your UDx in fenced mode, Vertica monitors its use of memory and file handles. If your UDx uses more than a few megabytes of memory or any file handles,  it should tell Vertica about its resource requirements. Knowing the resource requirements of your UDx allows Vertica to determine ..."},"2501":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/SettingMemoryLimitsForFencedModeUDFs.htm",l:-1,t:"Setting Memory Limits for Fenced-Mode UDxs",i:9.50294144087576E-05,a:"Vertica calls a fenced-mode UDx\u0027s implementation of Vertica::UDXFactory::getPerInstanceResources() to determine if there are enough free resources to run the query containing the UDx (see  Informing Vertica of Resource Requirements ). Since these reports are not generated by actual memory use, they ..."},"2502":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/HowResourceLimitsAreEnforced.htm",l:-1,t:"How Resource Limits Are Enforced",i:0.000108749207212481,a:"Before running a query, Vertica determines how much memory it requires to run. If the query contains a fenced-mode UDx which implements the getPerInstanceResources() function in its factory class, Vertica calls it to determine the amount of memory the UDx needs and adds this to the total required ..."},"2503":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/DevelopingInJava.htm",l:-1,t:"Developing with the Java SDK",i:0.00015137484961199,a:"The Vertica SDK supports writing  Java UDxs of all types except aggregate functions. All Java UDxs are fenced. You can download, compile, and run the examples; see  Downloading and Running UDx Example Code . Running the examples is a good way to verify that your development environment has all ..."},"2504":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/JavaSDK.htm",l:-1,t:"Setting Up the Java SDK",i:0.000121082529883623,a:"The Vertica Java Software Development Kit (SDK) is distributed as part of the server installation. It contains the source and JAR files you need to create your UDx library. For examples that you can compile and run, see  Downloading and Running UDx Example Code . For requirements for your ..."},"2505":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/CompilingAndPackagingAJavaUDF.htm",l:-1,t:"Compiling and Packaging a Java Library",i:0.000201883773868362,a:"Before you can use your Java UDx, you need to compile it and package it into a JAR file.  The SDK examples include a working makefile. See  Downloading and Running UDx Example Code . Compile Your Java UDx You must include the  SDK JAR file in the classpath when you compile your Java UDx source files ..."},"2506":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/HandlingJavaUDxDependencies.htm",l:-1,t:"Handling Java UDx Dependencies",i:0.00011219166361849,a:"If your Java UDx relies on one or more external libraries, you can handle the dependencies in one of three ways: Bundle the JAR files  into your UDx JAR file using a tool such as  One-JAR  or Eclipse Runnable JAR Export Wizard. Unpack the JAR file and then repack its contents in your UDx\u0027s JAR file. ..."},"2507":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/JavaDataTypes.htm",l:-1,t:"Java and Vertica Data Types",i:8.18241003154818E-05,a:"The Vertica Java SDK converts Vertica\u0027s native data types into the appropriate Java data type. The following table lists the Vertica data types and their corresponding Java data types.  Some Vertica data types are not supported. Setting BINARY, VARBINARY, and LONG VARBINARY Values The Vertica ..."},"2508":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/TestingForNulLValues.htm",l:-1,t:"Handling NULL Values",i:8.18241003154818E-05,a:"Your UDxs must be prepared to handle NULL values. These values usually must be handled separately from regular values. Reading NULL Values Your UDx reads data from instances of the the BlockReader or PartitionReader classes. If the value of a column is NULL, the methods you use to get data (such as ..."},"2509":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/HandlingErrorsJava.htm",l:-1,t:"Handling Errors",i:8.18241003154818E-05,a:"If your UDx encounters an unrecoverable error, it should instantiate and throw a UdfException. The exception causes the transaction containing the function call to be rolled back.  The UdfException constructor takes a numeric code (which can be anything you want since it is just reported in the ..."},"2510":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/WritingMessagesToTheLogFile.htm",l:-1,t:"Writing Messages to the Log File",i:0.000116599474963736,a:"Writing messages to a log is useful when you are debugging your Java UDxs, or you want to output additional information about an error condition. You can write messages to a log file by calling the ServerInterface.log() method, passing it a printf()-style String value along with any variables ..."},"2511":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/HandlingCancelRequests.htm",l:-1,t:"Handling Cancel Requests",i:8.18241003154818E-05,a:"The query that calls your UDx can be canceled (usually, by the user pressing CTRL+C in  vsql ). When the calling query is canceled, Vertica begins a process of shutting down your UDx. Since UDTFs can perform lengthy and costly processing, the Vertica Java SDK defines several ways that Vertica ..."},"2512":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/ExitingWhenTheCallingQueryHasBeenCanceled.htm",l:-1,t:"Exiting When the Calling Query Has Been Canceled",i:8.18241003154818E-05,a:"Since User-Defined Transform Functions (UDTFs) often perform lengthy and CPU-intensive processing, it makes sense for them to terminate if the query that called them has been canceled. Exiting when the query has been canceled helps prevent wasting CPU cycles and memory on continued processing.  The ..."},"2513":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/OverridingTheCancelMethod.htm",l:-1,t:"Overriding the Cancel Method",i:8.18241003154818E-05,a:"Your User-Defined Transform Function (UDTF) can override the TransformFunction.cancel method that Vertica calls if the query that called the function has been canceled. You should override this method to perform an orderly shutdown of any additional processing that your UDx spawned. For example, you ..."},"2514":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/AddingMetadataToJavaUDxLibraries.htm",l:-1,t:"Adding Metadata to Java UDx Libraries",i:8.18241003154818E-05,a:"You can add metadata, such as author name, the version of the library, a description of your library, and so on to your library. This metadata lets you track the version of your function that is deployed on an Vertica Analytic Database cluster and lets third-party users of your function know who ..."},"2515":{y:0,u:"../Content/Authoring/ExtendingVertica/Java/JavaUDFResourceManagement.htm",l:-1,t:"Java UDx Resource Management",i:0.000124221180931745,a:"Java Virtual Machines (JVMs) allocate a set amount of memory when they start. This set memory allocation complicates memory management for Java UDxs, because memory cannot be dynamically allocated and freed by the UDx as it is processing data. This is differs from C++ UDxs which can dynamically ..."},"2516":{y:0,u:"../Content/Authoring/ExtendingVertica/Python/IntroductionPythonSDK.htm",l:-1,t:"Developing with the Python SDK",i:8.18241003154818E-05,a:"The Vertica Python SDK provides  new capabilities to the Vertica Analytic Database. Unlike the other Vertica Software Development Kits (SDKs), the Vertica Python SDK does not require any additional system configuration or header files. This low overhead allows you to  develop and deploy new ..."},"2517":{y:0,u:"../Content/Authoring/ExtendingVertica/Python/PythonLibraries.htm",l:-1,t:"Python Libraries",i:8.18241003154818E-05,a:"Before you can use your Python UDx, you need to verify that it meets the following library requirements: Your UDx must import the vertica_sdk package in your code. You do not need to download this package. It is included as a part of the Vertica server. import vertica_sdk  The Vertica Python SDK ..."},"2518":{y:0,u:"../Content/Authoring/ExtendingVertica/Python/PythonAndVerticaDataTypes.htm",l:-1,t:"Python and Vertica Data Types",i:8.18241003154818E-05,a:"Python and Vertica Data Types The Vertica Python SDK converts  native Vertica data types into the appropriate Python data types, as follows:  Some Vertica Analytic Database data types are not supported in Python."},"2519":{y:0,u:"../Content/Authoring/ExtendingVertica/Python/HandlingErrors.htm",l:-1,t:"Handling Errors",i:0.000545339340509088,a:"If your UDx encounters an unrecoverable error, it should  throw a UdfException. The exception triggers a rollback of the function call.  In Python, this function rollback occurs when the UDx raises an exception. The following code shows how you can add error checking to your UDx. In this example, if ..."},"2520":{y:0,u:"../Content/Authoring/ExtendingVertica/Python/WritingMessagesToLogFiles.htm",l:-1,t:"Writing Messages to Log Files",i:0.000545339340509088,a:"Writing messages to a log can help you when you debug your Python UDxs and want to output additional information about an error condition. To write a message to the vertica log file, use the server_interface.log() function:     def processBlock(self, server_interface, arg_reader, res_writer):\n       ..."},"2521":{y:0,u:"../Content/Authoring/ExtendingVertica/R/DevelopingWithTheRSDK.htm",l:-1,t:"Developing with the R SDK",i:0.000255700973556753,a:"The Vertica R SDK extends the capabilities of the Vertica Analytic Database so you can leverage additional R libraries. Before you can begin developing User Defined Extensions (UDxs) in R, you must install the R Language Pack for Vertica on each of the nodes in your cluster. The R SDK supports ..."},"2522":{y:0,u:"../Content/Authoring/ExtendingVertica/R/InstallingRForVertica.htm",l:-1,t:"Installing/Upgrading the R Language Pack for Vertica",i:0.000120361049472863,a:"To create R UDxs in Vertica, install the  R Language Pack package that matches your server version. The R Language Pack includes the R runtime and associated libraries for interfacing with Vertica. You must install the R Language Pack on each node in the cluster. The Vertica R Language Pack must be ..."},"2523":{y:0,u:"../Content/Authoring/ExtendingVertica/R/RPackages.htm",l:-1,t:"R Packages",i:8.18241003154818E-05,a:"The Vertica R Language Pack includes the following R packages in addition to the default packages bundled with R:  Rcpp RInside IpSolve  lpSolveAPI You can install additional R packages not included in the Vertica R Language Pack by using one of two methods. You must install the same packages on all ..."},"2524":{y:0,u:"../Content/Authoring/ExtendingVertica/R/RAndVerticaDataTypes.htm",l:-1,t:"R and Vertica Data Types",i:0.000106601588470311,a:"The following data types are supported when passing data to/from an R UDx: NULL values in Vertica are translated to R NA values when sent to the R function. R NA values are translated into Vertica null values when returned from the R function to Vertica. When specifying LONG VARCHAR or LONG ..."},"2525":{y:0,u:"../Content/Authoring/ExtendingVertica/R/HandlingErrorsR.htm",l:-1,t:"Handling Errors",i:8.18241003154818E-05,a:"If your UDx encounters an unrecoverable error, it should  throw a UdfException. The error triggers a rollback of the function call.  In R, this function rollback occurs when the UDx executes an error action. The following code shows how you can add error checking to your UDx. In this example, if the ..."},"2526":{y:0,u:"../Content/Authoring/ExtendingVertica/R/AddingMetadataRLibraries.htm",l:-1,t:"Adding Metadata to R Libraries",i:8.18241003154818E-05,a:"You can add metadata, such as author name, the version of the library, a description of your library, and so on to your library. This metadata lets you track the version of your function that is deployed on an Vertica Analytic Database cluster and lets third-party users of your function know who ..."},"2527":{y:0,u:"../Content/Authoring/ExtendingVertica/R/SettingNullInputAndVolatilityBehaviorForRFunctions.htm",l:-1,t:"Setting Null Input and Volatility Behavior for R Functions",i:0.000106601588470311,a:"Vertica supports defining volatility and null-input settings for UDxs written in R. Both settings aid in the performance of your R function. Volatility Settings Volatility settings describe the behavior of the function to the Vertica optimizer. For example, if you have identical rows of input data ..."},"2528":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AggregateFunctions/AggregateFunctions.htm",l:-1,t:"Aggregate Functions (UDAFs)",i:0.000236731644163321,a:"Aggregate functions perform an operation on a set of values and return one value.  Vertica provides standard built-in aggregate functions such as  AVG ,  MAX , and  MIN . User-Defined Aggregate Functions work similarly to the built-in aggregate functions. User-Defined Aggregate Functions: Support a ..."},"2529":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AggregateFunctions/UDAFClassOverview.htm",l:-1,t:"UDAF Class Overview",i:0.00015137484961199,a:"You create your UDAF by subclassing two classes defined by the Vertica SDK: AggregateFunction and AggregateFunctionFactory.  AggregateFunction  The AggregateFunction class performs the aggregation. It computes values on each database node where relevant data is stored and then combines the results ..."},"2530":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AggregateFunctions/GroupByPerformance.htm",l:-1,t:"UDAF Performance in Statements Containing a GROUP BY Clause",i:8.18241003154818E-05,a:"You may see slower-than-expected performance from your UDAF if the SQL statement calling it also contains a  GROUP BY Clause . For example: =\u003e SELECT a, MYUDAF(b) FROM sampletable GROUP BY a; In statements like this one, Vertica does not consolidate row data together before calling your ..."},"2531":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AggregateFunctions/C++API.htm",l:-1,t:"C++ API",i:8.18241003154818E-05,a:"C++ API This section provides APIs and examples for the C++ API for UDAFs.  For information on setting up a C++ development environment and compiling and packaging libraries, see  Developing with the C++ SDK . In This Section"},"2532":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AggregateFunctions/UDAFC++.htm",l:-1,t:"AggregateFunction and AggregateFunctionFactory C++ Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the C++ API. See  UDAF Class Overview  for general information about implementing the AggregateFunction and AggregateFunctionFactory classes. AggregateFunction API The API provides the following methods for extension by subclasses: virtual void ..."},"2533":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AggregateFunctions/ExampleAverage.htm",l:-1,t:"C++ Example: Average",i:8.18241003154818E-05,a:"The Average aggregate function created in this example computes the average of values in a column.  You can find the source code used in this example on the  Vertica GitHub page .  Loading the Example Use CREATE LIBRARY and CREATE AGGREGATE FUNCTION to declare the function:  =\u003e CREATE LIBRARY ..."},});