define({"2534":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AnalyticFunctions/AnalyticFunctions.htm",l:-1,t:"Analytic Functions (UDAnFs)",i:0.0002779424231926,a:"User-Defined Analytic Functions (UDAnFs) are used for analytics. See  SQL Analytics  for an overview of Vertica\u0027s built-in analytics. Like User-Defined Scalar Functions (UDSFs), UDAnFs must output a single value for each row of data read and can have no more than 1600 arguments. Unlike UDSFs, the ..."},"2535":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AnalyticFunctions/UDAnFClassOverview.htm",l:-1,t:"UDAnF Class Overview",i:0.000220925598908499,a:"You create your UDAnF by subclassing two classes defined by the Vertica SDK: AnalyticFunction and AnalyticFunctionFactory.  AnalyticFunction The AnalyticFunction subclass performs the analytic processing. Your subclass must define the processPartition() method to perform the operation. It may define ..."},"2536":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AnalyticFunctions/C++API.htm",l:-1,t:"C++ API",i:8.18241003154818E-05,a:"C++ API This section provides APIs and examples for the C++ API for UDAnFs.  For information on setting up a C++ development environment and compiling and packaging libraries, see  Developing with the C++ SDK . In This Section"},"2537":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AnalyticFunctions/UDAnFC++.htm",l:-1,t:"AnalyticFunction and AnalyticFunctionFactory C++ Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the C++ API. See  UDAnF Class Overview  for general information about implementing the AnalyticFunction and AnalyticFunctionFactory classes. AnalyticFunction API The API provides the following methods for extension by subclasses: virtual void ..."},"2538":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AnalyticFunctions/ExampleC++.htm",l:-1,t:" C++ Example: Rank",i:8.18241003154818E-05,a:" C++ Example: Rank The Rank analytic function ranks rows based on how they are ordered. Loading and Using the Example The following example shows how to load the function into Vertica. It assumes that the AnalyticFunctions.so library that contains the function has been copied to the dbadmin user\u0027s ..."},"2539":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AnalyticFunctions/JavaAPI.htm",l:-1,t:"Java API",i:8.18241003154818E-05,a:"Java API This section provides APIs and examples for the Java API for UDAnFs.  For information on setting up a Java development environment and compiling and packaging libraries, see  Developing with the Java SDK . In This Section"},"2540":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AnalyticFunctions/UDAnFJava.htm",l:-1,t:"AnalyticFunction and AnalyticFunctionFactory Java Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the Java API. See  UDAnF Class Overview  for general information about implementing the AnalyticFunction and AnalyticFunctionFactory classes. AnalyticFunction API The API provides the following methods for extension by subclasses: void ..."},"2541":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/AnalyticFunctions/ExampleJava.htm",l:-1,t:"Java Example: Rank",i:8.18241003154818E-05,a:"The Rank analytic function ranks rows based on how they are ordered. Loading and Using the Example The following example shows how to load the function into Vertica. It assumes that the AnalyticFunctions.jar library that contains the function has been copied to the dbadmin user\u0027s home directory on ..."},"2542":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/ScalarFunctions.htm",l:-1,t:"Scalar Functions (UDSFs)",i:0.000295713260348088,a:"A User-Defined Scalar Function (UDSF) returns a single value for each row of data it reads. You can use a UDSF anywhere you can use a built-in Vertica function. You usually develop a UDSF to perform data manipulations that are too complex or too slow to perform using SQL statements and functions. ..."},"2543":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/UDSFClassOverview.htm",l:-1,t:"UDSF Class Overview",i:0.000322934855430411,a:"You create your UDSF by subclassing two classes defined by the Vertica SDK: ScalarFunction and ScalarFunctionFactory.    ScalarFunction The ScalarFunction class is the heart of a UDSF. Your subclass must define the processBlock() method to perform the scalar operation. It may define methods to set ..."},"2544":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/SettingNullInputAndVolatilityBehavior.htm",l:-1,t:"Setting Null Input and Volatility Behavior",i:8.18241003154818E-05,a:"Normally, Vertica calls your UDSF for every row of data in the query. There are some cases where Vertica can avoid executing your UDSF. You can tell Vertica when it can skip calling your function and just supply a return value itself by changing your function\u0027s volatility and strictness settings. ..."},"2545":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/C++API.htm",l:-1,t:"C++API",i:8.18241003154818E-05,a:"C++API This section provides APIs and examples for the C++ API for UDSFs.  For information on setting up a C++ development environment and compiling and packaging libraries, see  Developing with the C++ SDK . In This Section"},"2546":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/UDSFC++.htm",l:-1,t:"ScalarFunction and ScalarFunctionFactory C++ Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the C++ API. See  UDSF Class Overview  for general information about implementing the ScalarFunction and ScalarFunctionFactory classes. ScalarFunction API The API provides the following methods for extension by subclasses: virtual void ..."},"2547":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/ExampleC++.htm",l:-1,t:"C++ Example: Add2Ints",i:0.00015137484961199,a:"The following example shows a very basic subclass of ScalarFunction called Add2ints. As the name implies it adds two integers together, returning a single integer result. It also demonstrates including the main Vertica SDK header file ( Vertica.h) and using the Vertica namespace. While not required, ..."},"2548":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/ExampleC++check_constraints.htm",l:-1,t:"C++ Example: Calling a UDSF from a Check Constraint",i:0.000152745132505923,a:"This example shows you the  C++ code needed to create  a UDSF that can be called by a check constraint. The name of the sample function is LargestSquareBelow. The sample function determines the largest number whose square is less than the number in the subject column. For example, if the number in ..."},"2549":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/JavaAPI.htm",l:-1,t:"Java API",i:8.18241003154818E-05,a:"Java API This section provides APIs and examples for the Java API for UDSFs.  For information on setting up a Java development environment and compiling and packaging libraries, see  Developing with the Java SDK . In This Section"},"2550":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/UDSFJava.htm",l:-1,t:"ScalarFunction and ScalarFunctionFactory Java Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the Java API. See  UDSF Class Overview  for general information about implementing the ScalarFunction and ScalarFunctionFactory classes. ScalarFunction API The API provides the following methods for extension by subclasses: void ..."},"2551":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/ExampleJava.htm",l:-1,t:"Java Example: Add2Ints",i:0.000237175995491793,a:"The Add2Ints scalar function adds two integers together, returning a single integer result. Loading and Using the Example Use  CREATE LIBRARY  to load the jar file containing the function, and then use  CREATE FUNCTION (UDF)  to declare the function as in the following example: =\u003e CREATE FUNCTION ..."},"2552":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/Python/PythonAPI.htm",l:-1,t:"Python API",i:8.18241003154818E-05,a:"Python API This section provides APIs and examples for the Python SDK for UDSFs. For more information on setting up a Python development environment, see  Developing with the Python SDK . In This Section"},"2553":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/Python/ScalarFunctionAndScalarFunctionFactoryPythonInterface.htm",l:-1,t:"Scalar Function and Scalar Function Factory Python Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the Python API. See  UDSF Class Overview  for general information about implementing the ScalarFunction and ScalarFunctionFactory classes. ScalarFunction API The API provides the following methods for extension by subclasses: \nclass ..."},"2554":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/Python/PythonExampleAdd2Ints.htm",l:-1,t:"Python Example: add2ints",i:8.18241003154818E-05,a:"The add2ints scalar function adds two integers together, returning a single integer result. You can find more UDx examples in the VerticaGithub repository,  https://github.com/vertica/UDx-Examples . UDSF Python Code import vertica_sdk\n\nclass add2ints(vertica_sdk.ScalarFunction):\n    \"\"\"Return the ..."},"2555":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/Python/PythonExampleCurrencyConvert.htm",l:-1,t:"Python Example: currency_convert",i:8.18241003154818E-05,a:"The currency_convert scalar function reads two values from a table, a currency and a value. It then converts the item\u0027s value to USD, returning a single float result. You can find more UDx examples in the VerticaGithub repository,  https://github.com/vertica/UDx-Examples . UDSF Python Code import ..."},"2556":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/Python/PythonExampleValidateURL.htm",l:-1,t:"Python Example: validate_url",i:8.18241003154818E-05,a:"The validate_url scalar function reads a string from a table, a URL. It then validates if the URL is responsive, returning a status code or a string indicating the attempt failed. You can find more UDx examples in the VerticaGithub repository,  https://github.com/vertica/UDx-Examples . UDSF Python ..."},"2557":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/R/RAPI.htm",l:-1,t:"R API",i:8.18241003154818E-05,a:"R API This section provides APIs and examples for the R API for UDSFs.  For information on setting up an R development environment and compiling and packaging libraries, see  Developing with the R SDK . In This Section"},"2558":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/R/ScalarFunctionAndScalarFunctionFactoryR.htm",l:-1,t:"Scalar Function and Scalar Function Factory R Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the R API. See  R SDK API Documentation  for general information about implementing Scalar functions. Scalar Function API The API provides the following framework for extension by R function: FunctionName \u003c- function(input.data.frame, ..."},"2559":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/R/RExampleSalesTax.htm",l:-1,t:"R Example: SalesTaxCalculator",i:8.18241003154818E-05,a:"The SalesTaxCalculator scalar function reads a float and a varchar from a table, an item\u0027s price and the state abbreviation. It then uses the state abbreviation to find the sales tax rate from a list and calculates the item\u0027s price including the state\u0027s sales tax, returning the total cost of the ..."},"2560":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/ScalarFunctions/R/RExamplekmeans.htm",l:-1,t:"R Example: kmeans",i:8.18241003154818E-05,a:"The KMeans_User scalar function reads any number of columns from a table, the observations. It then uses the observations and  the two parameters when applying the kmeans clustering algorithm to the data, returning an integer value associated with the cluster of the row. You can find more UDx ..."},"2561":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/TransformFunctions.htm",l:-1,t:"Transform Functions (UDTFs)",i:0.000267446818731164,a:"A User-Defined Transform Function (UDTF) lets you transform a table of data into another table. It reads one or more arguments (treated as a row of data), and returns zero or more rows of data consisting of one or more columns. A UDTF can produce any number of rows as output. However, each row it ..."},"2562":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/UDTFClassOverview.htm",l:-1,t:"UDTF Class Overview",i:0.000220925598908499,a:"You create your UDTF by subclassing two classes defined by the Vertica SDK: TransformFunction and TransformFunctionFactory. The TransformFunctionFactory performs two roles:  It provides the number of parameters and their and data types accepted by the UDTF and the number of output columns and their ..."},"2563":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/CreatingMulti-phaseUDTFs.htm",l:-1,t:"Creating Multi-Phase UDTFs",i:0.000128770990962419,a:"Multi-phase UDTFs let you break your data processing into multiple steps. Using this feature, your UDTFs can perform processing in a way similar to Hadoop or other MapReduce frameworks. You can use the first phase to break down and gather data, and then use subsequent phases to process the data. For ..."},"2564":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/FencedMode/PartitioningOptions.htm",l:-1,t:"Partitioning Options for Processing Local Data",i:8.18241003154818E-05,a:"UDTFs typically process data that is partitioned in a specific way. For example, a UDTF that processes a web server log file to count the number of hits referred by each partner web site needs to have its input partitioned by a referrer column. Each instance of the UDTF sees the hits referred by a ..."},"2565":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/C++API.htm",l:-1,t:"C++ API",i:8.18241003154818E-05,a:"C++ API This section provides APIs and examples for the C++ API for UDTFs.  For information on setting up a C++ development environment and compiling and packaging libraries, see  Developing with the C++ SDK . In This Section  "},"2566":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/UDTFC++.htm",l:-1,t:"TransformFunction and TransformFunctionFactory C++ Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the C++ API. See  UDTF Class Overview  for general information about implementing the TransformFunction and TransformFunctionFactory classes. TransformFunction API The API provides the following methods for extension by subclasses: virtual void ..."},"2567":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/ExampleC++.htm",l:-1,t:"C++ Example: String Tokenizer",i:8.18241003154818E-05,a:"The following example shows a subclass of TransformFunction named StringTokenizer. It defines a UDTF that reads a table containing an INTEGER ID column and a VARCHAR column. It breaks the text in the VARCHAR column into tokens (individual words). It returns a table containing each token, the row it ..."},"2568":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/ExampleC++MultiPhase.htm",l:-1,t:"C++ Example: Multi-Phase Transform Function",i:8.18241003154818E-05,a:"The following code fragment is from the InvertedIndex UDTF example distributed with the Vertica SDK. It demonstrates subclassing the MultiPhaseTransformFunctionFactory including two TransformFunctionPhase subclasses that define the two phases in this UDTF.   class InvertedIndexFactory : public ..."},"2569":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/JavaAPI.htm",l:-1,t:"Java API",i:8.18241003154818E-05,a:"Java API This section provides APIs and examples for the Java API for UDTFs.  For information on setting up a Java development environment and compiling and packaging libraries, see  Developing with the Java SDK . In This Section"},"2570":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/UDTFJava.htm",l:-1,t:"TransformFunction and TransformFunctionFactory Java Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the Java API. See  UDTF Class Overview  for general information about implementing the TransformFunction and TransformFunctionFactory classes. TransformFunction API The API provides the following methods for extension by subclasses: void ..."},"2571":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/ExampleJava.htm",l:-1,t:"Java Example: String Tokenizer",i:8.18241003154818E-05,a:"The following example shows a subclass of TransformFunction named StringTokenizer. It defines a UDTF that reads a table containing an INTEGER ID column and a VARCHAR column. It breaks the text in the VARCHAR column into tokens (individual words). It returns a table containing each token, the row it ..."},"2572":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/ExampleJavaMultiPhase.htm",l:-1,t:"Java Example: Multi-Phase Transform Function",i:8.18241003154818E-05,a:"The following code is excerpted from the InvertedIndexFactory SDK example. You can find the complete code in /opt/vertica/sdk/examples/JavaUDx/TransformFunctions. \npublic class InvertedIndexFactory extends MultiPhaseTransformFunctionFactory {\n\n  public class ForwardIndexPhase extends ..."},"2573":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/R/RAPI.htm",l:-1,t:"R API",i:8.18241003154818E-05,a:"R API This section provides APIs and examples for the R API for UDTFs.  For information on setting up an R development environment and compiling and packaging libraries, see  Developing with the R SDK . In This Section"},"2574":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/R/UDTFR.htm",l:-1,t:"Transform Function and Transform Function Factory R Interface",i:8.18241003154818E-05,a:"This section describes information that is specific to the R API. See  R SDK API Documentation  for general information about implementing transform functions. Transform Function API The API provides the following framework for extension by R function: FunctionName \u003c- function(input.data.frame, ..."},"2575":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/TransformFunctions/R/RExampleLogTokenizer.htm",l:-1,t:"R Example: Log Tokenizer",i:8.18241003154818E-05,a:"The LogTokenizer transform function reads a varchar from a table, a log message. It then tokenizes each of the log messages, returning each of the tokens. You can find more UDx examples in the VerticaGithub repository,  https://github.com/vertica/UDx-Examples . Load the Function and Library Create ..."},"2576":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/UserDefinedLoad.htm",l:-1,t:"Load (UDLs)",i:0.00100405107554008,a:"The  COPY statement  offers extensive options and settings to control how to load data. However, you may find that these options do not suit the type of data load that you want to perform.  The User-Defined Load (UDL) feature lets you develop one or more functions that change how the COPY statement ..."},"2577":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/UDLSource.htm",l:-1,t:"User-Defined Source",i:0.000620416239306842,a:"A User-Defined Source allows you to process a source of data using a method that is not built into Vertica.  For example, you can write a User-Defined Source to access the data from an HTTP source using cURL. While you can use only a single User-Defined Source in a  COPY  statement, that source ..."},"2578":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/UDSourceClass.htm",l:-1,t:"UDSource Class",i:0.000257610485724337,a:"You can subclass the UDSource class when you need to load data from a source type that COPY does not already support.  Each instance of your UDSource subclass reads from a single data source. Examples of a single data source are a single file or the results of a single function call to a RESTful web ..."},"2579":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/SourceFactoryClass.htm",l:-1,t:"SourceFactory Class",i:0.000436544296924953,a:"If you write a source, you must also write a source factory. Your subclass of the SourceFactory class is responsible for: Performing the initial validation of the parameters passed to your UDSource. Setting up any data structures your UDSource instances need to perform their work. This information ..."},"2580":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/UDLFilter.htm",l:-1,t:"User-Defined Filter",i:0.000832626876258945,a:"User-Defined Filter functions allow you to manipulate data obtained from a source in various ways.  For example, a filter could: Process a compressed file in a compression format not natively supported by Vertica.  Take UTF-16-encoded data and transcode it to UTF-8 encoding.  Perform ..."},"2581":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/UDFilterClass.htm",l:-1,t:"UDFilter Class",i:0.000435695306878756,a:"The UDFilter class is responsible for reading raw input data from a source and preparing it to be loaded into Vertica or processed by a parser. This preparation may involve decompression, re-encoding, or any other sort of binary manipulation. A UDFilter is instantiated by a corresponding ..."},"2582":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/FilterFactoryClass.htm",l:-1,t:"FilterFactory Class",i:0.000435695306878756,a:"If you write a filter, you must also write a filter factory to produce filter instances. To do so, subclass the FilterFactory class. Your subclass performs the initial validation and planning of the function execution and instantiates UDFilter objects on each host that will be filtering data. Filter ..."},"2583":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/UDLParser.htm",l:-1,t:"User-Defined Parser",i:0.000461677099896554,a:"A parser takes a stream of bytes and passes a corresponding sequence of tuples to the Vertica load process. You can use User-Defined Parser functions to parse:  Data in formats not understood by the Vertica built-in parser.  Data that requires more specific control than the built-in parser supplies. ..."},"2584":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/UDParserClass.htm",l:-1,t:"UDParser Class",i:0.000216785367565127,a:"You can subclass the UDParser class when you need to parse data that is in a format that the COPY statement\u0027s native parser cannot handle.  During parser execution, Vertica always calls three methods: setup(), process(), and destroy().  It might also call getRejectedRecord(). UDParser Methods The ..."},"2585":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/UDChunker.htm",l:-1,t:"UDChunker Class",i:0.000260757911516098,a:"You can subclass the UDChunker class to allow your parser to support  Cooperative Parse . This class is available only in the C++ API. Fundamentally, a UDChunker is a very simplistic parser. Like UDParser, it has the following three methods: setup(), process(), and destroy(). You must override ..."},"2586":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/ParserFactoryClass.htm",l:-1,t:"ParserFactory Class",i:0.000179931520614656,a:"If you write a parser, you must also write a factory to produce parser instances. To do so, subclass the ParserFactory class. Parser factories are singletons. Your subclass must be stateless, with no fields containing data. Your subclass also must not modify any global variables. The ParserFactory ..."},"2587":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/ParallelLoad.htm",l:-1,t:"Load Parallelism",i:0.000116599474963736,a:"Vertica can divide the work of loading data, taking advantage of parallelism to speed up the operation. Vertica supports several types of parallelism: Distributed load: Vertica distributes files in a multi-file load  to several nodes to load in parallel, instead of loading all of them on a single ..."},"2588":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/CooperativeParse.htm",l:-1,t:"Cooperative Parse",i:0.000835431516891495,a:"By default, Vertica parses a data source in a single thread on one database node. You can optionally use cooperative parse to parse a source using multiple threads on a node.   More specifically, data from a source passes through a chunker that groups blocks from the source stream into logical ..."},"2589":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/ApportionedLoad.htm",l:-1,t:"Apportioned Load",i:0.000842031204808421,a:"A parser can use more than one database node to load a single input source in parallel. This approach is referred to as apportioned load.  Some of the parsers built into Vertica support apportioned load. Apportioned load, like cooperative parse, requires an input that can be divided at record ..."},"2590":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/CombiningALandCP.htm",l:-1,t:"Combining  Cooperative Parse and Apportioned Load",i:0.000530503068871342,a:"You can enable both  Cooperative Parse  and  Apportioned Load  in the same parser, allowing Vertica to decide how to load data. Deciding How to Divide a Load Vertica uses apportioned load, where possible, at query-planning time. It decides whether to also use cooperative parse at execution time. ..."},"2591":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/ContinuousLoad.htm",l:-1,t:"Continuous Load",i:0.000121082529883623,a:"The ContinuousUDSource, ContinuousUDFilter, and ContinuousUDParser classes allow you to write and process data as needed instead of having to iterate through the data. Each class includes the following functions: initialize() - Invoked before run(). You can optionally override this function to ..."},"2592":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/C++UDL/DevelopingUDLsInCpp.htm",l:-1,t:"C++ API",i:8.18241003154818E-05,a:"This section provides APIs and examples for the C++ API for UDLs.  For information on setting up a C++ development environment and compiling and packaging libraries, see  Developing with the C++ SDK . Requirements for C++ UDLs C++ UDLs: Can run in  Fenced Mode . Vertica enables fenced mode  by ..."},"2593":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/C++UDL/SourceAdditionsC++.htm",l:-1,t:"Source Classes",i:0.000191309605780676,a:"See  User-Defined Source  for general information about implementing the UDSource and SourceFactory classes. This section describes information that is specific to the C++ API. UDSource API The API provides the following methods for extension by subclasses: virtual void setup (ServerInterface ..."},"2594":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/C++UDL/FilterAdditionsC++.htm",l:-1,t:"Filter Classes",i:0.000266997217570814,a:"This section describes information that is specific to the C++ API. See  User-Defined Filter  for general information about implementing the UDFilter and FilterFactory classes.  UDFilter API The API provides the following methods for extension by subclasses: virtual void setup (ServerInterface \u0026 ..."},"2595":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/C++UDL/ParserAdditionsC++.htm",l:-1,t:"Parser Classes",i:0.000174089631416255,a:"This section describes information that is specific to the C++ API. See  User-Defined Parser  for general information about implementing the UDParser and ParserFactory classes.  UDParser API The API provides the following methods for extension by subclasses: virtual void setup (ServerInterface ..."},"2596":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/C++UDL/ExampleCurlSource.htm",l:-1,t:"Source Example: CurlSource",i:8.18241003154818E-05,a:"The CurlSource example allows you to use cURL to open and read in a file over HTTP. The example provided is part of:  /opt/vertica/sdk/examples/SourceFunctions/cURL.cpp. Parser Implementation This example uses the helper library available in /opt/vertica/sdk/examples/HelperLibraries/.  CurlSource ..."},"2597":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/C++UDL/ExampleFilePortionSource.htm",l:-1,t:"Source Example: Concurrent Load",i:0.000267357599433024,a:"The FilePortionSource example demonstrates the use of concurrent load. This example is a refinement of the FileSource example. Each input file is divided into portions and distributed to FilePortionSource instances. The source accepts a list of offsets at which to break the input into portions; if ..."},"2598":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/C++UDL/ExampleUDFilter.htm",l:-1,t:"Filter Example: Converting Encoding",i:8.18241003154818E-05,a:"The following example shows how you can convert encoding for a file from one type to another by converting UTF-16 encoded data to UTF-8. You can find this example in the SDK at /opt/vertica/sdk/examples/FilterFunctions/IConverter.cpp. Filter Implementation class Iconverter : public ..."},"2599":{y:0,u:"../Content/Authoring/ExtendingVertica/UDx/UDL/C++UDL/ExampleBasicIntegerParser.htm",l:-1,t:"Parser Example: BasicIntegerParser",i:0.000121082529883623,a:"The BasicIntegerParser example parses a string of integers separated by non-numeric characters. For a version of this parser that uses continuous load, see  Parser Example: ContinuousIntegerParser . Loading and Using the Example Load and use the BasicIntegerParser example as follows. =\u003e CREATE ..."},});