define({"407":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/TablePrivileges.htm",l:-1,t:"Table Privileges",i:9.49192008385864E-05,a:"By default, only a  superuser  and the table owner (typically the person who creates a table) have access to a table. The ability to drop or alter a table is also reserved for a superuser or table owner. This privilege cannot be granted to other users.  All other users or roles (including the user ..."},"408":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/ProjectionPrivileges.htm",l:-1,t:"Projection Privileges",i:0.00040006299927396,a:"Because projections are the underlying storage construct for tables, they are atypical in that they do not have an owner or privileges associated with them directly. Instead, the privileges to create, access, or alter a projection are based on the anchor tables that the projection references, as ..."},"409":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/ViewPrivileges.htm",l:-1,t:"View Privileges",i:8.18241003154818E-05,a:"A  view  is a stored query that dynamically accesses and computes data from the database at execution time. Use \\dv in vsql to display available views. By default, only the following users have privileges to access a view\u0027s base object: Superuser View owner—typically, the view creator To execute a ..."},"410":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/SequencePrivileges.htm",l:-1,t:"Sequence Privileges",i:0.000468355923368297,a:"To create a sequence, a user must have CREATE privileges on a schema that contains the sequence. Only the owner and  superusers  can initially access the sequence. All other users must be granted access to the sequence by a superuser or the owner.  Only the sequence owner (typically the person who ..."},"411":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/ExternalProcedurePrivileges.htm",l:-1,t:"External Procedure Privileges",i:0.000135562590212658,a:"Only a  superuser  is allowed to create or drop an  external procedure .  By default, users cannot execute external procedures. A superuser must grant users and roles this right, using the GRANT (Procedure) EXECUTE statement. Additionally, users must have USAGE privileges on the schema that contains ..."},"412":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/User-DefinedSQLFunctionPrivileges.htm",l:-1,t:"User-Defined Function Privileges",i:8.18241003154818E-05,a:"User-defined functions (described in  CREATE FUNCTION Statements ) can be created by  superusers  or users with CREATE privileges on the schema that will contain the function, as well as USAGE privileges on the base library (if applicable).  Users or roles other than the function owner can use a ..."},"413":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/LibraryAndUserDefinedFunctionPrivileges.htm",l:-1,t:"Library Privileges",i:8.18241003154818E-05,a:"Only a  superuser  can load an external library using the  CREATE LIBRARY  statement. By default, only a superuser can create user-defined functions ( UDFs ) based on a loaded library. A superuser can use the GRANT USAGE ON LIBRARY statement to allow users to create UDFs based on classes in the ..."},"414":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/ResourcePoolPrivileges.htm",l:-1,t:"Resource Pool Privileges",i:8.18241003154818E-05,a:"Only a  superuser  can create, alter, or drop a  resource pool .  By default, users are granted USAGE rights to the GENERAL pool, from which their queries and other statements allocate memory and get their priorities. A superuser must grant users USAGE rights to any additional resource pools by ..."},"415":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/StorageLocationPrivileges.htm",l:-1,t:"Storage Location Privileges",i:8.18241003154818E-05,a:"Users and roles without  superuser  privileges can copy data to and from storage locations as long as the following conditions are met, where a  superuser : Creates a a special class of storage location ( CREATE LOCATION ) specifying the USAGE argument set to \u0027USER\u0027 , which indicates the specified ..."},"416":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/RolePrivileges.htm",l:-1,t:"Role, profile, and User Privileges",i:8.18241003154818E-05,a:"Only a  superuser  can create, alter or drop a: role profile user By default, only the superuser can grant or revoke a role to another user or role. A user or role can be given the privilege to grant and revoke a role by using the WITH ADMIN OPTION clause of the GRANT statement.  For details on ..."},"417":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/MetadataPrivileges.htm",l:-1,t:"Metadata Privileges",i:0.000154058429631246,a:"Metadata Privileges A  superuser  has unrestricted access to all database metadata. Other users have significantly reduced access to metadata based on their privileges, as follows:"},"418":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/IOPrivileges.htm",l:-1,t:"I/O Privileges",i:8.18241003154818E-05,a:"Users need no special permissions to connect to and disconnect from an Vertica database. To  EXPORT TO  and  COPY FROM Vertica, the user must have: SELECT privileges on the source table USAGE privilege on source table schema INSERT privileges for the destination table in target database USAGE ..."},"419":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/CommentPrivileges.htm",l:-1,t:"Comment Privileges",i:8.18241003154818E-05,a:"A comment lets you add, revise, or remove a textual message to a database object. You must be an object owner or superuser in order to COMMENT ON one of the following objects: COLUMN CONSTRAINT FUNCTION  (including AGGREGATE and ANALYTIC) LIBRARY NODE PROJECTION SCHEMA SEQUENCE TABLE TRANSFORM ..."},"420":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/TransactionPrivileges.htm",l:-1,t:"Transaction Privileges",i:8.18241003154818E-05,a:"Transaction Privileges No special permissions are required for the following database operations: COMMIT ROLLBACK RELEASE SAVEPOINT SAVEPOINT"},"421":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/SessionPrivileges.htm",l:-1,t:"Session Privileges",i:8.18241003154818E-05,a:"Session Privileges No special permissions are required for users to use the SHOW statement or any of the SET statements."},"422":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/TuningPrivileges.htm",l:-1,t:"Tuning Privileges",i:8.18241003154818E-05,a:"Tuning Privileges In order to  PROFILE  a single SQL statement or returns a query plan\u0027s execution strategy to standard output using the  EXPLAIN  command, users must have the same privileges that are required for them to run the same query without the PROFILE or EXPLAIN keyword."},"423":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/GrantingAndRevokingPrivileges.htm",l:-1,t:"Granting and Revoking Privileges",i:0.00446218766171738,a:"To grant or revoke a privilege using one of the SQL GRANT or REVOKE statements, the user must have the following permissions for the GRANT/REVOKE statement to succeed: Superuser  or privilege WITH GRANT OPTION USAGE privilege on the schema Appropriate privileges on the object The syntax for granting ..."},"424":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/AboutSuperuserPrivileges.htm",l:-1,t:"About Superuser Privileges",i:8.18241003154818E-05,a:"A  superuser  (DBADMIN) is the automatically-created database user who has the same name as the Linux database administrator account and who can bypass all GRANT/REVOKE authorization, as well as supersede any user that has been granted the  PSEUDOSUPERUSER  role.  Database superusers are not the ..."},"425":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/AboutSchemaOwnerPrivileges.htm",l:-1,t:"About Schema Owner Privileges",i:8.18241003154818E-05,a:"By default, the schema owner has privileges to create objects within a schema. Additionally, the schema owner can drop any object in the schema, requiring no additional privilege on the object.  The schema owner is typically the user who creates the schema.  Schema owners cannot access objects in ..."},"426":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/AboutObjectOwnerPrivileges.htm",l:-1,t:"About Object Owner Privileges",i:8.18241003154818E-05,a:"The database, along with every object in it, has an owner. The object owner is usually the person who created the object, although a  superuser  can alter ownership of objects, such as table and sequence.  Object owners must have appropriate schema privilege to access, alter, rename, move or drop ..."},"427":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/HowToGrantPrivileges.htm",l:-1,t:"How to Grant Privileges",i:0.000217835232266847,a:"As described in  Granting and Revoking Privileges , specific users grant privileges using the GRANT statement with or without the optional WITH GRANT OPTION, which allows the user to grant the same privileges to other users. A  superuser  can grant privileges on all object types to other users. A ..."},"428":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/HowToRevokePrivileges.htm",l:-1,t:"How to Revoke Privileges",i:8.18241003154818E-05,a:"In general, ONLY the user who originally granted a privilege can revoke it using a REVOKE statement. That user must have  superuser  privilege or have the optional WITH GRANT OPTION on the privilege. The user also must have USAGE privilege on the schema and appropriate privileges on the object for ..."},"429":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/PrivilegeOwnershipChains.htm",l:-1,t:"Privilege Ownership Chains",i:8.18241003154818E-05,a:"The ability to revoke privileges on objects can cascade throughout an organization. If the grant option was revoked from a user, the privilege that this user granted to other users will also be revoked. If a privilege was granted to a user or role by multiple grantors, to completely revoke this ..."},"430":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/ModifyingPrivileges.htm",l:-1,t:"Modifying Privileges",i:8.18241003154818E-05,a:"A  superuser  or object owner can use one of the ALTER statements to modify a privilege, such as changing a sequence owner or table owner. Reassignment to the new owner does not transfer grants from the original owner to the new owner; grants made by the original owner are dropped."},"431":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/UsersPrivileges/ChangingATableOwner.htm",l:-1,t:"Changing Table Ownership",i:0.000351204054202938,a:"As a  superuser  or table owner, you can reassign table ownership with  ALTER TABLE, as follows: ALTER TABLE [schema.]table-name OWNER TO owner-name Changing table ownership is useful when moving a table from one schema to another. Ownership reassignment is also useful when a table owner leaves the ..."},"432":{y:0,u:"../Content/Authoring/AdministratorsGuide/Sequences/ChangingSequenceOwnership.htm",l:-1,t:"Changing Sequence Ownership",i:0.000326818581730118,a:"The ALTER SEQUENCE command lets you change the attributes of an existing sequence. All changes take effect immediately, within the same session. Any parameters not set during an ALTER SEQUENCE statement retain their prior settings.  If you need to change sequence ownership, such as if an employee ..."},"433":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/ViewingPrivilegesGrantedOnObjects.htm",l:-1,t:"Viewing Privileges Granted on Objects",i:0.000283128856408037,a:"Vertica logs information about privileges granted on various objects, including the grantor and grantee, in the  V_CATALOG.GRANTS  system table. The order of columns in the table corresponds to the order in which they appear in the GRANT command. An asterisk in the output meansthe privilege was ..."},"434":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/UsersPrivileges/USINGACCESSPOLICY.htm",l:-1,t:"Access Policies",i:0.000193077974441334,a:"You can create the following access policy types to restrict access to sensitive information to only those users authorized to view it: Column Access Policy Row Access Policy If you have a table with both a row level access policy and a column level access policy, Vertica filters the row level ..."},"435":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/UsersPrivileges/Working_With_Access_Policies.htm",l:-1,t:"Working With Access Policies",i:0.000171692126622228,a:"This section describes areas that may affect how you use access policies. Performing Operations Having row and column access policies enabled on a table may affect the behavior when you attempt to perform the following DML operations: Insert Update Delete Merge Copy Select Row Level Access Behavior ..."},"436":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/UsersPrivileges/ColumnAccessPolicy.htm",l:-1,t:"Column Access Policy",i:0.000185368589296375,a:"Use the  CREATE ACCESS POLICY  statement to create a column access policy for a specific column in a table. Creating an access policy depends on the expressions specified when creating the policy, and also on the following: Viewing a User\u0027s Role Granting Privileges to Roles Example Suppose you want ..."},"437":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/UsersPrivileges/CREATEACCESSPOLICY.htm",l:-1,t:"Creating Column Access Policies",i:8.18241003154818E-05,a:"Creating a column access policy allows different users to run the same query and receive different results. For example, you can create an access policy authorizing access to a column of bank account numbers. You can specify that a user with the role employee cannot access this information.  ..."},"438":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/UsersPrivileges/EnableColumnAccessPolicy.htm",l:-1,t:"Enable or Disable Column Access Policy",i:8.18241003154818E-05,a:"If you have  dbadmin privileges, you can enable and disable an individual access policy in a table, as the following examples show. Enable Column Access Policy =\u003e ALTER ACCESS POLICY on customer FOR column customer_key enable; Disable Column Access Policy =\u003e ALTER ACCESS POLICY on customer FOR ..."},"439":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/UsersPrivileges/RowAccessPolicy.htm",l:-1,t:"Row Access Policy",i:0.000247971641880496,a:"Use the  CREATE ACCESS POLICY  statement to create a row access policy for a specific row in a table. You must use a WHERE clause to set the access policy\u0027s condition. Example Suppose you have a customers table but want to limit users with the broker role to being able to view only customers to ..."},"440":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/UsersPrivileges/CREATEROWACCESSPOLICY.htm",l:-1,t:"Creating Row Access Policies",i:0.000144427152899603,a:"Creating a row access policy determines what rows a user can access during a query. Row access policies include a WHERE clause that prompts the query to return only those rows where the condition is true. For example, a user with a BROKER role should only be able to access customer information for ..."},"441":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/UsersPrivileges/EnableRowAccessPolicy.htm",l:-1,t:"Enable or Disable Row Access Policy",i:8.18241003154818E-05,a:"If you have dbadmin privileges, you can enabled and disable individual row access policies in a table, as the following examples show: Enable Row Access Policy =\u003e ALTER ACCESS POLICY on customer FOR rows enable; Disable Row Access Policy =\u003e ALTER ACCESS POLICY on customer FOR rows disable;"},"442":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/AboutDatabaseRoles.htm",l:-1,t:"About Database Roles",i:0.00019333801687067,a:"To make managing permissions easier, use roles. A role is a collection of privileges that a  superuser  can grant to (or revoke from) one or more users or other roles. Using roles avoids having to manually grant sets of privileges user by user. For example, several users might be assigned to the ..."},"443":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/TypesOfDatabaseRoles.htm",l:-1,t:"Types of Database Roles",i:8.18241003154818E-05,a:"Vertica has the following pre-defined roles: PUBLIC PSEUDOSUPERUSER DBADMIN DBDUSER SYSMONITOR You cannot drop or rename predefined roles, however, you can grant to, or revoke from, predefined roles except to/from PUBLIC. You can also grant predefined roles to other roles and users. Individual ..."},"444":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/DBADMINRole.htm",l:-1,t:"DBADMIN Role",i:0.000632827337352515,a:"Every database has the special DBADMIN role. A  superuser  (or someone with the  PSEUDOSUPERUSER Role ) can grant this role to or revoke this role from any user or role. Users who enable the DBADMIN role gain these privileges:  Create or drop users Create or drop schemas Create or drop roles Grant ..."},"445":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/DBDUSERRole.htm",l:-1,t:"DBDUSER Role",i:0.000195639664448864,a:"The DBDUSER role is predefined, and allows non-DBADMIN users to access Database Designer functions . This role must be explicitly granted by a  superuser  or DBADMIN user. Non-DBADMIN users with the DBDUSER role cannot run Database Designer through Administration Tools. Only  DBADMIN  users can run ..."},"446":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/PSEUDOSUPERUSERRole.htm",l:-1,t:"PSEUDOSUPERUSER Role",i:0.000412922925318623,a:"The special PSEUDOSUPERUSER role is automatically created in each database. A  superuser  (or someone with the PSEUDOSUPERUSER role) can perform grant and revoke on this role. The PSEUDOSUPERUSER cannot revoke or change any superuser privileges.  Users with the PSEUDOSUPERUSER role are entitled to ..."},"447":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/PUBLICRole.htm",l:-1,t:"PUBLIC Role",i:0.000480035429147445,a:"By default, every database has the special PUBLIC role. Vertica grants this role to each user automatically, and it is automatically enabled. You grant privileges to this role that every user should have by default. You can also grant access to roles to PUBLIC, which allows any user to access the ..."},"448":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/SYSMONITORROLE.htm",l:-1,t:"SYSMONITOR Role",i:0.000244130661253832,a:"An organization\u0027s database administrator may have many responsibilities outside of maintaining Vertica as a DBADMIN user. In this case, as the DBADMIN you may want to delegate some Vertica administrative tasks to another Vertica user.  The DBADMIN can assign a delegate the SYSMONITOR role to grant ..."},"449":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/DefaultRolesForDatabaseUsers.htm",l:-1,t:"Default Roles for Database Users",i:0.0002765942305554,a:"By default, no roles (other than the default  PUBLIC Role ) are enabled at the start of a user session.  =\u003e SHOW ENABLED_ROLES;     \n     name      | setting\n---------------+---------\n enabled roles |\n(1 row)\n A  superuser  can set one or more default roles for a user, which are automatically ..."},"450":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/UsingDatabaseRoles.htm",l:-1,t:"Using Database Roles",i:8.18241003154818E-05,a:"There are several steps to using roles: A  superuser  creates a role using the  CREATE ROLE  statement. A superuser or object owner grants privileges to the role. A superuser or users with administrator access to the role grant users and other roles access to the role. Users granted access to the ..."},"451":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/RoleHierarchy.htm",l:-1,t:"Role Hierarchy",i:0.000232735213572255,a:"In addition to granting roles to users, you can also grant roles to other roles. This lets you build hierarchies of roles, with more privileged roles (an administrator, for example) being assigned all of the privileges of lesser-privileged roles (a user of a particular application), in addition to ..."},"452":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/CreatingDatabaseRoles.htm",l:-1,t:"Creating Database Roles",i:9.55005629896281E-05,a:"A  superuser  creates a new role using the  CREATE ROLE  statement. Only a superuser can create or drop roles.  =\u003e CREATE ROLE administrator;\nCREATE ROLE\n The newly-created role has no privileges assigned to it, and no users or other roles are initially granted access to it. A superuser must  grant ..."},"453":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/DeletingDatabaseRoles.htm",l:-1,t:"Deleting Database Roles",i:8.18241003154818E-05,a:"A  superuser  can delete a role with the  DROP ROLE  statement.  Note that if any user or other role has been assigned the role you are trying to delete, the DROP ROLE statement fails with a dependency message. =\u003e DROP ROLE administrator;\nNOTICE:  User Bob depends on Role administrator\nROLLBACK:  ..."},"454":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/GrantingPrivilegesToRoles.htm",l:-1,t:"Granting Privileges to Roles",i:0.000161404206854684,a:"A  superuser  or owner of a schema, table, or other database object can assign privileges to a role, just as they would assign privileges to an individual user by using the GRANT statements described in the  SQL Reference Manual .  See  About Database Privileges  for information about which ..."},"455":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/RevokingPrivilegesFromRoles.htm",l:-1,t:"Revoking Privileges From Roles",i:8.18241003154818E-05,a:"Use one of the REVOKE statements to revoke a privilege from a role.  =\u003e REVOKE INSERT ON applog FROM logwriter;\nREVOKE PRIVILEGE\n Revoking a privilege immediately affects any user sessions that have the role active. When you revoke a privilege, it is immediately removed from users that rely on the ..."},"456":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/GrantingAccessToDatabaseRoles.htm",l:-1,t:"Granting Access to Database Roles",i:0.000154035277044212,a:"A pseudosuperuser or dbadmin user can assign any role to a user or to another role using the GRANT command. The simplest form of this command is: GRANT role [, ...] TO { user | role } [, ...] Vertica returns a NOTICE if you grant a role  to a user who has already been granted that role. For example: ..."},"457":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/RevokingAccessFromDatabaseRoles.htm",l:-1,t:"Revoking Access From Database Roles",i:8.18241003154818E-05,a:"A  superuser  can revoke any role from a user or from another role using the REVOKE command. The simplest form of this command is: REVOKE role [, ...] FROM { user | role | PUBLIC } [, ...] See  REVOKE (Role)  in the SQL Reference Manual for details.  Example To revoke access from a role, use the ..."},"458":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/GrantingAdministrativeAccessToARole.htm",l:-1,t:"Granting Administrative Access to a Role",i:8.18241003154818E-05,a:"A  superuser  can assign a user or role administrative access to a role by supplying the optional WITH ADMIN OPTION argument to the  GRANT  statement. Administrative access allows the user to grant and revoke access to the role for other users (including granting them administrative access). Giving ..."},"459":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/RevokingAdministrativeAccessFromARole.htm",l:-1,t:"Revoking Administrative Access From a Role",i:8.18241003154818E-05,a:"A  superuser  can revoke administrative access from a role using the ADMIN OPTION parameter with the  REVOKE  statement. Giving users the ability to revoke roles lets a superuser delegate role administration to other users.  Example The following example demonstrates revoking administrative access ..."},"460":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/EnablingRoles.htm",l:-1,t:"Enabling Roles",i:0.000329500045341251,a:"By default, roles aren\u0027t enabled automatically for a user account. (See  Default Roles for Database Users  for a way to make roles enabled automatically.) Users must explicitly enable a role using the  SET ROLE  statement. When users enable a role in their session, they gain all of the privileges ..."},"461":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/DisablingRoles.htm",l:-1,t:"Disabling Roles",i:8.18241003154818E-05,a:"Disabling Roles To disable all roles, use the SET ROLE NONE statement: =\u003e SET ROLE NONE;\n=\u003e SHOW ENABLED_ROLES;\n     name      | setting\n---------------+---------\n enabled roles |\n(1 row)\n"},"462":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/ViewingEnabledAndAvailableRoles.htm",l:-1,t:"Viewing Enabled and Available Roles",i:8.18241003154818E-05,a:"You can list the roles you have enabled in your session using the  SHOW  ENABLED ROLES statement: =\u003e SHOW ENABLED_ROLES;     \n     name      | setting\n---------------+----------\n enabled roles | logreader\n(1 row)\n You can find the roles available to your account using the SHOW AVAILABLE ROLES ..."},"463":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/ViewingNamedRoles.htm",l:-1,t:"Viewing Named Roles",i:8.18241003154818E-05,a:"To view the names of all roles users can access, along with any roles that have been assigned to those roles, query the  V_CATALOG.ROLES  system table.  =\u003e SELECT * FROM roles;      \n      role_id      |      name       | assigned_roles\n-------------------+-----------------+----------------\n ..."},"464":{y:0,u:"../Content/Authoring/AdministratorsGuide/Security/DBUsersAndPrivileges/ViewingAUsersRole.htm",l:-1,t:"Viewing a User\u0027s Role",i:0.000311903740238838,a:"The  HAS_ROLE()  function lets you see if a role has been granted to a user.  Non-superusers can check their own role membership using HAS_ROLE(\u0027role_name\u0027), but only a  superuser  can look up other users\u0027 memberships using the user_name parameter. Omitting the user_name parameter will return role ..."},"465":{y:0,u:"../Content/Authoring/AdministratorsGuide/AdminTools/UsingTheAdministrationTools-1.htm",l:-1,t:"Using the Administration Tools",i:0.000864355178780962,a:"The Vertica Administration tools allow you to easily perform administrative tasks. You can perform most Vertica database administration tasks with Administration Tools. Run Administration Tools using the  Database Administrator  account on the  Administration host , if possible. Make sure that no ..."},"466":{y:0,u:"../Content/Authoring/AdministratorsGuide/AdminTools/UsingTheAdministrationToolsInterface.htm",l:-1,t:"Using the Administration Tools Interface",i:0.000112272528137396,a:"The Vertica Administration Tools are implemented using  Dialog , a graphical user interface that works in terminal (character-cell) windows.The interface responds to mouse clicks in some terminal windows, particularly local Linux windows, but you might find that it responds only to keystrokes. Thus, ..."},"467":{y:0,u:"../Content/Authoring/AdministratorsGuide/AdminTools/K-SafetySupportInAdministrationTools.htm",l:-1,t:"K-Safety Support in Administration Tools",i:8.18241003154818E-05,a:"The Administration Tools allow certain operations on a  K-Safe  database, even if some nodes are unresponsive.  The database must have been marked as K-Safe using the  MARK_DESIGN_KSAFE  function.  The following management functions within the Administration Tools are operational when some nodes are ..."},"468":{y:0,u:"../Content/Authoring/AdministratorsGuide/AdminTools/NotesForRemoteTerminalUsers.htm",l:-1,t:"Notes for Remote Terminal Users",i:0.00023724096721516,a:"The appearance of the graphical interface depends on the color and font settings used by your terminal window. The screen captures in this document were made using the default color and font settings in a PuTTy terminal application running on a Windows platform.  If you are using a remote terminal ..."},"469":{y:0,u:"../Content/Authoring/AdministratorsGuide/AdminTools/UsingTheAdministrationToolsHelp.htm",l:-1,t:"Using Administration Tools Help",i:8.18241003154818E-05,a:"The Help on Using the Administration Tools command displays a help screen about using the Administration Tools. Most of the online help in the Administration Tools is context-sensitive. For example, if you use up/down arrows to select a command, press tab to move to the Help button, and press ..."},"470":{y:0,u:"../Content/Authoring/AdministratorsGuide/AdminTools/PasswordAuthentication.htm",l:-1,t:"Password Authentication",i:8.18241003154818E-05,a:"When you create a new user with the  CREATE USER  command, you can configure the password or leave it empty. You cannot bypass the password if the user was created with a password configured. You can change a user\u0027s password using the  ALTER USER  command. See  Security and Authentication\n          ..."},});