define({"536":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/MergeTables/MergeRestrictions.htm",l:-1,t:"MERGE Restrictions",i:8.18241003154818E-05,a:"The following restrictions apply to updating and inserting table data with  MERGE. Constraint Enforcement MERGE respects all enforced constraints in the target table. If the merge operation attempts to copy values that violate those constraints, MERGE returns with an error and rolls back the merge ..."},"537":{y:0,u:"../Content/Authoring/AdministratorsGuide/BulkDeletingPurging/BulkDeletingAndPurgingData.htm",l:-1,t:"Removing Table Data",i:0.000265836193981734,a:"Removing Table Data Vertica provides several ways to remove data from a table: Delete Operations Compared The following table summarizes differences between various delete operations. Choosing the Best Delete Operation The following table can help you decide which delete operation is best:"},"538":{y:0,u:"../Content/Authoring/AdministratorsGuide/BulkDeletingPurging/BestPracticesForDELETEAndUPDATE.htm",l:-1,t:"Best Practices for DELETE and UPDATE",i:0.000526196954388952,a:"Vertica is optimized for query-intensive workloads, so DELETE and UPDATE queries might not achieve the same level of performance as other queries. DELETE and UPDATE operations go to the  WOS  by default, but if the data is sufficiently large and would not fit in memory, Vertica automatically ..."},"539":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/PerformanceConsiderationsForDELETEAndUPDATEQueries.htm",l:-1,t:"DELETE and UPDATE Performance Considerations",i:8.18241003154818E-05,a:"To improve the performance of your DELETE and UPDATE queries, consider the following issues:  Query performance after large deletes—A large number of (unpurged) deleted rows can negatively affect query performance.  To eliminate rows that have been deleted from the result, a query must do extra ..."},"540":{y:0,u:"../Content/Authoring/AnalyzingData/Optimizations/OptimizingDELETEsAndUPDATEsForPerformance.htm",l:-1,t:"DELETE and UPDATE Optimization",i:0.00022862334135956,a:"The process of optimizing DELETE and UPDATE queries is the same for both operations. Some simple steps can increase the query performance by tens to hundreds of times. The following sections describe several ways to improve projection design and improve DELETE and UPDATE queries to significantly ..."},"541":{y:0,u:"../Content/Authoring/AdministratorsGuide/BulkDeletingPurging/PurgingDeletedData.htm",l:-1,t:"Purging Deleted Data",i:0.000676209240597298,a:"In Vertica, delete operations do not remove rows from physical storage.  DELETE marks rows as deleted, as does  UPDATE, which combines delete and insert operations. In both cases, Vertica retains discarded rows as  historical data , which remains accessible to  historical queries  until it is ..."},"542":{y:0,u:"../Content/Authoring/AdministratorsGuide/BulkDeletingPurging/SettingAPurgePolicy.htm",l:-1,t:"Setting a Purge Policy",i:0.00045355611376386,a:"The preferred method for purging data is to establish a policy that determines which deleted data is eligible to be purged. Eligible data is automatically purged when the  Tuple Mover  performs  mergeout  operations. Vertica provides two methods for determining when deleted data is eligible to be ..."},"543":{y:0,u:"../Content/Authoring/AdministratorsGuide/BulkDeletingPurging/ManuallyPurgingData.htm",l:-1,t:"Manually Purging Data",i:0.000177621373268332,a:"You manually purge deleted data as follows: Determine the point in time to which you want to purge deleted data. Set the ancient history mark ( AHM ) to this point in time using one of the following functions: SET_AHM_TIME sets the AHM to the  epoch  that includes the specified TIMESTAMP value on ..."},"544":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/TruncatingTables.htm",l:-1,t:"Truncating Tables",i:0.000228038730448819,a:"TRUNCATE TABLE removes all storage associated with the target table and its projections. Vertica preserves the table and the projection definitions. If the truncated table has out-of-date projections, those projections are cleared and marked up-to-date when TRUNCATE TABLE returns. TRUNCATE TABLE ..."},"545":{y:0,u:"../Content/Authoring/AdministratorsGuide/ManageDiskSpace/RebuildingATable.htm",l:-1,t:"Rebuilding Tables",i:0.00021515679035133,a:"You can reclaim disk space on a large scale by rebuilding tables, as follows: Create a table with the same (or similar) definition as the table to rebuild. Create projections for the new table. Copy data from the target table into the new one with  INSERT..SELECT. Drop the old table and its ..."},"546":{y:0,u:"../Content/Authoring/AdministratorsGuide/Tables/DroppingTables.htm",l:-1,t:"Dropping Tables",i:0.000430257017046253,a:"DROP TABLE drops a table from the database catalog. If any projections are associated with the table, DROP TABLE returns an error message unless it also includes the CASCADE option. One exception applies: the table only has an  auto-generated superprojection  (auto-projection) associated with it.  ..."},"547":{y:0,u:"../Content/Authoring/AdministratorsGuide/ManagingClientConnections/OverviewClientConnections.htm",l:-1,t:"Managing Client Connections",i:0.000589518971064824,a:"You can limit the number of active concurrent sessions a user can open to the server. Limiting user sessions lets you better manage sessions  and prevents excessive server communication.   You can define connection limits at three levels: user level, for an individual node or entire cluster.   You ..."},"548":{y:0,u:"../Content/Authoring/AdministratorsGuide/ManagingClientConnections/SetClientConnections.htm",l:-1,t:"Set Client Connection Limits",i:8.18241003154818E-05,a:"Setting a user\u0027s client connection limits allows you to control how many simultaneous sessions a user can run. This prevents Vertica  from exhausting the allowable concurrent connections set by MaxClientSessions and improves the usability of the system. MaxClientSessions Limits Client connection ..."},"549":{y:0,u:"../Content/Authoring/AdministratorsGuide/Projections/WorkingWithProjections.htm",l:-1,t:"Working with Projections",i:0.000383561332919529,a:"Working with Projections Unlike traditional databases that store data in tables, Vertica physically stores table data in  projections , which are collections of table columns. Projections store data in a format that optimizes query execution. Similar to materialized views, they store result sets on ..."},"550":{y:0,u:"../Content/Authoring/AdministratorsGuide/Projections/ProjectionNaming.htm",l:-1,t:"Projection Naming",i:0.000552454337004951,a:"Vertica identifies projections according to the following conventions, where proj‑basename is the name assigned to this projection by  CREATE PROJECTION. Unsegmented Projections Unsegmented projections conform to the following naming conventions: Segmented Projections Segmented projections conform ..."},"551":{y:0,u:"../Content/Authoring/AdministratorsGuide/Projections/AutoProjections.htm",l:-1,t:"Auto-Projections",i:0.000714982055430828,a:"Auto-projections are  superprojections  that Vertica automatically generates for tables, both temporary and persistent. The following rules apply to all auto-projections: Vertica creates the auto-projection in the same schema as the table. Auto-projections conform to encoding, sort order, ..."},"552":{y:0,u:"../Content/Authoring/AdministratorsGuide/Projections/CreatingUnsegmentedProjectionsOnAllNodes.htm",l:-1,t:"Creating Unsegmented Projections on All Nodes",i:0.0001051164669421,a:"Unsegmented Projections In many cases, dimension tables are relatively small, so you do not need to segment them. Accordingly, you should design a K-safe database so projections for its dimension tables are replicated without segmentation on all cluster nodes. You create unsegmented projections with ..."},"553":{y:0,u:"../Content/Authoring/AdministratorsGuide/Projections/SegmentedProjections.htm",l:-1,t:"Segmented Projections",i:8.18241003154818E-05,a:"You typically create segmented projections for large fact tables. Vertica splits segmented projections into chunks (segments) of similar size and distributes these segments evenly across the cluster. System K-safety determines how many duplicates (buddies) of each segment are created and maintained ..."},"554":{y:0,u:"../Content/Authoring/AdministratorsGuide/Projections/K-SafeDatabase.htm",l:-1,t:"K-Safe Database Projections",i:8.18241003154818E-05,a:"K-safety is implemented differently for segmented and unsegmented projections, as described below. Examples assume database K-safety is set to 1 in a 3-node database, and uses projections for two tables: store.store_orders_fact is a large fact table. The projection for this table should be ..."},"555":{y:0,u:"../Content/Authoring/AdministratorsGuide/Projections/UpdatingProjectionsUsingRefresh.htm",l:-1,t:"Updating Projections Using Refresh",i:8.18241003154818E-05,a:"Refreshing Projections CREATE PROJECTION does not load data into physical storage. If the anchor tables already contain data, run  START_REFRESH to update the projection. Depending on how much data is in the tables, updating a projection can be time consuming. When a projection is up-to-date, ..."},"556":{y:0,u:"../Content/Authoring/AdministratorsGuide/Projections/MonitoringProjectionRefreshonBuddyProjections.htm",l:-1,t:"Monitoring Projection Refresh on Buddy Projections",i:8.18241003154818E-05,a:"Vertica refreshes projections only after you create a buddy projection. If you run  START_REFRESH after creating a projection, Vertica returns this message: Starting refresh background process However, the refresh begins only after you create buddy projections.  To confirm whether a refresh ..."},"557":{y:0,u:"../Content/Authoring/AdministratorsGuide/Projections/DropProjections.htm",l:-1,t:"Dropping Projections",i:8.18241003154818E-05,a:"Dropping Projections Projections can be dropped explicitly through the  DROP PROJECTION  statement. They are also implicitly dropped when you drop their anchor table. "},"558":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/PartitioningTables.htm",l:-1,t:"Using Table Partitions",i:0.000729182761062492,a:"Data partitioning is  defined as a table property , and is implemented on all projections of that table. On all load, refresh, and recovery operations, the Vertica Tuple Mover  automatically partitions data into separate  ROS containers . Each ROS container contains data for a single partition; ..."},"559":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/DefiningPartitions.htm",l:-1,t:"Defining Partitions",i:0.000481513159383748,a:"You can specify partitioning for a table when you initially define the table with  CREATE TABLE. Alternatively, you can specify partitioning for an existing table by modifying its definition with  ALTER TABLE. In the first case, Vertica automatically partitions data with each load operation. In the ..."},"560":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/BestPractices.htm",l:-1,t:"Partitioning Best Practices",i:0.00015137484961199,a:"Recommendations Minimize number of partitions Vertica supports up to 1024 ROS containers per partition. In general, a ROS contains only one partition (although a partition can  sometimes span multiple ROS containers ). Each partition typically spans multiple ROS containers. Be aware that any delete ..."},"561":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/PartitioningAndSegmentingData.htm",l:-1,t:"Comparing Partitioning and Segmentation",i:0.000357549231241531,a:"In Vertica, partitioning and segmentation are separate concepts and achieve different goals to localize data:  Segmentation refers to organizing and distributing data across cluster nodes for fast data purges and query performance. Segmentation aims to distribute data evenly across multiple database ..."},"562":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/ManagingPartitions.htm",l:-1,t:"Managing Partitions",i:0.000113470009456969,a:"Vertica provides various options to let you manage and monitor the partitions you create. PARTITION_TABLE Function The function  PARTITION_TABLE physically separates partitions into separate containers. Only ROS containers  with more than one distinct value participate in the split. The following ..."},"563":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/EliminatingPartitions.htm",l:-1,t:"Eliminating Partitions",i:0.000391730693067781,a:"If the  ROS  containers of partitioned tables are not needed, Vertica can eliminate the containers from being processed during query execution. To eliminate ROS containers, Vertica compares query predicates to partition-related metadata.  Each ROS partition expression column maintains the minimum ..."},"564":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/DroppingPartitions.htm",l:-1,t:"Dropping Partitions",i:0.000418391754723212,a:"Use the  DROP_PARTITION function to drop a partition. Typically, this is a fast operation that discards all  ROS containers  that contain data for the partition. If the WOS contains table data,  DROP_PARTITION first forces a  moveout  operation.  When a ROS container has data for a single partition, ..."},"565":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/ArchivingPartitions.htm",l:-1,t:"Archiving Partitions",i:0.000952928863631693,a:"You can move partitions from one table to another with the Vertica function  MOVE_PARTITIONS_TO_TABLE. This function is useful for archiving old partitions, as part of the following procedure: Identify the partitions to archive, and move them to a temporary staging table  with ..."},"566":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/RestoringArchivedPartitions.htm",l:-1,t:"Restoring Archived Partitions",i:0.00024382467319903,a:"You can restore partitions that you previously moved to an intermediate table, archived as an object-level backup, and then dropped.  Restoring an archived partition requires that the original table definition has not changed since the partition was archived and dropped. If you have changed the ..."},"567":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/SwappingPartitions.htm",l:-1,t:"Swapping Partitions",i:0.000206656553082132,a:"SWAP_PARTITIONS_BETWEEN_TABLES combines the operations of  DROP_PARTITION and  MOVE_PARTITIONS_TO_TABLE as a single transaction. SWAP_PARTITIONS_BETWEEN_TABLES is useful if you regularly load partitioned data from one table into another and need to refresh partitions in the second table. For ..."},"568":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/TutorialForSwappingPartitions.htm",l:-1,t:"Tutorial for Swapping Partitions",i:0.000250571574072644,a:"The following example shows how to create two partitioned tables and then swap certain partitions between the tables.  Both tables have the same definition and have partitions for various year values. You swap the partitions where year = 2008 and year = 2009. Both tables have at least two rows that ..."},"569":{y:0,u:"../Content/Authoring/AdministratorsGuide/Partitions/MultiplePartitionsSingleROS.htm",l:-1,t:"Handling Multiple Partitions in One ROS Container",i:0.00021049325625761,a:"Occasionally, a ROS container contains rows that belong to more than one partition. For example, in some cases  refresh  and  recovery  operations can generate ROS containers with mixed partitions. In general, Vertica segregates data from different partitions in different ROS containers, but ..."},"570":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/AboutConstraints.htm",l:-1,t:"About Constraints",i:0.000385866947240012,a:"Constraints specify rules on what values can go into a column. Examples of constraints: Primary key Foreign key Unique  Check Not NULL Using constraints can help you maintain data integrity in one or more columns. Do not define constraints on columns unless you expect to keep the data consistent.   ..."},"571":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/AddingConstraints.htm",l:-1,t:"Adding Constraints",i:0.000251490283865485,a:"Add constraints on one or more table columns using the following SQL commands: CREATE TABLE : Add a constraint on one or more columns. ALTER TABLE : Add or drop a constraint on one or more columns. Vertica recommends naming a constraint but it is optional; if you specify the CONSTRAINT keyword, you ..."},"572":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/PrimaryKeyConstraints.htm",l:-1,t:"Primary Key Constraints",i:0.000164781147063608,a:"A primary key (PK) is a single column or combination of columns (called a compound key) that uniquely identifies each row in a table. A primary key constraint contains unique, non-null values.  When you apply the primary key constraint, the NOT NULL and unique constraints are added implicitly. You ..."},"573":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/ForeignKeyConstraints.htm",l:-1,t:"Foreign Key Constraints",i:9.96382091123461E-05,a:"A foreign key (FK) is a column that is used to join a table to other tables to ensure  referential integrity  of the data. A foreign key constraint requires that a column contain only values from the primary key column on a specific dimension table.  You can create a foreign key constraint in the ..."},"574":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/UniqueConstraints.htm",l:-1,t:"Unique Constraints",i:0.000130005772415354,a:"Unique constraints ensure that the data contained in a column or a group of columns is unique with respect to all rows in the table.  How to Verify Unique Constraints Vertica allows you to add a (non-enabled) unique constraint to a column. You can then insert data into that column, regardless of ..."},"575":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/CheckConstraints.htm",l:-1,t:"Check Constraints",i:0.000166872090986004,a:"A check constraint specifies a SQL predicate (Boolean expression) that is evaluated independently on each row of a table. The predicate cannot access data stored in other tables or database objects, such as sequences. It also cannot access data in other rows of the current table.  As with other ..."},"576":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/NotNULLConstraints.htm",l:-1,t:"Not NULL Constraints",i:0.000239694173157903,a:"A not NULL constraint specifies that a column cannot contain a null value. This means that new rows cannot be inserted or updated unless you specify a value for this column.  You can apply the not NULL constraint when you create a column in a new table, and when you add a column to an existing table ..."},"577":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/DroppingConstraints.htm",l:-1,t:"Dropping Constraints",i:0.000164248795217159,a:"To drop named constraints, use the  ALTER TABLE  command. The following example drops the constraint fact2fk: =\u003e ALTER TABLE fact2 DROP CONSTRAINT fact2fk;\t\t\t To drop constraints that you did not assign a name to, query the system table  TABLE_CONSTRAINTS , which returns both system-generated and ..."},"578":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/EnforcingPrimaryKeyAndForeignKeyConstraints.htm",l:-1,t:"Enforcing Primary Key and Foreign Key Constraints",i:0.000114270527688519,a:"Enforcing (Non-Enabled) Primary Key Constraints Unless you enable enforcement of primary key constraints, Vertica does not enforce the uniqueness of primary key values when they are loaded into a table. Thus, a key enforcement error can occur unless one dimension row uniquely matches each foreign ..."},"579":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/EnforcingPRIMARYandUNIQUEKEYConstraintsAutomatically.htm",l:-1,t:"Enforcing Primary Key, Unique Key, and Check Constraints Automatically",i:0.000932267898135278,a:"When you create a new constraint with  CREATE TABLE  or  ALTER TABLE , you can specify whether the constraint will be automatically enforced. You can also alter a constraint with ALTER TABLE (using the ALTER CONSTRAINT parameter) and specify whether it will be automatically enforced.  You enable or ..."},"580":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/EnablingorDisablingAutomaticEnforcementofIndividualConstraints.htm",l:-1,t:"Enabling or Disabling Automatic Enforcement of Individual Constraints",i:8.18241003154818E-05,a:"To enable or disable individual constraints, use the  CREATE TABLE  or  ALTER TABLE  statement with  the ENABLED or DISABLED options, as shown in the following examples.  The following sample uses ALTER TABLE to create and enable a primary key constraint on a sample table called mytable. ALTER TABLE ..."},"581":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/CheckingWhetherConstraintsAreEnabled.htm",l:-1,t:"Checking Whether Constraints Are Enabled",i:8.18241003154818E-05,a:"Use the SELECT statement to list constraints and confirm whether they are enabled or disabled. This example shows a query that lists all tables along with their associated primary key, unique, and check constraint types. The query also indicates whether the constraints are enabled or disabled. ..."},"582":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/ChoosingDefault_EnforcementforNewlyDeclaredorModifiedConstraints.htm",l:-1,t:"Choosing Default Enforcement for Newly Declared or Modified Constraints",i:8.18241003154818E-05,a:"The EnableNewPrimaryKeysByDefault and EnableNewUniqueKeysByDefault parameter settings govern automatic enforcement of primary key and unique key constraints. The parameter EnableNewCheckConstraintsByDefault governs automatic enforcement of check constraints, and is the only one of the three ..."},"583":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/HowEnabledPRIMARYandUNIQUEKEYConstraintsAffectLocks.htm",l:-1,t:"How Enabled Primary and Unique Key Constraints Affect Locks",i:8.18241003154818E-05,a:"If you enable automatic constraint enforcement, Vertica uses an Insert-Validate (IV) lock. The IV lock is needed for operations where the system performs constraint validation for enabled PRIMARY or UNIQUE key constraints. Such operations can include INSERT, COPY, MERGE, UPDATE, ..."},"584":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/ProjectionsforEnabledPRIMARYandUNIQUEKEYConstraints.htm",l:-1,t:"Projections for Enabled Primary and Unique Key Constraints",i:8.18241003154818E-05,a:"To enforce primary and unique key constraints, Vertica creates special key projections as needed in response to DML or DDL, which are checked for constraint violations. If a constraint violation occurs, Vertica rolls back the statement and any special key projection it created. The system returns an ..."},"585":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/DecidingWhethertoEnablePRIMARYandUNIQUEKEYConstraints.htm",l:-1,t:"Deciding Whether to Enable Primary Key, Unique Key, and Check Constraints",i:0.000114173349541401,a:"You have the option to choose automatic enforcement of primary key, unique key, and check constraints. Depending upon your specific scenario, you can either enable this feature, or use ANALYZE_CONSTRAINTS to validate constraints.  Consider these factors: Benefits of Enabling Primary Key, Unique Key, ..."},"586":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/LimitationsUsingAutomaticEnforcementLocalGlobal.htm",l:-1,t:"Limitations on Using Automatic Enforcement for Local and Global Temporary Tables",i:8.18241003154818E-05,a:"This section includes limitations and related notes on using automatic enforcement of primary and unique key constraints with local and global temporary tables.  For general information on temporary tables, see  Creating Temporary Tables . Limitations for Local and Global Temporary Tables Vertica ..."},"587":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/ReportingConstraintViolations.htm",l:-1,t:"Reporting Constraint Violations",i:8.18241003154818E-05,a:"For enabled constraints, Vertica reports multiple  constraint violations before roll back. It reports multiple violations for primary key and unique constraints in all circumstances (for example, when you are loading or moving data). However, Vertica behaves differently for check constraints. ..."},"588":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/NamingConstraints.htm",l:-1,t:"Naming Constraints",i:8.18241003154818E-05,a:"You can create and name constraints in different ways, as the following examples show.  Micro Focus recommends that you name your constraints. If you do not name your constraints, Vertica assigns a name. The examples show various statement syntaxes for creating and altering named and unnamed ..."},"589":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/DetectingConstraintViolationswithAnalyzeC.htm",l:-1,t:"Detecting Constraint Violations with ANALYZE_CONSTRAINTS",i:0.000425619600190489,a:"Use the  ANALYZE_CONSTRAINTS  function to manually validate table constraints. Ways to Use ANALYZE_CONSTRAINTS You can use ANALYZE_CONSTRAINTS instead of (or as a supplement to) automatic enforcement of primary key, unique key, and check constraints. For information on automatic enforcement, see  ..."},"590":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/FixingConstraintViolations.htm",l:-1,t:"Fixing Constraint Violations",i:8.18241003154818E-05,a:"When Vertica finds duplicate primary key or unique values at run time, use the   DISABLE_DUPLICATE_KEY_ERROR  function to suppress error messaging. Queries execute as though no constraints are defined on the schema and the effects are session scoped.  The DISABLE_DUPLICATE_KEY_ERROR function is for ..."},"591":{y:0,u:"../Content/Authoring/AdministratorsGuide/Constraints/ReenablingErrorReporting.htm",l:-1,t:"Reenabling Error Reporting",i:8.18241003154818E-05,a:"If you ran  DISABLE_DUPLICATE_KEY_ERROR  to suppress error reporting while fixing duplicate key violations, you can get incorrect query results going forward. As soon as you fix the violations, run the  REENABLE_DUPLICATE_KEY_ERROR  function to restore the default behavior of error reporting.  The ..."},"592":{y:0,u:"../Content/Authoring/AdministratorsGuide/QueryManagement/ManagingQueries.htm",l:-1,t:"Managing Queries",i:8.18241003154818E-05,a:"Managing Queries This section covers the following topics: Query Plans : Describes how Vertica creates and uses query plans, which optimize access to information in the Vertica database. Directed Queries : Shows how to save query plan information."},"593":{y:0,u:"../Content/Authoring/AdministratorsGuide/QueryManagement/QueryPlans/QueryPlans.htm",l:-1,t:"Query Plans",i:0.000224721917384523,a:"A query plan is a sequence of step-like  paths  that the Vertica cost-based query optimizer uses to execute queries. Vertica can produce different query plans for a given query. For each query plan, the query optimizer evaluates the data to be queried: number of rows, column statistics such as ..."},"594":{y:0,u:"../Content/Authoring/AdministratorsGuide/QueryManagement/QueryPlans/vsql/QueryPlansVsql.htm",l:-1,t:"EXPLAIN-Generated Query Plans",i:0.00012996270389169,a:"EXPLAIN  returns the optimizer\u0027s query plan for executing a specified query. For example:  QUERY PLAN DESCRIPTION:\n ------------------------------\n\n EXPLAIN SELECT customer_name, customer_state FROM customer_dimension WHERE customer_state IN (\u0027MA\u0027,\u0027NH\u0027) AND customer_gender=\u0027Male\u0027 ORDER BY ..."},"595":{y:0,u:"../Content/Authoring/AdministratorsGuide/QueryManagement/QueryPlans/QueryPlanCostEstimation.htm",l:-1,t:"Query Plan Cost Estimation",i:0.000113659841847939,a:"The query optimizer chooses a query plan based on cost estimates. The query optimizer uses information from a number of sources to develop potential plans and determine their relative costs. These include: Number of table rows Column statistics, including: number of distinct values  ( cardinality ), ..."},"596":{y:0,u:"../Content/Authoring/AdministratorsGuide/QueryManagement/QueryPlans/EXPLAINOutputOptions.htm",l:-1,t:"EXPLAIN Output Options",i:0.000615135511577803,a:"By default, EXPLAIN output represents the query plan as a hierarchy, where each level ( path ) represents a single database operation that the optimizer uses to execute a query. EXPLAIN output also appends DOT language source so you can display this output graphically with open source  Graphviz  ..."},"597":{y:0,u:"../Content/Authoring/AdministratorsGuide/QueryManagement/QueryPlans/vsql/QueryPlanInfoStructure.htm",l:-1,t:"Query Plan Information and Structure",i:8.18241003154818E-05,a:"Depending on the query and database schema, EXPLAIN output includes the following information: Tables referenced by the statement Estimated costs Estimated row cardinality Path ID, an integer that links to error messages and profiling counters so you troubleshoot performance issues more easily. For ..."},"598":{y:0,u:"../Content/Authoring/AdministratorsGuide/QueryManagement/QueryPlans/vsql/StatisticsQuery.htm",l:-1,t:"Query Plan Statistics",i:0.000178435369731042,a:"If you query a table whose statistics are unavailable or out-of-date, the optimizer might choose a sub-optimal query plan.  You can resolve many issues related to table statistics by calling  ANALYZE_STATISTICS. This function let you update statistics at various scopes: one or more table columns, a ..."},"599":{y:0,u:"../Content/Authoring/AdministratorsGuide/QueryManagement/QueryPlans/vsql/CostAndRowsPath.htm",l:-1,t:"Cost and Rows Path",i:8.18241003154818E-05,a:"The following EXPLAIN output shows the Cost operator:   Access Path: +-SELECT  LIMIT 10 [Cost: 370, Rows: 10] (PATH ID: 0)\n |  Output Only: 10 tuples\n |  Execute on: Query Initiator\n | +---\u003e SORT [Cost: 370, Rows: 544] (PATH ID: 1)\n | |      Order: customer_dimension.customer_name ASC\n | |      ..."},});